Groma v. 8.0
Next

Groma v. 8.0

Jan Sehnal

Copyright © 1993, 2004 Jan Sehnal

Table of Contents

I. User Manual
1. Introduction
Software requirements
Software protection
2. Program installation
Installation
Program start
Start parameters
Initialization file
3. How to work with the program
How to work with the program
Main program window
Toolbar
Calculation bar
Settings bar
Data windows
Work with windows
Dialog windows
Help
4. Data files
Projects
coordinate files
Files with measured polar data
Files with measured orthogonal data
Reports
Text files
Graphic files
File indexing
File compressing
File management
File opening
Creating new file
Importing files from the previous versions of the GROMA system
5. Lists
Point information
Cursor
Editing
Adding items
Removing an item
Selecting
Item searching
The display mode
Undo operation
Data dragging
Renumbering a list
Batch editing of the lists
6. Coordinate list
How to move on the coordinate list
Locking the points
Sorting the coordinate list
Active coordinate list
Searching in the coordinate list
Storing the points
Graphic display of the points
List sorting according to the map lists
Comparing the coordinate lists
Duplicite numbers check
Removing the identical points
Checking the points' numbering
Coordinates rounding
Recovering the deleted item
Importing a file
Dual coordinates
7. Measured data list
Display mode
Renumbering the measured data list
Field book processing
Orientations marking
Merging the measured data lists
Recovering the deleted items
8. Projects
New project
Adding / Removing files
Saving the project
Opening a project
9. Point coding
Coding principle
Code table
Attaching and separating the code table
Edit the code table
Multiple codes
Unknown code
Point selecting according to the codes
Code entering using the descriptions
Recoding during the import
10. Calculations
calculation dialog windows
Data input
Storing the results
Check drawing
Tolerance
Testing pursuant the regulations for the work in the cadastre of real estates
Transformation of coordinates
Orientation of sets
11. Calculation jobs
Polar method
Orthogonal Method
Batch Polar method
Batch Orthogonal Method
Free station
Intersection by Distance
Intersection by oriented directions
Batch intersection by oriented directions
Line intersection
Intersection Line - Circle
Transit traverse
Height traverse
Coordinates Transformation
Bearing and distance
Check distances
Check distance file
Construction distances
Point to line projection
Area calculation
Polar staking-out
Orthogonal staking-out
Trace calculation
Volume calculation
Station height calculation
Batch height calculation
Connecting the change in the KM-D in a new point
Batch calculation of MAPA2 file
12. File Export - Import
Coordinate lists
Measured data lists
Drawing
13. Theodolite definition
Theodolite definition
14. Reports
How to open a report
Principles working with reports
Local report
Coordinate list extract into report
Measured data list extraction into report
Czech language coding
Report parameters
15. Graphics
Principles of saving the graphics
Opening a graphic window
Operating a graphic window
Snapping at points
Reference drawings
Drawing coding
16. Raster data digitalization
Loading raster data in the program
Graphic coordinates
Coordinate transformation
How to work with zoom
Transformation key determination
Digitalization
17. Graphic point determination
Principle of the mouse capturing
Process of mouse capturing
18. Print outputs
Driver for output device
Selecting an output device
Print preview
Printing the lists
19. Configuration manager
20. Collaboration with CAD systems
Launching with CAD system support
Attributes for point transfer
21. Interconnection with databases
Supported servers
Used database tables
Setting of the Database Connection
How to work with point databases
II. Reference Manual
22. Work with the Reference Manual
23. Main menu
24. File Menu
New
Open
Save
Save As
Close All
File compression
File indexing
Information about file
Active coordinate list
Settings
Configuration manager
CAD configuration
Print
Printer setup
Show job report
Save job report
Exit
25. Settings dialog window
Environment
Calculations
Reduction
Field book
Theodolite
Point coding
Report
Input/Output
Input / Output format of coordinates
Input / output format of measured data
DXF
26. Calculation menu
27. Window menu
Close
Horizontal-vertical mosaic
Cascade
Comparing the icons
Display parameters
28. Edit menu
Undo
Cut
Copy
Paste
Delete
29. Database menu
Connection to a database
Project settings
Create database and user
Database initialization
Active table
30. Project menu
Add file
Remove file
Open file
Settings
31. Coordinates / measured data menu
Add item
Remove item
Edit item
Find item
Select
Batch change
Renumber list
Recoding according to table
Recovering deleted items
In Report
32. Coordinate menu
Show graphics
Sort according to map lists
Comparing the coordinate lists
Check duplicate numbers
Check point numbering
Remove identical points
Iterate coordinates
Dual coordinates
Display parameters
Save points in a database
Save changes in database
Remove deleted points from database
33. Measured data menu
Field book processing
Merge stations
Select orientations
Sort
Attach file
Display parameters
34. Plan menu
Display parameters
Fill
Zoom In
Zoom out
Repaint
Zoom area
Select element
Erase element
Connecting points
Fence
Read coordinates
35. Bitmap menu
Transformation key
Digitalization
III. Appendix
36. Initiation parameters
37. network installation
Network installation
Configuration file
38. Data files types
39. File structure for database settings
Element structure <column>
Item <server>
Item <table>
The item <column>
40. Communication with the MicroStation system
Communication with the MicroStation system
Configuration files of the MDL modules
Launching the GROMA system from MicroStation
Communication GROMA - MicroStation
Information on points
Points coding
Configuration of the communication module
Other module functions
41. Formats of the entry files with the measured data
42. Input / output text format
Alphanumeric characters
Data items symbols
Formatted data width
Number of decimal places
Other settings
Output format examples
Specialities of input format
Loading using fix format
Loading using free format
IV. Plug-ins
43. Plug-ins
44. Check drawing for calculations
Display entire drawing
Cut
Zoom in
Zoom out
Erase
Font
Print
Export in DXF
45. Distortion in Krovak projection
46. Triangle calculator
47. File transfer
Choosing file location
Transfer parameters
Reading file
File transfer to the instrument
Other settings
48. Connect digitizer
Digitizing device preparation
Communication test
Digitizing device calibration
Reading points
Area determination
49. Adjusting plane
Plane specification
Plane position
Plane formula
Results
50. Calculation of the road trace
Introduction
Program control
Trace definition
Calculation controls
Calculation of the points in the trace axis
Calculation of points on normal lines
Calculation of the stake-out items
51. Network adjustment
Introduction
Program control
Options of adjusting and connecting the net
Point's features
Network parameters
Input data
Network adjustment
Store adjusted coordinates
Compare stages
Adjustment mathematic model
Menu FILE
Menu NET
Direction mean error
Weight of the vertical elevation
Distance mean error
Alfa, Beta
Delete net
Remove point
Adjust the mean errors of the directions
Adjust the mean errors of the distances
Display the check drawing
Compare stages
52. Conclusion
Next
Part I. User Manual


Part I. User Manual
Prev Next

User Manual

Table of Contents

1. Introduction
Software requirements
Software protection
2. Program installation
Installation
Program start
Start parameters
Initialization file
3. How to work with the program
How to work with the program
Main program window
Toolbar
Calculation bar
Settings bar
Data windows
Work with windows
Dialog windows
Help
4. Data files
Projects
coordinate files
Files with measured polar data
Files with measured orthogonal data
Reports
Text files
Graphic files
File indexing
File compressing
File management
File opening
Creating new file
Importing files from the previous versions of the GROMA system
5. Lists
Point information
Cursor
Editing
Adding items
Removing an item
Selecting
Item searching
The display mode
Undo operation
Data dragging
Renumbering a list
Batch editing of the lists
6. Coordinate list
How to move on the coordinate list
Locking the points
Sorting the coordinate list
Active coordinate list
Searching in the coordinate list
Storing the points
Graphic display of the points
List sorting according to the map lists
Comparing the coordinate lists
Duplicite numbers check
Removing the identical points
Checking the points' numbering
Coordinates rounding
Recovering the deleted item
Importing a file
Dual coordinates
7. Measured data list
Display mode
Renumbering the measured data list
Field book processing
Orientations marking
Merging the measured data lists
Recovering the deleted items
8. Projects
New project
Adding / Removing files
Saving the project
Opening a project
9. Point coding
Coding principle
Code table
Attaching and separating the code table
Edit the code table
Multiple codes
Unknown code
Point selecting according to the codes
Code entering using the descriptions
Recoding during the import
10. Calculations
calculation dialog windows
Data input
Storing the results
Check drawing
Tolerance
Testing pursuant the regulations for the work in the cadastre of real estates
Transformation of coordinates
Orientation of sets
11. Calculation jobs
Polar method
Orthogonal Method
Batch Polar method
Batch Orthogonal Method
Free station
Intersection by Distance
Intersection by oriented directions
Batch intersection by oriented directions
Line intersection
Intersection Line - Circle
Transit traverse
Height traverse
Coordinates Transformation
Bearing and distance
Check distances
Check distance file
Construction distances
Point to line projection
Area calculation
Polar staking-out
Orthogonal staking-out
Trace calculation
Volume calculation
Station height calculation
Batch height calculation
Connecting the change in the KM-D in a new point
Batch calculation of MAPA2 file
12. File Export - Import
Coordinate lists
Measured data lists
Drawing
13. Theodolite definition
Theodolite definition
14. Reports
How to open a report
Principles working with reports
Local report
Coordinate list extract into report
Measured data list extraction into report
Czech language coding
Report parameters
15. Graphics
Principles of saving the graphics
Opening a graphic window
Operating a graphic window
Snapping at points
Reference drawings
Drawing coding
16. Raster data digitalization
Loading raster data in the program
Graphic coordinates
Coordinate transformation
How to work with zoom
Transformation key determination
Digitalization
17. Graphic point determination
Principle of the mouse capturing
Process of mouse capturing
18. Print outputs
Driver for output device
Selecting an output device
Print preview
Printing the lists
19. Configuration manager
20. Collaboration with CAD systems
Launching with CAD system support
Attributes for point transfer
21. Interconnection with databases
Supported servers
Used database tables
Setting of the Database Connection
How to work with point databases
Prev | Home | Next
Groma v. 8.0 | Up | Chapter 1. Introduction


Chapter 1. Introduction
Prev Part I. User Manual Next

Chapter 1. Introduction

You have received the GROMA Software, designed for geodetic calculations, simple graphics, and coordinate lsts management in the Microsoft Windows environment.

Software requirements

  • Computer: GROMA Software works on any PC with Microsoft Windows 98, Windows NT 4.0, Windows 2000 or Windows XP.

  • Monitor: We recommend a hiqh quality color monitor with high resolution. The minimum recommended resolution is 800 x 600 pixels, provided by almost any common VGA card even with a standard monitor. However, the program functions can be better used with 1024 x 768 resolution (allows working with more windows at once).

  • Mouse: To work with the program, you need a computer mouse (three-buttons recommended)

Prev | Home | Next
Part I. User Manual | Up | Software protection


Software protection
Prev Chapter 1. Introduction Next

Software protection

The software is protected against any unauthorized use by hardware key. The hardware key is an instrument which connects to the parallel or USB computer port. During operation, the software tests its presence. If the hardware isn't found, it will be automatically launched in the limited demo mode.

The hardware key can be used in local or network version. The local key has to be connected directly to the computer running the GROMA software. The network hardware key is connected to the so called license server, to which all the individual GROMA system installations connect.

The key can be connected to any LPT1 - LPT3 ports or to a USB port. The key is completely transparent for the standard printer signals, therefore it can be connected through this key. If you are using more keys connected in a cascade, and shall you have any troubles (some of the software doesn't work), try to change the key order, eventually divide them to other computer ports.

Important

The Windows based on NT technology (Windows NT, 2000, XP) do not allow for applications a direct access to the hardware; therefore it is necessary to install the driver for the hardware key in this operation system. The driver installation isn’t necessary in Windows 95, 98 and ME, but it can prevent the print conflicts. The driver is installed automatically during the installation of the GROMA system.
Important

For some types of printers using two-way simultaneous communication, the GROMA Software may not find the hardware key. In such case, it is necessary to install the hardware key's drivers, which are available on our website http://www.groma.cz.

Prev | Home | Next
Chapter 1. Introduction | Up | Chapter 2. Program installation


Chapter 2. Program installation
Prev Part I. User Manual Next

Chapter 2. Program installation

Installation

The installation disc contains the executable GROMA8-x, which automatically installs all the necessary files.

The installation program can be launched for example from the Start menu or using the program administrator called by the command Start->Launch and inserting its name for example

D:\GROMA8-0.

After the start, the program will ask you the name of the directory where you want to install the GROMA program (implicitly C:\GROMA8). The directory for the GROMA program doesn't have to exist yet - the installation program will create it.

Prev | Home | Next
Software protection | Up | Program start


Program start
Prev Chapter 2. Program installation Next

Program start

You can start the program by double clicking on its icon, from the menu Start or using the Search engine.

Prev | Home | Next
Chapter 2. Program installation | Up | Start parameters


Start parameters
Prev Chapter 2. Program installation Next

Start parameters

The GROMA program can be started only with certain parameters on the command line. These parameters are listed after the sign "/" or "-". The list of the parameters is in appendix.

Prev | Home | Next
Program start | Up | Initialization file


Initialization file
Prev Chapter 2. Program installation Next

Initialization file

All the GROMA program settings, including tolerances, input/output format, arrangement of the opened windows on the monitor, etc. are stored in the initialization file GROMA.INI. Location of this file varies depending on the MS Windows version used. If there is a variable USERPROFILE in the environment, the configuration file will be placed in the directory indicated by this variable. This variable is set in the Windows NT and Windows 2000 systems. If this variable is not defined, the configuration file will be placed in the directory where MS Windows is installed (typically C:\WINDOWS).

The location of the configuration file can be changed using the start parameter. The list of the used parameter is in the appendix.

If the initialization file hasn't been found during the first start of the GROMA system, the program will copy the standard pre-defined configuration located in the GROMA directory system.

The configuration system is a text file which can, theoretically, be directly edited; however, we do not recommend it because all its items can be set from the GROMA Program environment. Shall this file be defect, or shall it contain unexpected or inadmissible data, the correct program behavior can not be ensured.

Considering that in the program one can set quite a large amount of parameters (in some cases, for example the input/output formats, the parameters setup can be quite laborious), we recommend backup of the initialization file every so often.

Prev | Home | Next
Start parameters | Up | Chapter 3. How to work with the program


Chapter 3. How to work with the program
Prev Part I. User Manual Next

Chapter 3. How to work with the program

How to work with the program

The work with the program is similar to the work with the majority of application programs for MS Windows; a user familiar with this environment shouldn't have any problems using this program.

Prev | Home | Next
Initialization file | Up | Main program window


Main program window
Prev Chapter 3. How to work with the program Next

Main program window

A main window is displayed after the first initiation of the GROMA Program. A menu with orders to operate the program is displayed in the upper part of the window. This menu reacts to the type of data window that is currently active, and adjusts the offered orders accordingly. No window is opened after the first initiation of the program; therefore, the menu only contains the orders to open a window and calculations.

Prev | Home | Next
Chapter 3. How to work with the program | Up | Toolbar


Toolbar
Prev Chapter 3. How to work with the program Next

Toolbar

A toolbar is displayed under this menu. The toolbar contains some of the most often used commands from the main menu and serves to fasten their calling. As well as the menu, the toolbar also reacts to the type of the active window.

Prev | Home | Next
Main program window | Up | Calculation bar


Calculation bar
Prev Chapter 3. How to work with the program Next

Calculation bar

A calculation bar is displayed under the toolbar. All the offered jobs can be called using the Calculations menu.

Prev | Home | Next
Toolbar | Up | Settings bar


Settings bar
Prev Chapter 3. How to work with the program Next

Settings bar

A settings bar is located under the calculation bar. Some settings of the GROMA system can be directly changed on this bar. In addition, a configuration manager is accessible from this bar, which can be used to manage more configuration files.

All the lists on the settings bar display a few recently used values. Therefore, when choosing the formerly used value, usually it is not necessary to enter any data from the keyboard - it is enough to select one from the values listed.

The following values are available on the settings bar:

  • Selection of the active configuration file. Here you can choose the configuration set you want to work with. The program offers all the configurations found in the configuration folder. The con-figuration location can be defined by the settings in the network.ini file or by the start parameter of the GROMA system.

    The button to call the configuration manager is next to the list of configuration files.

  • After the configuration list, there is an implicit prefix which is used when an incomplete point number is entered. This prefix can also be set in the Reduction dialog window.

  • Furthermore, a list of quality codes is displayed. The selected quality code effects, e.g. the limit calculation deviations

  • At the end of the settings bar is a list of the recently used measurement coefficients.

Prev | Home | Next
Calculation bar | Up | Data windows


Data windows
Prev Chapter 3. How to work with the program Next

Data windows

The data windows are located on the empty desktop under the calculation bar.

A status bar is located by the bottom edge of the main window to provide the user with more information.

The main program window displayed after the first program launch creates a certain frame for other windows containing the actual data in process. The GROMA Program allows working with seven types of data windows:

  • Coordinate windows,

  • Measured data windows,

  • Graphic windows,

  • Raster data windows,

  • Window with calculation report,

  • Project window,

  • Text windows.

The coordinate windows and the measured data windows are the so called lists, which means that they contain text information arranged in lines and columns.

You can immediately open an unlimited number of windows (their number is limited only by the capacity of the free memory). More windows can be opened for one data file, all the changes in data display automatically in every open window

Prev | Home | Next
Settings bar | Up | Work with windows


Work with windows
Prev Chapter 3. How to work with the program Next

Work with windows

The individual windows can be moved as with any other MS Windows application. You can move the windows on the screen, enlarge or diminish them, minimize to icons or enlarge to the full main program window. The same operations can be done with the main window. The details on the work with windows can be found in the MS Windows User Manual.

The program keeps the information on the opened windows in the initiative file, so the windows are automatically reopened after terminating the work with the program and restarting it.

Use the Window command in the menu to move the windows.

Prev | Home | Next
Data windows | Up | Dialog windows


Dialog windows
Prev Chapter 3. How to work with the program Next

Dialog windows

The so called dialog windows (dialogs) are used for communication with the user. According to the operation method, the dialogs can be divided into the two groups modal and non-modal

Modal dialog windows

Modal windows are the windows which, after being displayed, block the entry into all other parts of the program - the user can't continue their work unless they are closed. This type of window is used with all program configurations, error messages, or when another user's entry is required before the next action. You can switch between the individual items of the modal windows using the keys <Tab> and <Shift-Tab>, and in the case of editorial windows using the keys <Up-arrow> and <Down-arrow>.

Non-modal dialog windows

Unlike the modal windows the non-modal windows do not block other parts of the program, so they can be open as long as you want allowing you to work at the same time in another part of the pro-gram. These windows are always displayed on top and cover the data windows. The non-modal windows are used for all the calculation jobs, for coordinate entry, and in other places within the program. You can switch between the individual items in the same way as in the modal windows and, in case of editorial windows, using the <Enter>.

Input lines with formulas

All the entered data is filled in the entry editing windows, using the standard key shortcuts as usual in MS Windows (copy, paste, delete). In addition, you can use mathematic functions while entering the data (addition, subtraction, multiplying, division, parentheses, etc.)

For example, you can enter in the input line for the distance 128.56+1.411 or (56.378+195.339)*0.999985

Increasing / decreasing the point number

If you are in the input box for entering the point number, the entered value can be increased or decreased by the number one using the key <+> or <-> on the numeric keyboard.

If the identifier entered in the entry window is alphanumeric (contains text or combination of text and numbers), the program will find the first number or digit and increase/decrease it. Should the identifier be text only, the program will add the number at the end.

Data files selection

Some dialog windows contain the input lines for selection of data files for the next operations (e.g. selecting, bulk changes, re-numbering, etc.). When opening this dialog window, usually is as the data file chosen the currently active file (if it is a file of suitable type). To change the data file you can choose one of the following methods:

  • Drag any arbitrary item of the data file you want to choose to the the input line.

  • Press the button with three dots on the right from the input line with the file name, and the program will offer you a list of all the open files of the appropriate type. Also, in the displayed dialog window you can, by pressing the button (New) open a new unnamed file of the appropriate type.

Prev | Home | Next
Work with windows | Up | Help


Help
Prev Chapter 3. How to work with the program Next

Help

You can use the context help of the GROMA program at any time. You can start the help in three ways:

  • Choosing Help->Help content from the main menu. The help content is displayed and you can get the required information by step-by-step selecting the highlighted links.

  • Pressing <F1>. After pressing this key, the context help or help content according to the situation is displayed (help on the current situation in the program, on the selected item, etc.).

  • Pressing the button (Help) in the dialog window. The context help relevat to the pertinent dialog window is displayed after pressing this button.

Besides the main help menu, the program displays a short description of the selected item in the status bar during selection.

Prev | Home | Next
Dialog windows | Up | Chapter 4. Data files


Chapter 4. Data files
Prev Part I. User Manual Next

Chapter 4. Data files

The GROMA program saves all the data files in its internal format. If you open the file in different format from the coordinate list (.crd), measured data list (.mes), report (.pro), graphics (.pic) or raster data (.rnf), the program will first transfer the file into the pertinent internal format with the same name, but with a standard filename extension, and then opens it.

Projects

The projects are files defining the individual contracts. After establishing a project, a window is displayed where you can add files related to the pertinent contract. Also, the projects contain some parts of the configuration (attached code table, etc.). The work with the project is described in detail here.

Prev | Home | Next
Help | Up | coordinate files


coordinate files
Prev Chapter 4. Data files Next

coordinate files

The coordinate list is formed by two files with the same name, but different filename extensions. The first data file contains the coordinates (the filename extension .crd), and the second file, so called the index file, contains information on points sorting (filename extension .crx). By failure of loss of the data file, the coordinates of all the points are lost, but the lost index file can be recovered using the data file at any time. That's why it is necessary to carefully backup the data files, but to backup the index files is useless.

Prev | Home | Next
Chapter 4. Data files | Up | Files with measured polar data


Files with measured polar data
Prev Chapter 4. Data files Next

Files with measured polar data

The method of saving the list of the measured data is almost the same as for the coordinate lists. Again, the list is formed by two files - data (.mes) and index (.mex). Manipulation of these files is the same as for the coordinate lists.

Prev | Home | Next
coordinate files | Up | Files with measured orthogonal data


Files with measured orthogonal data
Prev Chapter 4. Data files Next

Files with measured orthogonal data

The method of saving the list of the measured orthogonal data is almost the same as for the coordinate lists. Again, the list is formed by two files - data (.mes) and index (.mex). Manipulation of these files is the same as for the coordinate lists.

Prev | Home | Next
Files with measured polar data | Up | Reports


Reports
Prev Chapter 4. Data files Next

Reports

You can open the file with a report during the calculation. It is an editorial text window, whereto the program saves the reports from the calculations. Only one report can be opened at a time. The work with the reports is described in detail in a separate chapter.

Prev | Home | Next
Files with measured orthogonal data | Up | Text files


Text files
Prev Chapter 4. Data files Next

Text files

The GROMA Program allows working with text files. Text files can be opened in an editorial window in the same way as any other files. You can open an unlimited amount of text files, but unlike the lists, each file can be opened in only one window.

In some situations, the GROMA system opens the text files automatically (e.g. after exporting into a text file, the final file is automatically displayed. In case of an error while importing, the read file is displayed, and the cursor is placed on the defect line).

Should you want to import a currently open text file, and shall such file been changed in the GROMA system's editor, you will be notified that the existing version of the file is in the editor and asked if you want to save it before importing.

Should you change the text file opened in the GROMA system by some other application, you will be notified of the changes when coming back to the GROMA system and asked if you want to load an updated file version from the disc.

Prev | Home | Next
Reports | Up | Graphic files


Graphic files
Prev Chapter 4. Data files Next

Graphic files

Graphic files (filename extension .pic) contain only a drawing transcription; therefore they are always connected with the pertinent coordinate files of the identical name. After opening a graphic file, a coordinate list is also automatically loaded into the memory (even if not displayed in the window). The advantage of this method of graphic creation is especially the fact that the same coordinate lists are used for calculations and for drawing and all changes show automatically in the drawn plan. Even when the situation related to the points has already been drawn, you can arbitrarily change the coordinates (for individual points as well as collectively for the entire file, for example by transformation from the local system into the main system), and the projected plan accepts such changes without the need of intervention. Also, using only one coordinate system saves room in the memory and on the disc.

Prev | Home | Next
Text files | Up | File indexing


File indexing
Prev Chapter 4. Data files Next

File indexing

To allow the program to work with the files they have to be indexed. During indexing, an index file pertinent to the data file is created, where all the points are sorted according to the prefix and numbers. The points in the data file remain unsorted, in the order they were step-by-step added during the calculations or import.

During the work with the list, the index file is located in the computer memory (for faster manipulation of the list), where the data file is still located on the disc. Therefore, all the changes are immediately stored on the disc

The changes in data are step-by-step written on the disc, while the changes in the index file take place in the operation memory, and the updated index file is normally saved when closing the window with the coordinate list. In case of a compulsory interruption of the program, an updated data file will remain on the disc, but the original index file. According to certain criteria, the program tests the conformity of the data and index files, so it can automatically detect if these two files do not be-long to each other, and in such case automatically creates a new index file.

Prev | Home | Next
Graphic files | Up | File compressing


File compressing
Prev Chapter 4. Data files Next

File compressing

When deleting from the data file (both coordinates and measured data), the cancelled items are only marked as deleted, but they still remain in the data file. Therefore, after complicated operations and points transfer, the coordinate list can be empty or contain only few points, but it is still taking some-times even few tens or hundreds of KB on the disc. In such case, it is appropriate to perform a data file compression. During the compression, the original data file is renamed to a backup file (.~cr), and a new data file (.crd) is created which doesn't contain the previously deleted items.

It is also suitable to perform the data file compression for other reasons. For example, if a coordinate list is imported (e.g. from a text file) with unsorted points, its indexing can (especially if it is larger) take quite a long time. If, during the further work, the index will be file defected or deleted, the entire tedious indexing must be done from scratch. When compressing the file, the points are written sorted according to numbers and, in this case, any prospective indexing will take far less time. After importing an unsorted list or, eventually, after a more complex addition to the list during a calculation, it is suitable to compress the data file.

Prev | Home | Next
File indexing | Up | File management


File management
Prev Chapter 4. Data files Next

File management

To understand how to work with the files opened in the windows, we have to explain first how the program manages them.

After opening an arbitrary data file, the data necessary for work with it (e.g. index file fro the coordinate list, etc.) is loaded into the computer memory and the pertinent file representation is displayed in a window (coordinate lists, drawing, etc.). If the same file is open again, a new window is displayed, but in the computer memory the file is physically opened only once. Therefore, the newly open window is, in fact, really a second "window", through which you look at the same file. There-fore working with graphic plans you can view two different sections of a plan at once.

All that implies is that any change performed to the file in any opened window is physically per-formed on one file. The program indicates this by a consequent numbering of the windows showing one program. If the same part of the file is displayed in more windows, the performed changes are automatically displayed in all the windows.

Prev | Home | Next
File compressing | Up | File opening


File opening
Prev Chapter 4. Data files Next

File opening

If you want to work in the program with a data file, you have to open it first.

The file can be opened in three different ways:

  • Using a dialog window

  • Using a parameter when starting the GROMA program

  • Dragging its name from the Search Engine.

File opening using a dialog window

The most common way how to open a file is using the dialog window Open File.

When choosing the command File->Open, GROMA program will display a dialog window to select a file.

How to open a file:

  • Select the required file type from the list Files of type. If you import the measured data list from a field book, first you have to set the field book type and format in the dialog window Settings->fieldbook. According to this setting, the selection of file types on the list Files of type will be updated.

  • Select the pertinent disc and directory from the list Where to search.

  • If the file you want to open exists, its name will appear in the list. Highlight it using the cursor or the mouse or keyboard. If you want to open more files at once, highlight them in the list using the keys <Shift> and <Ctrl>.

  • Press the button (Open). If the file exists, GROMA program will open it and display it in the window.

File opening using the parameter during its initialization

If you write, while starting the GROMA program, a name of one or more data files behind the program name, the program will try to open them automatically after its launching.

File opening using the Search Engine

If you have launched the Search and also the GROMA program, you can open the data file by simply dragging its name from the list displayed in the Search to the desktop of the main window of the GROMA Program. When dragging, the appearance of the cursor changes according to the area where it is located at the moment. You can find details in the MS Windows User Manual.

File opening only for reading

If you work in the computer network environment, it can happen that you want to open one file from the shared disc (e.g. from a server) on more computers at once. This situation is common, for example, while working with joint coordinate lists containing points of a point field. Usually, a file is open for reading and writing. In this case, it can be opened only once, because to write in one file from more stations could result in its defecting. The program will notify you of such situations and will not allow you to open a file already opened for reading and writing.

But if you check, using the command File->Open, the option Reading Only while opening the file, the list is opened only for reading. In this mode it can be opened by an arbitrary number of users. If you try to open a file in regular mode, i.e. reading and writing, that is already opened in this way, the program will notify you that the file is already open and will offer you the option to open the file for reading only.

No changes can be made to a file opened for reading only, but you can use the stored data. The user can, however, copy the items of the file into another file where there are no such limits.

File opening for reading only can also be used if you work with the file by yourself, but don't want to change it. In this way, you lower the risk of damaging valuable data files.

Prev | Home | Next
File management | Up | Creating new file


Creating new file
Prev Chapter 4. Data files Next

Creating new file

If you want to create a new file choose the command File->New. A dialog window will display where you can select the type of file you want to create. After pressing the (OK) button the file is created and its empty window displayed. The file is created as temporary in the temporary folder. If you want to keep it, choose the command File->Save as and save it under a different name. If you try to close the unsaved temporary file, the program will notify you that the file wasn't saved yet, and it will ask you if you want to save it. If you do not save the file, it will be automatically deleted from the disc.

Prev | Home | Next
File opening | Up | Importing files from the previous versions of the GROMA system


Importing files from the previous versions of the GROMA system
Prev Chapter 4. Data files Next

Importing files from the previous versions of the GROMA system

In version 6.0 the data files were completed by some additional data, which means that the lists created in the older versions of the GROMA system are not compatible with the new files. If you choose, while opening a coordinate list or measurements list a file which was created in some of the previous version of the GROMA system, the program will notify you that the file must be converted to the new format. If you confirm that you agree with the conversion, the program will leave the original file as a backup and will create a file with the same name in the new format. This new file can't be open in the older versions of the GROMA system. The original file from the older version will be kept as a backup (.~cr, .~me).

If you want to open the file in the 6.0 format in some of the older versions, you must first export in the older format by the command File->Save as. In the format list, select Version 2-5. In this way, the created file can be opened without any problems in the older versions of the program. The new data types (date and time of the creation and modification of a report, additional point data, file comment, etc.) will be lost during the conversion into the older format.

Prev | Home | Next
Creating new file | Up | Chapter 5. Lists


Chapter 5. Lists
Prev Part I. User Manual Next

Chapter 5. Lists

The word "Lists" means the windows with coordinate lists and the windows with the list of the measured data. These two types of the window have many common features.

The lists are formed from the data written in rows. The first two rows are always the prefix and the point number, the others depend on the type of the window

Point information

Each point on the list is marked with an identifier after which the point can be found on the list, and it also contains other information, where some are for both the coordinate lists and the lists of measurements and some are specific.

Point identifier

The points are uniquely identified on the lists by a numeric or alphanumeric identifier. The meas-ured data list can contain an arbitrary amount of points with the same identifier, but one identifier at the most can be on the coordinate list.

Numeric identifier

The numeric identifier is formed of two parts - the prefix and the actual point number. The prefix can be at most 8 digits, while the actual point number has at most 4 digits. Therefore, the complete point number can consist of 12 digits at most.

Alphanumeric identifier

If the inserted identifier doesn't comply with the requirements for a numeric identifier (contains letters or other nonnumeric characters, or is longer than 12 digits), it will be understood as an alpha-numeric identifier. The only limit for the alphanumeric identifier is that it must not be longer than 16 characters. If longer, the identifier will be cut from the right.

Numeric identifier have priority over alphanumeric identifiers, therefore each identifier which can be interpreted as a 12 digit point number is implicitly understood as numeric. If you want the identifier to be qualified as alphanumeric regardless of its appearance, it must start with the character ' (apostrophe) or be closed in quotation marks. This character will not be part of the identifier as it will be omitted on input.

Date of point creation

This item contains the date when the point was created on the list, in the case of the points imported from older versions of the GROMA system, this data isn't filled.

Date of the last modification

Here the information on the last point modification is saved - e.g. editing, bulk change, etc. From this data can be determined when the point information was last changed.

Point code

The point code contains up to a 20 character description of a point, which can be used, for example, for storing the descriptive point information, code for automatic connection, name of the graphic cell, etc. The code can contain arbitrary alphanumeric characters. The code can be converted to a description, using a code table, which is no longer limited by 20 characters.

Quality code

One-character data, which can be used for description of the point quality (e.g. for the work at the Land Registry Office the numeric codes for the point quality characteristics are used).

Point types

Type of a point is a one-character alphanumeric data similar to the quality code, which can be used for further specification of the points' information (this data can be used for example for a selection from the lists).

Other data on the coordinate lists

Coordinates X, Y, Z

Point coordinates in the selected system of coordinates. The coordinates X and Y are required, the coordinate Z is voluntary.

Additional data 1-4

Another four additional numeric data which can be used for example for the depth of the bedding of the engineering nets, for a second pair of point's coordinates, etc. Such information can be arbitrarily named and you can define how they will be displayed (number of characters, number of hundreds). The data can be used for marking the points, and they can be change by a bulk change.

Other data on the lists of polar measurements

Horizontal angle

A horizontal angle (direction of the measurement), is typically overtaken during the field book import. The angle, as well as other angle data from the GROMA system, is saved in the system in radians, and is displayed on all the reports according to the set angle units. When entering the angle data, the appropriate angle units must be set up. You can change the angle units in the configuration of the GROMA system at any time, and on all reports the angle data will be displayed using the set angle units.

Distance

The distance between the station and the measured point. This distance is, in the GROMA system, always horizontal. It you measure (or enter from a keyboard) diagonal distances, they will be automatically reduced to horizontal in the input in the field book, therefore there are always only horizontal distances displayed in the windows with lists, and also all the calculation jobs presume the input of horizontal distances. The condition for the automatic reduction is the input of a zenith distance or the, without which cannot be performed the recalculation to horizontal.

In addition, the distances are during automatically adjusted by the measurement the import from the field book (influence of the elevation and cartographic distortion).

Zenith distance

The zenith distance (the angle measured from the vertical). This data is used for height calculations and for detection of the measurement in II. position.

Elevation

Some instruments automatically recalculate the measured zenith distance to the registered elevation during the registration. Within processing the field book the registered zenith distances can be recalculated to the elevation.

In the height calculations, either a zenith distance or elevation can be entered. If both are entered, the elevation has priority.

The instrument/target height

This data contains the set target height for the measured points. For the stations it contains the instrument height.

Other data on the lists of orthogonal measurements

Stationing

Stationing (horizontal distance on the measuring line from the start of the line to the foot of the perpendicular to the determined point).

Perpendicular

Horizontal distance of the perpendicular from its foot of the measuring line to the determined point.

Prev | Home | Next
Importing files from the previous versions of the GROMA system | Up | Cursor


Cursor
Prev Chapter 5. Lists Next

Cursor

If the list is not empty, there is a cursor placed on one of its items as a line across the entire height of the line. You can move the cursor using the keys <Up-arrow>, <Down-arrow>, <PageUp>, <PageDown>, <Home> and <End>. The cursor usually marks the currently selected item (point or measurement), which is automatically subject to some operations (editing, deleting, etc.). The cursor can be directly moved to any item by pointing on it using a mouse.

Prev | Home | Next
Chapter 5. Lists | Up | Editing


Editing
Prev Chapter 5. Lists Next

Editing

The item that the cursor is on can be edited by pressing the key <Enter> or double clicking the mouse. An editorial window is displayed for editing the individual data; its appearance depends on the type of the list (the editorial window for points or for the measured data).

Prev | Home | Next
Cursor | Up | Adding items


Adding items
Prev Chapter 5. Lists Next

Adding items

Items can be added to the list by using the key <Insert>. After pressing it, a dialog window appears where you can fill in the required information.

Adding to the coordinate list

While adding items on the coordinate list, a non-modal window is displayed allowing you to move between the individual items using also the key <Enter>. Some items can be turned off using the check field on the right of the pertinent item, so you do not have to skip data which you did not enter or which does not change. The turned off windows will be skipped while entering the data. If you turn off the point number, it will be automatically increased by one, but you don't have to confirm it constantly. If you turn off the set code, it will be assigned to all other points without confirming until the next change.

After entering the last required data, the point is automatically added to the list, and the cursor is placed on it in all the windows of the pertinent list and the number is increased by one. You do not have to confirm the prefix; if you wish to change it, you can get to it using a mouse or the key <Shift-Tab>.

The point is added to the list according to the set point sorting. If a point of such number already exists, the program will offer you the option to leave the old point on the list or to save the new point whose coordinates are calculated as an average of the old and new points.

If you are adding point with a number which already exists on the list to the coordinate list a, the program will display a window with all the information on the new point, the coordinate differences, and other information (see the figure).

Adding on the measured data list

In this situation, you have the following options:

  • To choose a new number for the point. The number can be entered in the input window for the point number.

  • To leave the original coordinates. Choose the item Old for the station and the height.

  • To save the new coordinates. Choose the item New for the station and height.

  • To average the new coordinates with the original ones. Choose the item Average for the station and the height. In this case you can also choose the importance of the original and new coordinates.

  • A combination of the above options. The processing method can be chosen independently for the station and the height. So you can leave the original coordinates X and Y, but enter a new height.

Information on so processed point will appear in the protocol, including the coordinate differences and other data.

Adding to the measured data lists

The dialog window for adding a measurement is modal; you have to use the key <Tab> to switch between the items.

To enter the values, choose the type of the point (Station / Orientation / Measured point) and choose whether it is a diagonal distance which you want to reduce and whether the distance should be multiplied by the scale coefficient.

The item on the measured data list is at the place of the cursor.

Prev | Home | Next
Editing | Up | Removing an item


Removing an item
Prev Chapter 5. Lists Next

Removing an item

The items on the list can be deleted using the key <Del>, choosing Edit->Delete or Edit->Cut

The program will remove any red marked items on the list (after the question Remove all the marked items?).

If none of the items are marked red, the program will remove the item where the cursor is placed (after the question Remove the selected item?).

If any items were removed by the command Edit ->Cut, the program imported them in a directory, wherefrom they can be inserted in any other data window or as a text in another application (MS Excel, text editors, etc.) by a command Edit>->Paste>. The entered coordinates are sorted according to the numbers; the measured data are inserted in front of the current cursor position.

Prev | Home | Next
Adding items | Up | Selecting


Selecting
Prev Chapter 5. Lists Next

Selecting

Any items on the list can be selected for further use by any function (save in file, import, deleting, etc.).

Selecting using the keyboard

To select the item on a list using the keyboard you can use the following keys:

Table 5.1. Keys

Key | Action
<Space> | Unselects the selected item and vice versa, moves the cursor to the following item.
<Shift+Up-arrow> | Selects the item and moves the cursor upwards.
<Shift+Down-arrow> | Selects the items and moves the cursor downwards.
<+> | Selects all the items.
<-> | Cancels selecting all the items.
<*> | Unselects all the selected items and vice versa.

Selecting using the mouse

You can select an item using the right button. If you press and hold the right button and move the mouse at the same time, the program selects all the items pointed by the mouse. If the cursor gets above or under the data window, the list starts to move up or down and automatically selects all the appearing items.

Canceling the selection using the mouse or keyboard precedes the same as selecting.

Batch selecting

The items on the lists can also be selected jointly using the selective dialog window, called by the command Measured data-> Select or Coordinates->Select .

You can enter the limits for selecting in this dialog windows (minimum values, maximum values).

Should you enter only the maximum value for some of the items, the program will select all the items where the maximum value is not exceeded. Similarly, should you enter only the minimum value, the program will select all the items where the relevant value isn't smaller than the entered limit.

Also, you can choose a selecting mode:

  • New selection: The program will select only the items meeting the criteria. The previously selected items will be unselected.

  • Add to the current selection: The program will add all the items meeting the criteria to the current selection.

  • Remove from the selection: The program will remove all the items meeting the criteria from the current selection.

Note

When selecting the code, keep in mind that the code is a text file, even if it contains numbers. So if you set selection limits "1" to "20", the items with e.g. code "5" will not be selected.

You can also choose whether the program shall select the items which meet at least one of the listed conditions or only the items which meet all the conditions. You can start the selecting itself by pressing the button (Select).

The selecting dialog window contains some more functions:

  • (Select all) This button selects all the items on the list. You can get the same result by pressing the key <+> on the numeric keyboard.

  • (Cancel selection) This button cancels the selection of all the items on the list. You can get the same result by pressing the key <-> on the numeric keyboard.

  • (Select alphanumeric) This button selects all the items with alphanumeric identifiers on the list.

  • (Select the locked) This button selects all the locked items on the list. If you wish to select the unlocked items, select the locked items and by pressing the key <*> on the numeric keyboard replace the locked for the unlocked.

  • (Select the positions) This button selects all the positions on the measured data list.

  • (Select the orientation) This button selects all the orientation on the measured data list. If you wish to select only the measured points, select by the above method all the stations and orientations, and by pressing the key <*> on the numeric keyboard replace the selecte for the unselected.

  • (Delete setting) This button deletes all the settings entered in the selecting dialog window.

Prev | Home | Next
Removing an item | Up | Item searching


Item searching
Prev Chapter 5. Lists Next

Item searching

After pressing any numeric key in the list, a small window will appear in the left bottom corner where you can enter the number of the searched point. The program will select the first point of the entered number (regardless the prefix). If a point with the entered number is not on the list, the program will select a point with the closest higher number. If you want to select another point of the entered number, press the Down-arrow. The search can be activated also by the command Coordinates->Search for item or Measurement-> Search for item. You can cancel the search window by pressing the key <Esc>.

Prev | Home | Next
Selecting | Up | The display mode


The display mode
Prev Chapter 5. Lists Next

The display mode

If you don't use some of the data displayed on the list (e.g. zenith distance, point type, elevation, etc.), using the command List ->Display parameters you can switch off the relevant columns. The display mode is set only for the pertinent list and is imbedded in the file head, so it will be maintained for the next opening. The selection can also be called by right clicking on the file head (not on the colored header with the file name, but on the first line with the column heads). The display mode is respected also when printing

Tip

If you want to turn off some of the data permanently for all the files, we recommend creating foundation files, where the pertinent data will be turned off. The setting will be overtaken from the foundation file for each newly created file.

Prev | Home | Next
Item searching | Up | Undo operation


Undo operation
Prev Chapter 5. Lists Next

Undo operation

The operations performed on the lists (changes, adding, deleting) can be undo by the command Edit->Undo. The GROMA system stores the information on the changes to the lists in separate buffer storage. This storage is separate for each open list; therefore the operations can be undone independently for each system. The amount of the last stored operation is limited by the size of this buffer storage, which is 256 KB for each file

Note

The buffer storage for the undo operation is emptied after re-indexation of the file. That means that after re-indexation of the files, no more previous changes can be undone.

Prev | Home | Next
The display mode | Up | Data dragging


Data dragging
Prev Chapter 5. Lists Next

Data dragging

You can drag the data on the list into different data windows using a mouse. You can drag the selected item (the item with the cursor displayed) or an entire block of selected items.

How to drag an individual item

  • Place the cursor on the required item.

  • Left click the mouse button. A cursor will appear on the selected item.

  • Hold the mouse left button, and move the cursor on the screen. You can see the cursor changing its appereance according to the window it is currently in.

    • Closed hand: Is the shape of the cursor in the window from which you are dragging the item.

    • Open hand: Is the shape of the cursor in the window which can accept the dragged data (another list of the same type, calculation dialog window, etc.).

    • Cross: The cross appears if the mouse cursor is located on the desktop of the main program window.

    • Prohibited: The cursor has such shape if located on the desktop of a window, which isn't able to accept the dragged data.

  • If the cursor is located in the adjust window, release the left mouse button. The data will be transferred or coppied into the appropriate place.

How to drag a block of items

  • Select the required items from the list.

  • Place the cursor anywhere in the window from which you are dragging the data.

  • Press the central mouse button. If your mouse has only two buttons, press the left button along with the key <Shift>.

  • Hold the central (left) mouse button and move the cursor on the screen. Then continue as when dragging one item. Only some cursor appereances are different:

    • Closed hands: Is the shape of the cursor in the window from which you are dragging the item.

    • Open hands: Is the shape of the cursor in the window which can accept the dragged data (another list if the same type, calculation dialog window, etc.)

Data copying

If you drag the point from one list into another, they are deleted from the original list after the dragging. If you want to copy them (i.e. maintain them also on the original list), while releasing the mouse button hold the key<Ctrl>.

This can be applied only to drag into a list. The key <Ctrl> has no effect on dragging in the calculation windows because the point is never deleted from the list.

The measurements can not be dragged between the data windows. If you want to transfer or copy a measurement from one file into another, use copying via clipboard - function Edit->Transfer or Edit->Copy and Edit->Paste .

Prev | Home | Next
Undo operation | Up | Renumbering a list


Renumbering a list
Prev Chapter 5. Lists Next

Renumbering a list

After calling the command Coordinates->Renumber or Measured data-> Renumber a dialog window is displayed for list renumbering.

Selecting the input and output files

Enter the name of the input file in the field File. In case of renumbering a coordinate list, you can also enter the name of the output file so the original file will remain unchanged. This is advantageous especially if the original and new numerical series are overlapping, so the renumbering could cause a conflict in both series

Adding a prefix

The program allows completing the prefix for the points with an incomplete prefix. If some of the prefixes have fewer digits than the preset prefix, it will be completed from left by the required number of digits

To use this function, follow the below steps:

  • In reductions , (or in the settings bar) enter the complete prefix

  • If you want to perform the change only for a part of the list, select the chosen items on the list.

  • If you change the prefix in the coordinate list, choose the output file (it can be identical to the input file.

  • Press the button (Complete the point numbers).

Changing the prefix

You can change the prefix in two ways:

By setting a constant prefix

To set the same prefix for all the points, you simply have to enter the prefix in the input window. All the points will get the same prefix after the renumbering.

To remove the prefix for all the points, leave the input field empty, or enter the value 0.

To set the prefix using a mask

To change some parts of the original prefix use a mask. The mask allows changing only some digits of the prefix. Th mask can be specified in two ways:

  • Mask with question marks

    When entering a mask in the form ???xx??? (Eventually the equivalent form ###xx### can also be used), the digits in the positions of the question marks (or #) will be kept and all the other digits will be replaced with the characters entered in the mask.

    For example, the original prefix 12345678 would, after entering the mask ???9???? change to 12395678. The characters in the positions of the question marks would remain unchanged while the fourth digit of the prefix would be replaced by the digit 9.

  • Mask with positions

    The previous steps are suitable if the individual digits are replaced, but there is no need to change their position. If you need (for example) to move the first three digits to the end of the prefix, you can't use the above method. You can, however, define the mask in a different way: instead of the question marks, write the positions of the characters in the prefix in square brackets (e.g. <8><7><6>9<4><3><2><1>).

    Since all the prefixes do not have to have the same number of characters, the positions are numbered from the right side (not left). Using the above mask, you will get the same result as in the previous example (the final prefix will again be 12395678).

    If you want to index from left, you can write the digits in square brackets with the character as negative. The report <1> therefore means the first character from right, the protocol <-1> means the first character from left. The same result as in the previous example can therefore be achieved by using the mask <-1><-2><-3>9<-5><-6><-7><-8>.

    When renumbering using a mask, you can switch the digits as you want. For example, if you enter a mask <3><2><1>??<8><7><6>, the first three digits will be replaced with the last three digits, and the fourth and fifth digit will remain unchanged. After entering this mask, the original prefix 12345678 would change to 67845123.

Change of the number

To change the point number, turn on the number change using the checking window, and enter the first digits of the point.

If you wish that the step in the point number when renumbering the coordinate list to be different than 1, you can enter the required amount in the input window Step. If you enter as the first point number the highest required number, and enter the step -1, the list will be renumbered in descending order from the entered point number (which will also reverse the points order on the list).

In case of the coordinate list, the renumbering can be performed from one file into another one (the points in the old file will remain unchanged, the newly renumbered points will be in the new file), or within one file (the point numbers will be changed).

Besides the standard renumbering, a mask can also be used for the prefix.

Note

If, during the coordinate list renumbering, a mask is used in the prefix or in the point number, we recommend performing the renumbering in a new, empty coordinate list. If you chose the renumbering in the original file, a warning with the question if the program shall proceed with the renumbering will be displayed.
Warning

After renumbering within one file, the renumeberd file is automatically re-indexed, therefore the renumbering can not be undone using the command Edit->Undo.

Renumbering

The renumbering of a list can be started by pressing the button (Renumber).You can choose whether to renumber an entire list or just the selected items. In addition, when renumbering the measured data list the following options are available:

  • To renumber the positions

    Checking this option, the position numbers will also be changed during the renumbering. If this option is unchecked, the position numbers remain unchanged.

  • To renumber the orientation

    Checking this option, the orientation numbers will also be changed during the renumbering. If this option is unchecked, the orientation numbers remain unchanged.

  • To renumber the alphanumeric

    Checking this option, the point numbers with alphanumeric character will also be changed during the renumbering.

  • Keep the duplicates

    Some point numbers can repeat on the measured data lists (for example in case of repeated survey). During a regular renumbering, both surveys would get a new number according to the position of the measurement on the list. If you check this option, all these measurements will have identical point numbers (the same as the first point survey) after the renumbering.

After renumbering, a report containing the table of old and new point numbers is displayed.

Prev | Home | Next
Data dragging | Up | Batch editing of the lists


Batch editing of the lists
Prev Chapter 5. Lists Next

Batch editing of the lists

Batch changes can also be performed on the coordinate and measured data lists. By the command Coordinates->Batch edit or Measured data->Batch edit a dialog window where you can define changes you want to perform on the list will be displayed.

The dialog window contains a field for each piece of data which can be changed using the batch editing. Each field contains a checking box Change, where you select which data shall be changed by the batch editing. After checking this box, the program will allow you to access the change setting for the pertinent data. You can type in the editing box a constant number or a function which will result in a number value.

Type of change

You can choose under the editing box, what the program shall do with the result of the formula in the case of batch editing. Depending on the data type, the program offers all or some of the following options:

  • Set

    The data will be set to the entered value or to the result of the entered formula, regardless of the original data value.

  • Multiply

    The original data will be multiplied by the entered value or by the result of the entered formula. If you want to divide the original data, enter the reciprocal value of the coefficient.

  • Add

    To the original data value will be added to the entered value or the result of the entered formula. If you want to subtract the entered value, enter it with the opposite sign.

  • Remove

    The original data will be removed from the report. In this way you can remove, for example, the target height, etc. The data can be removed from the report also by selecting the option To set and leaving the editing window with the pertinent data empty.

Note

Some data (e.g. the coordinates X and Y) are required; therefore they cannot be removed from the list.

Functions

Besides the numeric values, functions can also be entered into the editing boxes using common mathematic operations, constants, and predefined constants. The predefined variables are listed in the following tables:

Table 5.2. Variables for batch editing on the coordinate lists

Variable name | Variable content
PREFIX | Point prefix
NUM | Point number
X, Y, Z | Coordinates X, Y, Z
INFO1, INFO2, INFO3, INFO4 | User information 1-4

Table 5.3. Variables for batch editing on the measured data lists

Variable name | Variable content
PREFIX | Point prefix
NUM | Point number
HZ | Horizontal direction
Z | Zenith distance
DIST | Horizontal distance
DH | Horiyontal difference
SIGNAL | instrument/target height

Table 5.4. Joint variables for all types of formulas

Variable name | Variable content
XRED, YRED, ZRED | Coordinates reduction according to the setting
SCALE | Set scale coefficient
PI | Constant pi (3.14159265358979)
RO | Radian in g (63.66197723675813)

For example, you can add to the coordinate x the constant 100m in one of these two ways:

  • Enter the constant 100 in the editing box and select the action Add.

  • Enter the function X+100 in the editing box, and select the action Set.

The result of both methods will be identical.

In this case, the first way is (of course) simpler, but from the example, it is obvious that the second method gives you many more options:

  • Can be used to describe any mathematic function (regardless of its complecity).

    Technically, you can enter an unlimited number of mathematic functions.

  • Can use multiple variables.

    You can enter, for example, a function (X+Y)/2, which calculates an arithmetic average from both coordinates.

  • The individual data can be exchanged.

    You can mutually exchange the data in this way. For example, you can exchange the individual user data. If you type in the editing box for Info 1 INFO2 and in the editing box for Info 2 INFO1, these two data will be mutually exchanged. Likewise, you can exchange, for example, the user information with coordinates, which means that you can have for each point in one file more coordinate pairs.

Locking the point

With changes in the coordinate list, you can also change the point's attribute. By checking the option Lock, all the edited points will be locked. By selecting Unlock, all the edited points will be unlocked. By choosing Do not change will the edited point's attribute without any change.

Change of the attribute of the measured point

The point's attribute can be changed during the changes on the measured data list. By checking the option measured point, all the edited points will be changed to measured points. By choosing Orientation will all the edited points changed to orientations. By choosing Do not change will the edited point's attribute will not change.

Replacing X and Y

By using the button (Replace X and Y) the coordinates X and Y can be mutually exchange in the entire file or within the selected points. This option is suitable, for example, if you upload a text coordinate list into the GROMA system and later you find out that the coordinates X and Y were switched.

Selecting point

After pressing the button (Select) a dialog window will be displayed for selecting the items on the list. If there are already some items selected, you can decide whether the change shall be performed within the entire file or only for the selected items.

Prev | Home | Next
Renumbering a list | Up | Chapter 6. Coordinate list


Chapter 6. Coordinate list
Prev Part I. User Manual Next

Chapter 6. Coordinate list

The most important file for the work with the GROMA program is usually the coordinate list. The coordinate list contains the coordinates of points that are used by the majority of the functions of the program and many functions store their points in the list.

The program allows opening any number of the coordinate lists at the same time.

How to move on the coordinate list

The file containing the coordinates is displayed in the form of a list, where only the part you are working with is visible. The cursor is placed on the current line. You can move the cursor using a keyboard or a mouse.

Table 6.1. Keys

Key | Action
<Up-arrow> | Moves the cursor one line up.
<Down-arrow> | Moves the cursor one line down
<PageUp> | Moves the cursor one page up
<PageDown> | Moves the cursor one page down.
<Home> | Moves the cursor to the beginning of the file
<End> | Moves the cursor to the end of the file

Prev | Home | Next
Batch editing of the lists | Up | Locking the points


Locking the points
Prev Chapter 6. Coordinate list Next

Locking the points

The points on the coordinate lists can be locked against overwriting or deleting. The locking of the point is signalized by a sign of a lock in the left part of the coordinate list (before the point number). The points can be locked in two ways:

  • Individual points

    While editing a point (e.g. by pressing the key <Enter>), whether or not it should be locked can be selected as one of the point features.

    If you have turned on the option Settings->Environment: Fast point locking/unlocking, you can lock and unlock the individual points by clicking the mouse at the left border of the list (in front of the point number).

  • Batch locking/unlocking

    The entire coordinate list or the selected points can be locked or unlocked using batch editing (command Coordinates->Batch edit).

The locked points can't be deleted or overwritten. You can change them only by the point editing (for example using the key <Enter>) or after their unlocking. If adding a point with a number which already exists on the list, and if such point is locked, a standard dialog window with information on the coordinate differences is displayed, but only the option to keep the original point on the list without any change is available.

Prev | Home | Next
Chapter 6. Coordinate list | Up | Sorting the coordinate list


Sorting the coordinate list
Prev Chapter 6. Coordinate list Next

Sorting the coordinate list

For faster manipulation, the coordinate list is sorted. While the actual coordinate list is physically located on the disc (file .crd), the data on points sorting (file .crx) are loaded in the computer's memory for faster manipulation.

The coordinate list can be sorted in three ways:

  • According to the prefix

    Primarily, the points are sorted on the list according to the prefix and secondarily according to the point number. Therefore, the points with the same prefix and different point number follow in the file. This is the most common method of sorting.

  • According to the number

    The points are sorted primarily according to the point number and secondarily according to the prefix. The points with the same number and different prefix follow in the file.

  • Unsorted

    In this case, the points on the list are not sorted; they are kept in the order that they were added to the list. However, the order will be broken by e.g. file compression, if set a different sorting (when compressing a file, a new file is created where all the points are reported in the order they are dis-played at the moment of the compression.).

Sorting according the prefix and according the point number applies only to the points with numeric identifiers. For the points with alphanumeric identifiers, the prefix or number isn't recognized; these points are sorted alphabetically (similar to a phone book).

The way of sorting can be only set for the GROMA system globally; you can't choose a different sorting method for each list. You can set the sorting method in Settings->Environment.

Prev | Home | Next
Locking the points | Up | Active coordinate list


Active coordinate list
Prev Chapter 6. Coordinate list Next

Active coordinate list

If more than one coordinate list is open, one of them must be chosen as active. The name of this active file is displayed on the status bar. After launching the program, the coordinate list that is opened first is set as active.

Which coordinate list is active has effect on many other program functions (e.g. on searching and saving the points).

In some cases, it is convenient not to have any of the opened coordinate lists selected as active (e.g. testing calculations, where you do not want to save the results).

Choosing the active coordinate list

The active coordinate list can be chosen in three ways:

  • Using the command File->Active coordinatess list you will call a dialog window with a list of all the opened files, wherefrom you can choose the active list. If you do not want any active list, select the item [None].

  • Double click with the mouse on the status bar. A dialog window will display as when calling using the menu.

  • Mouse-drag any of the items to the status bar, in the same way as you drag data in the calculation windows.

Prev | Home | Next
Sorting the coordinate list | Up | Searching in the coordinate list


Searching in the coordinate list
Prev Chapter 6. Coordinate list Next

Searching in the coordinate list

Anytime when the program needs coordinates of some point, it tries to find them on the coordinate list. This search always follows the same algorithm, regardless of the reason (by which function) the point is searched. The search method depends on the setting of some environment parameters.

If in the dialog Settings->Environment the option "Search in all the open files" is turned on, the program will search every opened coordinate list. Otherwise it will search only in the active coordinate list.

If in the dialog Settings->Environment the option "Search according to the prefix" is turned on, the program will search for such points where both the number and the prefix agree. Otherwise it ignores the prefix and finds all the points of the pertinent number, regardless their prefix.

Note

If the search according to the prefix is set, the search method is significantly faster than if searching according to numbers (in case of large coordinate lists, the difference can be significantly big). This is caused by the fact that the coordinate list can't contain more points with the same prefix and point number. In addition, the list is primarily sorted according to the prefix and secondarily according to the number; thus, you can use quite a fast algorithm for searching and after finding the point you don't have to continue searching through the list. On the other hand, the list can contain more points with the same number and different prefix (which can be on the list at any place), therefore while searching for the point according to the number the program must always search through the entire list.

In case the program finds more points with different coordinates meeting the criteria, it will display a dialog window with the list of the points (including the file names where the points were found) and lets you select the appropriate point. If you choose from this list the item [None], the program will behave as if it hasn't found any point.

Prev | Home | Next
Active coordinate list | Up | Storing the points


Storing the points
Prev Chapter 6. Coordinate list Next

Storing the points

In some calculation functions, the calculated points are automatically stored in the active coordinate list (e.g. the polar survey). If none of the coordinate lists are selected as active, the program itself will not store the point, but you can store it manually by dragging it to any coordinate list. This can be convenient, for example, during testing calculations, where there is no need to store the results.

In the calculation functions, where it is necessary to enter the output file for the calculated coordinates (batch polar survey etc.), the output is automatically set as the active coordinate list at the launch of the calculation (unless you have previously chosen a different file).

Prev | Home | Next
Searching in the coordinate list | Up | Graphic display of the points


Graphic display of the points
Prev Chapter 6. Coordinate list Next

Graphic display of the points

if you want to display the points graphically, choose the command Coordinates->Display graphically. The program will open a drawing prescription for the pertinent coordinate list (file .pic). If the file with the drawing prescription doesn't exist, the program will create an empty file.

Prev | Home | Next
Storing the points | Up | List sorting according to the map lists


List sorting according to the map lists
Prev Chapter 6. Coordinate list Next

List sorting according to the map lists

By the command Coordinates->Sort according to the map lists you will call a dialog window, which will allow you to sort the coordinate list according to the map lists.

How to use this window is described in detail in the Reference Manual.

Prev | Home | Next
Graphic display of the points | Up | Comparing the coordinate lists


Comparing the coordinate lists
Prev Chapter 6. Coordinate list Next

Comparing the coordinate lists

After calling the command Coordinates->Compare the coordinate lists a dialog window is displayed for the statistical test of the coordinate lists. The program compares two coordinate lists, calculates the coordinates differences for the individual points, estimates of the standard errors and other data. The detail description is in the Reference Manual.

Prev | Home | Next
List sorting according to the map lists | Up | Duplicite numbers check


Duplicite numbers check
Prev Chapter 6. Coordinate list Next

Duplicite numbers check

After calling the command Coordinates->Duplicite numbers check a check of the coordinate list will be performed to determine whether it contains any duplicate point numbers. The check result is saved in a report.

Prev | Home | Next
Comparing the coordinate lists | Up | Removing the identical points


Removing the identical points
Prev Chapter 6. Coordinate list Next

Removing the identical points

After calling the command Coordinates->Remove the identical point a dialog window is displayed which serves to find the points with different numbers but identical (or similar) coordinates. The detailed description is in the Reference Manual.

Prev | Home | Next
Duplicite numbers check | Up | Checking the points' numbering


Checking the points' numbering
Prev Chapter 6. Coordinate list Next

Checking the points' numbering

Using this function, you can check the succession of the point numbers on the coordinate list. The program will check the numbering and display the report with reports on breaks in the numbering.

Prev | Home | Next
Removing the identical points | Up | Coordinates rounding


Coordinates rounding
Prev Chapter 6. Coordinate list Next

Coordinates rounding

After calling the command Coordinates->Coordinates rounding a dialog window is displayed to round the entire list (or the selected items) to the determined number of decimal places. A detailed description is described in the Reference Manual.

Prev | Home | Next
Checking the points' numbering | Up | Recovering the deleted item


Recovering the deleted item
Prev Chapter 6. Coordinate list Next

Recovering the deleted item

After calling the command Coordinates->Recover the deleted items a dialog window is displayed which can recover all the items deleted from the list since the last file compression in a new file. A detailed description is in the Reference Booklet.

Prev | Home | Next
Coordinates rounding | Up | Importing a file


Importing a file
Prev Chapter 6. Coordinate list Next

Importing a file

After calling the command Coordinates->Attach file a dialog window is displayed for the selection of a file. Points from a different list can be added to the existing coordinate list using this window. The imported file can be either in the GROMA system format or in any other format from which GROMA can import points (text file, XML format, etc.).

Prev | Home | Next
Recovering the deleted item | Up | Dual coordinates


Dual coordinates
Prev Chapter 6. Coordinate list Next

Dual coordinates

The GROMA system allows keeping two pairs of coordinates X and Y in the coordinate lists for each point. For example, you can have the coordinates for each point in both the main and local systems or generally in two different systems.

The second coordinate pair is stored on the list using the user information on the point (INFO1 and INFO2). The display mode (name, number of decimal places, etc.) can be set in the information on the file by the command File->Information about the file.

The program always considers the first listed coordinates as the active coordinates, the second pair is considered auxiliary. If you want to start to work with the second pair, it is necessary to replace the main coordinates with the auxiliary. This replacement can be done using the dialog window called by the command Coordinates->Dual coordinates.

The system contains other functions for the work with dual coordinates:

  • Batch adding the second coordinates pair from the additional coordinate list according to the point numbers.

  • Export of the auxiliary coordinates into a new file.

  • Removing all or only the zero auxiliary coordinates.

  • Replacement of the main and auxiliary coordinates.

The description of the individual functions is in the Reference Manual.

Prev | Home | Next
Importing a file | Up | Chapter 7. Measured data list


Chapter 7. Measured data list
Prev Part I. User Manual Next

Chapter 7. Measured data list

Display mode

You can choose a display mode of the measurement list. The program offers the following options:

  • Display all the items

  • Display only the positions and orientations

  • Display only the positions

The display mode detail can be set in two ways:

  • Setting for the entire file

    Using the dialog window Measured data->Display mode parameters you can decide whether to display all the items, positions with orientations, or only the positions. Such setting will apply to the entire file.

  • Setting for the individual positions

    If you want to change the display mode for the individual positions, you can perform the change by clicking with the mouse on the icon of the details in the left column of the list (in front of the position number). The display mode detail is changed in cycles by double clicking.

Prev | Home | Next
Dual coordinates | Up | Renumbering the measured data list


Renumbering the measured data list
Prev Chapter 7. Measured data list Next

Renumbering the measured data list

After calling the command Measured data->Renumbering a dialog window is displayed for renumbering the measured data list. Unlike the coordinate list, the measurement renumbering is performed within one file (it is not necessary to renumber from one file to another). You choose the values to be renumbered in a dialog window (prefix, numbers) and check whether you also want to renumber the orientations and positions. The renumbering is launched by pressing the button (Renumber). If some point numbers repeat on the measured data list, such points will get identical numbers after the renumbering. A report containing a table of the old and new point numbers is displayed after the renumbering.

Prev | Home | Next
Chapter 7. Measured data list | Up | Field book processing


Field book processing
Prev Chapter 7. Measured data list Next

Field book processing

The GROMA program allows a complete processing of the field book containing the measured values including processing of the measurements in both positions of the binocular, measurements in two directions, etc.

After calling the command Measured data->field book processing a dialog window will display where you can set what changes you require in the field book.

Before the field book calculation, you must first define the theodolite using the command Settings->Theodolite. When defining the theodolite, you will set the tolerance for the measurement difference in the I. and II. positions of the binocular, the difference of the twice measured distance, etc. According to the set tolerances, the individual measurements marked in the report as suspicious or faulty are then performed.

The program is delivered with the predefined theodolite called "Unknown theodolite", in which the implicit tolerances for testing the suspicious and faulty measurements are set.

The information on all the changes in the measured data list is stored in a report. In some cases, it might be convenient to report the changes only in the report, but keep the measured data list in the original condition. In such case, check the option Only in the report, and the program will leave the list unchanged.

Also, you can choose whether to change the entire measured data list or only the selected items.

For the actual field book processing, press the button (Adjust). The program will step by step perform all the selected adjustments.

During the field book calculation, the program follows these rules:

  • If the tested value (difference between the distances measured in two ways, difference between the directions measured in I. and II. positions) is smaller than the value set for the selected theodolite as Suspicious, the program will perform the calculation.

  • If the tested value is in the interval defined by the value set as Suspicious and the value set as Faulty, the program will perform the calculation, but will mark it in the report with the sign "?" as suspicious.

  • If the tested value is over the value set as Faulty, the program doesn't not perform the calculation, but leaves the original measurement in the field book, and stores the information about the not-performed calculation in a report marked with the sign "x" as faulty.

Processing the measured data in both positions

On each station, the program will search for the direction pair to one point measured in both positions of the binocular. If it finds such a pair, it calculates the collimation error (measurement difference in both positions divided by two), and subtracts from this error the collimation error set in the theodolite definition. It then compares the result with the tolerances set in the theodolite definition.

The program will process the zenith distances (if measured) and lengths in the same way.

If all the differences meet the tolerances set in the theodolite definition, the program will adjust the measurement in the I. position so it contains the average values from both measurements.

Should at least one of the calculated differences be larger than the value set in the theodolite definition as suspicious, the program will mark the entire measurement in the report as suspicious.

Also the estimate of the real instrument errors is stored in the report after the processing of the measured data list.

Directions reduction

When reducing the directions, the program will adjust all the directions at the station so the direction is zero at the first orientation (first item on the measured data list), i.e. it will subtract the direction measured at the first orientation from all the directions.

Index error adjusting

If your instrument does not automatically adjust the index error and you know the amount of the error, set it in the theodolite definition and use this option to adjust the measured zenith distances.

Refraction adjusting

This option allows you to adjust the measured zenith distances or the horizontal difference by the influence of refraction and Earth curvature. Before the actual calculation, select the refraction coefficient and the adjustment you want to implement by pressing the button (Setting) the refraction coefficient, and which corrections you want to implement.

Horizontal difference calculation

After checking this option, the program will calculate the horizontal difference for all the measurements which contain distance and zenith distance and will store it in the measured data list.

Horizontal difference reduction on the connecting line between the stabilization marks

For the measurements with defined horizontal difference (or zenith distance), instrument height and target height, the program will calculate the horizontal difference directly between the points, i.e. the horizontal difference adjusted by the instrument and target heights. Afterwards, the instrument and target heights are set to zero to eliminate any further errors in the height calculation. This reduction must be performed before loading the data into height leveling.

Processing the repeated measured data

The program will search on each station for the measurement groups at the same target in the same binocular position and will calculate the final average measurement from the found distances. If the adjustments of the individual measurements meet the set tolerances, the program will remove the pertinent measurements from the list and adjusts the first measurement so it contains the average value.

Processing the distance measured in both directions and horizontal difference

For each measured distance, the program searches step by step in the entire measured data list for the pertinent distance measured in the opposite direction. If this is found, it calculates the average value, and if its adjustment does not exceed the set tolerances, it will store it to both measurements. It proceeds similarly for the horizontal difference.

If at least one of the calculated differences was bigger than the value set in the theodolite definition as suspicious, the program will mark the entire measurement in the report as suspicious.

Prev | Home | Next
Renumbering the measured data list | Up | Orientations marking


Orientations marking
Prev Chapter 7. Measured data list Next

Orientations marking

The GROMA system uses orientations marking in some tasks. The orientations are displayed in bold font on the measured data lists and can be located anywhere on the list (not necessarily at the beginning of the station). While importing from the field book format, the program automatically marks the orientations (if the format of the relevant field book allows distinguishing the orientations). The orientation's attribute for the individual points can also be changed using editing. If you want to change this attribute for a larger amount of points, you can use this dialog window.

In the window, you choose which criteria the orientations shall be marked according to and whether the points meeting the determined criteria shall be added to the existing orientations or whether entirely new marking shall be performed (in such case the orientation attribute for all the points is first cancelled).

Points used as stations

Checking this option, all the measurements to the point which were also used as stations will be marked as orientations.

Points found on the coordinate lists

Checking this option, all the measurements to the points which are in that moment stored on the coordinate list(s) (respecting the set mode for point search) will be marked as orientations.

Points with orientation code

Measurements which contain the set orientation code in their code will be marked as orientations (it can be a part of a longer code. In such case the code separator in the code settings must be adjusted).

Points with the number higher than

Here a numeric limit can be set from which the points are deemed coordinates. Such a limit is typically 2000, 4000 or 5000.

Points with prefix

Here a specific prefix can be set to mark the measurements as orientations.

Points with the prefix higher than

Here a numeric prefix limit can be set from which are the points deemed are orientations.

Prev | Home | Next
Field book processing | Up | Merging the measured data lists


Merging the measured data lists
Prev Chapter 7. Measured data list Next

Merging the measured data lists

Using the command Measured data->Merge file, you can merge another measured data list to the end of the open measured data list. You can achieve the same result by opening the second file and copying it using a clipboard into the first one. In this case the new points pasted are to the cursor position instead of the end of the list.

Prev | Home | Next
Orientations marking | Up | Recovering the deleted items


Recovering the deleted items
Prev Chapter 7. Measured data list Next

Recovering the deleted items

After calling the command Coordinates->Recover the deleted item a dialog window is displayed by which all the items deleted from the list since the last file compression can be recovered into a new file. The detail description is in the Refference booklet.

Prev | Home | Next
Merging the measured data lists | Up | Chapter 8. Projects


Chapter 8. Projects
Prev Part I. User Manual Next

Chapter 8. Projects

If you work on some large job, or you work on a job often, it is convenient to set up a new project. A project is a special data window where a list of files related to the pertinent job can be created. You can save data files (coordinate lists, measurements, reports, text files) and also files with stored calculations (polygon sequences, sizes, variables, transformations, etc.) in the project.

Besides the used files, some program settings are also stored in the project (scale coefficient, number of decimal places, foundation files, etc.).

New project

You can start a new project using the command File->New and choosing the file type Project. After creating a new project an empty window will open where you can add files related to the project.

Prev | Home | Next
Recovering the deleted items | Up | Adding / Removing files


Adding / Removing files
Prev Chapter 8. Projects Next

Adding / Removing files

Files can be added in two ways:

  • using the command Project->Add file

    After entering this command a dialog window is displayed with a list of all the open files (which are not yet part of the project). Here you can select a file (files) which you wish to add to the project. Only data files (coordinate lists, measured data lists, reports, graphics, text and raster files, etc) can be added in this way.

  • Dragging using a mouse

    Coordinate lists or measurements can be added to the project by simply dragging them with a mouse. In this way the saved files with calculations (polygon sequences, sizes, check distances, transformations, etc.) can also be added. The process of dragging the files into the window is the same as when storing the results on lists.

In the window with the project a tree structure is displayed where the files are arranged according to type. Any file can be opened by double clicking on its name on the list with the mouse. The window with the file will be opened in such place and in such size as it had when closed for the last time.

If the file you want to add to the project is in the same directory as the project itself, it will be added to the project just by using its name, not the full path. The entire project with the data files can be then moved to a different directory or to another disc and the data files will still open accordingly. But if the added file is located in a different directory than the project, it will be added with its full path and, if later moved, it will not be possible to open it from the project.

If you want to remove some file from the project, select its name on the file list and remove it by us-ing the command Project->Remove file.

Prev | Home | Next
Chapter 8. Projects | Up | Saving the project


Saving the project
Prev Chapter 8. Projects Next

Saving the project

A new project can be saved by using the command File->Save or File->Save as. The standard project file extension is .prj.

The paths to the individual files in the project are saved relative to the location of the file with the project. Therefore, if the project with the related files is transferred somewhere else and the relative location of the files to the project is maintained, nothing has to be changed and everything will work well even at the new location.

Important

The relative paths can be used in case the data files are located on the same device as the file with the project (e.g. everything on the disc C:).

Prev | Home | Next
Adding / Removing files | Up | Opening a project


Opening a project
Prev Chapter 8. Projects Next

Opening a project

  • Using a command from the menu

    The project can be opened in the same way as any other data file - using the command File->Open. Select the type Project from the file list.

  • From the list of closed files

    The previously closed project can be opened using the list of the closed files in the File.

The entire desktop of the GROMA system is refreshed when opening a project, i.e. all the windows which were open while the previous project was closing are opened.

Along with the files list, also part of the GROMA system settings are also saved in the project, therefore you can have different settings for different projects. It regards the following settings:

  • Input / output parameters

    • Number of decimal places

    • Coordinates rounding

    • Point number display mode

    • Scale coefficient

  • Reduction

  • user input / output set formats

  • Attached code table

Also, the list of the last opened files abvailable at File is saved in the project.

Prev | Home | Next
Saving the project | Up | Chapter 9. Point coding


Chapter 9. Point coding
Prev Part I. User Manual Next

Chapter 9. Point coding

The GROMA program allows coding the points on the coordinate and measured data lists. When measuring using instruments that allow the point code reporting, the codes can be marked during the measurement in the field and so obtained information can be used during processing by the GROMA program or other consequential programs.

Coding principle

The point code can be formed by any alphanumeric string up to the maximum length of 20 characters. Twenty characters are fully sufficient to allow unique point identification and does not cause a significant increase in the volume of the coordinate files. The GROMA program transfers the codes for all the outputs to the descriptions (e.g. for an automatic placement of marks) pursuant to the attached Code table.

Prev | Home | Next
Opening a project | Up | Code table


Code table
Prev Chapter 9. Point coding Next

Code table

The code table is a simple text file where the individual codes are assigned corresponding descriptions. The structure of a code file is clear from the below example:

1=Building
2=Fence
3=Tree
4=Post
5=Lamp
6=Pole
7=Beacon
8=Entrance
9=Orientation
10=PBBP
11=Nivelation mark
12=Wall above
13=Wall down
14=Road

In this code file, only numeric codes were used, but generally the codes can be formed by any alphanumeric signs.

In addition, the code table can contain these special items:

Table 9.1. Special items of a code table

Item | Description
@Title= | Name of the code table
@Default= | This description is displayed for all the items whose code was not found in the code table. If this option wasn't applied, the program will display the original code instead of the description.
@Empty= | This description is displayed for all the items with no code.
@Separator= | If you mark the point while measuring with more codes, you can set how the individual descriptions shall be separated on the outputs using this item. If you don't use this option, the program will always separate the program with one space. (the character separating the original table codes can be different, and you have to set in Settings->Coding: Code separator

The code tables are stored in text files with the implicit extension .cod. You can create an arbitrary amount of code tables for various purposes. The GROMA program uses the table which is currently attached. If no table attached, the program displays the original codes.

Prev | Home | Next
Chapter 9. Point coding | Up | Attaching and separating the code table


Attaching and separating the code table
Prev Chapter 9. Point coding Next

Attaching and separating the code table

If you wish to work with a specific code table, you have to attach it first. You can attach a code table using a command (Attach) in the dialog window Settings->Coding. After pressing this table, the program will offer you all the code tables found in the current directory. After selecting and attaching the table the pertinent descriptions are immediately displayed in the opened coordinate lists and lists of the measured values instead of their codes.

If you wish the program to display the codes again, you can separate the attached code table by using the button (Separate).

Prev | Home | Next
Code table | Up | Edit the code table


Edit the code table
Prev Chapter 9. Point coding Next

Edit the code table

If you want to edit the code table, you can open it directly in the GROMA system as a text file. The easiest way to open a file is using the button (Edit) in Settings->Coding. The changes performed in the code table are displayed immediately after you save the table on the disc (the command File->Save). The code table is a common text file, therefore, it can be edited by any text editor.

Prev | Home | Next
Attaching and separating the code table | Up | Multiple codes


Multiple codes
Prev Chapter 9. Point coding Next

Multiple codes

The system allows using multiple codes on one point. The codes must be separated by the so called code separator (one character - usually a space or coma). This separator is set in Settings->Coding: Code separator. Then all the partial point codes are transferred to the description. If some of the partial codes are not found in the code table, it will be displayed without the transcript to the description. The individual descriptions are separated on the list by a space. If you want to separate them by a different sign of a character sequence, list them in the code table as the item @Separator="xx", where xx is a sequence of the separating characters.

For example, if there is a code "1 2" by the point, when using the above described example code table, a description "Building Fence" would show. If the code table doesn't contain the item "1=Building", a description "1 Fence" would show. If, in addition, there is a line

@Separator=", "

The final code would look like this: "1, Fence".

Prev | Home | Next
Edit the code table | Up | Unknown code


Unknown code
Prev Chapter 9. Point coding Next

Unknown code

If there is a code in the report which is not listed in the code table, the program will not transfer it and will show it as registered. If you do not wish to display the codes which were not found in the code table, you can add in it a row

@Default=""

By this row you decide which description shall be written instead of the codes not found in the code table. The unknown code will be skipped if nothing is written between the quotes. If you write in quotes any arbitrary text, the unknown code will be replaced by this text.

Prev | Home | Next
Multiple codes | Up | Point selecting according to the codes


Point selecting according to the codes
Prev Chapter 9. Point coding Next

Point selecting according to the codes

The items on the coordinate list and measured data lists can be selected according to their codes. It is necessary to keep in mind that the program treats the codes as text, even if you only use digits. For example, if you choose to select all the items with the code from 5 to 59, the items with the code 8 (text starting with the character "8" is bigger than the text starting with the character "5") will be selected.

Prev | Home | Next
Unknown code | Up | Code entering using the descriptions


Code entering using the descriptions
Prev Chapter 9. Point coding Next

Code entering using the descriptions

When entering a point code in any dialog window, a button with three dots is displayed next to the editing box. After pressing this window, the program displays a complete list of the descriptions from the attached code table so you can choose the code according to the description.

Prev | Home | Next
Point selecting according to the codes | Up | Recoding during the import


Recoding during the import
Prev Chapter 9. Point coding Next

Recoding during the import

If you register descriptions of more characters, the GROMA program allows their transfer to up to twenty-characters codes with which it internally works. It automatically transfers the internal codes back to notes on all outputs (screen, text files, etc.)

The codes to which the descriptions shall be transferred are defined using the code table. The same code table can also be used to transfer the codes to the descriptions, which ensures the preventing of the original descriptions, or you can use a different table for the output.

If you want to transfer the descriptions to codes, you have to attach the pertinent code table and turn on the item Recode while import on the code table in the dialog window Settings->Environment. The program transfers all the descriptions to the codes according to the attached table, and if some of the descriptions are not found in the table, it will display an error message.

Prev | Home | Next
Code entering using the descriptions | Up | Chapter 10. Calculations


Chapter 10. Calculations
Prev Part I. User Manual Next

Chapter 10. Calculations

All the calculation jobs are managed using dialog windows which are displayed after selecting the pertinent job in the menu or in the toolbar.

calculation dialog windows

The calculation dialog windows are non-modal. You can open more of them at once, and leave them open, if you want to work with different parts of the GROMA system. You can switch between the individual editing boxes in the dialog window using the keys <Tab>, <Shift-Tab>, <Up-arrow>, <Down-arrow> or <Enter>.

The calculation windows consist of several areas, usually framed. They always have an area for entering the data, area for results, and the area with buttons. More complex windows can contain even more areas (plot orientation, coordinate list, etc.) and eventually bookmarks with other hidden parts of the window. Managing the calculations is, with only a few exceptions, identical, therefore we will describe in detail only the polar survey calculation. For other calculations will be described only the differences from the standard procedure.

Tip

After pressing the key <+> or <-> in the point number box (if filled in), the number will be increased/decreased by one. This applies for all the boxes for point number input.

Prev | Home | Next
Recoding during the import | Up | Data input


Data input
Prev Chapter 10. Calculations Next

Data input

The data can be entered in a dialog window in two ways:

  • Direct input from keyboard,

  • Dragging from another window.

Direct data input

Direct data input is the data entered in the input lines of the dialog window from a keyboard.

If you leave the input line with the point number (by pressing the key <Tab>, <Enter> or in any other way), the program will try to find the point with the entered number on he coordinate list(s). If such point is found, it will automatically add its coordinates.

Dragging the data from lists

The data can be dragged to the dialog windows from the opened coordinate lists and from the measured data lists. The data can be dragged by using the left mouse button. Select the pertinent item on the list (point coordinates or the measured data) with the cursor, press the left mouse button, and move the cursor to the place where you want to enter the selected value.

When moving the cursor, notice how changes its appearance and shape according to the area where you currently are. Above the list where the data is from the cursor has the shape of a closed hand. When moving across an area which does not have any relation to the dragged data, and which can not accept it, the cursor has the shape of "prohibited". The cursor changes the shape to an open hand above any area which can accept the data. Releasing the left mouse button will transfer the data to the area where the cursor is currently located (the specific action depends on the area type).

In this way, data can be dragged from lists to calculation windows, results from calculation windows back to the lists, or coordinates from lists to lists.

Automatic orientation of the horizontal directions plot

The exception in managing is the calculation windows for orientation of the horizontal directions plot. If you drag a station from the measured data list from this area (red line with the station number always listed at the beginning of a new station), the program will automatically search through all the measured directions of the pertinent station and add all the measurements for which it found target coordinates in the orientation on the lists. Any such offered orientations can be removed by pressing the button (Remove).

Prev | Home | Next
Chapter 10. Calculations | Up | Storing the results


Storing the results
Prev Chapter 10. Calculations Next

Storing the results

The coordinates of the calculated points can be stored on the coordinate list by dragging with a mouse.

How to drag the calculated points

  • Fill all the missing data (point number, prefix, etc.) in the dialog window.

  • Move the mouse cursor to the desktop of the dialog window in the area with the results (to the grey background, not to the area of the input box or coordinate list).

  • Press the left mouse button.

  • Hold the left mouse button and move the cursor across the screen. You can see the mouse cursor changes according to the window it is currently in.

  • When the cursor is in the correct window, release the left mouse button. The data will be copied to the pertinent place.

In this way, you can not only transfer the data to the coordinate list, but also to other calculation windows, to a check drawing, etc.

Some calculation jobs store the calculated points automatically into the active coordinate list. If you don't want to store them automatically, set the active coordinate list to [None]. Then you can store the calculated point manually to any coordinate list.

Prev | Home | Next
Data input | Up | Check drawing


Check drawing
Prev Chapter 10. Calculations Next

Check drawing

Before initiating the calculation, by the command Tools->Check drawing you can display a dialog window where, immediately after finishing any calculation the check drawing of the configuration of the set and calculated values will be displayed. The input points are black, the measured and calculated values red. The check drawing window is non-modal; therefore, it can be permanently open. Its position and size can be changed as needed. You can display individual points in it by dragging with a mouse from the coordinate list or from the calculation windows. Check drawing is described in detail in the manual under the topic Plug-ins.

Prev | Home | Next
Storing the results | Up | Tolerance


Tolerance
Prev Chapter 10. Calculations Next

Tolerance

For some calculations, the GROMA program can estimate the accuracy of the result, for example, accord-ing to geometrical parameters (configuration), according to the adjustments (for predestinated calculations), etc.

To control the parameters for each calculation would be labored and tedious. That's why the GROMA program allows automatic comparison of some of the parameters with the preset tolerances. If the preset tolerance is exceeded, the program displays a warning and allows the user to either proceed with the calculation or to terminate it.

The user can define the individual tolerance sets. According to the required accuracy, he then chooses the right set which will be thereafter used in the program.

The tolerances are set in the dialog window Settings->Tolerance. Here you can also select the active tolerance set.

You can turn off the tolerance testing by selecting the set name [Do not test].

Prev | Home | Next
Check drawing | Up | Testing pursuant the regulations for the work in the cadastre of real estates


Testing pursuant the regulations for the work in the cadastre of real estates
Prev Chapter 10. Calculations Next

Testing pursuant the regulations for the work in the cadastre of real estates

Besides testing the tolerances defined by the user, you can also test the deviations and parameters pursuant to the regulations for the work in the cadastre of real estates. This testing can be turned on in the dialog window for tolerance definition. If you turn these tests on, the GROMA system will compare in some calculations the achieved deviations with the limit deviations and the real geometric parameters of the figures with the limit allowed parameters. If the calculation meets the requirements for the work in the cadastre of real estates, a conclusion on complying with the requirements is written in the report. If the calculation does not comply, a dialog window with the overreached parameter is displayed and the test result is written in the report.

The following parameters are tested:

Table 10.1. Tests while calculations

Calculation job | Test type
Transit traverse | Angle of deviation, planimetric deviation, limit traverse distance, limit side distance, limit relation of the adjoining sides, limit point number
Intersection, point of intersection of two straight lines | Minimum angle of intersection, maximum distance from the set point to the determined point
Radius bar with orientation at the determined point (free station) | Minimum angle of intersection
Polar survey | Limit deviation in orientation
Orthogonal survey | Limit deviation in the measuring straight line
Control measured distance | Limit difference between the directly measured and calculated from the coordinates

Prev | Home | Next
Tolerance | Up | Transformation of coordinates


Transformation of coordinates
Prev Chapter 10. Calculations Next

Transformation of coordinates

The GROMA program has built in one universal transformation of coordinates used by all the calculation jobs which need the transformation.

Identical points

According to the transformation type at least two or three so called identical points are required. The term "identical points" isn't very suitable and does not describe the point's essence (generally while a transformation, these points are not identified in both systems). But since this term is used in standard practice, we will use here for better understanding.

Identical points are points whose coordinates are known in both systems, and can therefore be used for the calculation of the transformation key. The used transformation is linear; in a general case, both systems are identified only in one point - in the center of gravity of the identical points. For any other points for which the transformation key applies, it was determined that their coordinates trans-formed from one system into another are not generally equal to the coordinates in the other system (they only meet the condition of the minimum sum of the error square); therefore, they are not truly "identical".

Transformation key

The transformation key, along with the list of identical points, is stored in a file and later loaded back into the program. The majority of the calculation functions using the transformation allow displaying the resulting transformation parameters.

Among the transformation parameters are the following:

  • Transformation key:

    • Shift in the direction of the axis X,

    • Shift in the direction of the axis Y,

    • System rotation,

    • One or two scale coefficients

  • Identical point:

    Coordinates of the point where both systems are identified (i.e. the centre of gravity of the points, from which was generated the transformation key).

The transformation parameters are determined based on the smallest squares method with the condition to minimize the sum of the squares of the coordinate's adjustment at the identical points.

The majority of jobs using the transformation of coordinates contain the button (Key), which displays a box with transformation parameters. This box contains buttons (Store key) and (Load key), which serve to write the defined transformation key into a file and to its repetitive loading. If the files with the transformation key are mutually compatible - for example - in the transformation of co-ordinates, which was defined during the orthogonal method (and vice versa), the key can be loaded and used.

Identity transformation

Identity transformation is the linear transformation of coordinates which preserves the coordinates' dimensions (the scale coefficient equals 1). Therefore, the transformation has three parameters (two translations and rotation); to establish transformation keys at least two identical points are required.

Similarity transformation

Similarity transformation is the linear transformation of coordinates which uses one scale coefficient for the direction of both the X and Y axes. Therefore, the transformation has four parameters (two translations, rotation and scale coefficient); to establish transformation keys at least two identical points are required.

Affine transformation - 5 degrees of freedom

The affine transformation has, unlike the similarity transformation, two different scales for the directions of the X and Y axes. The number of transformation parameters is five (two translations, rotation and two scale coefficients); therefore, the minimum number of identical points increases to three.

Affine transformation - 6 degrees of freedom

In this type of transformation, geometric transformation parameters are not established, but the elements of the transformation matrix are directly established. The total number of the transformation parameters is six (two translations and four elements of the transformation matrix). In this case, the elements of the transformation matrix are not mutually interconnected by geometric relations; there-fore, geometric transformation parameters can't be established. The minimum number of the identical points for this type of transformation is three.

User's transformation

If you choose this type of transformation, you don't have to enter any identical points, but you can directly enter transformation equations for calculation of the coordinates of the points.

Prev | Home | Next
Testing pursuant the regulations for the work in the cadastre of real estates | Up | Orientation of sets


Orientation of sets
Prev Chapter 10. Calculations Next

Orientation of sets

In some tasks (e.g. polar method, intersection from directions, free station, transit traverse), it is necessary to perform the orientation of the set of horizontal direction. The orientation method is always the same, regardless of the task.

You can proceed in two ways: You can fill in the orientations individually or you can let the program orient the set automatically.

Manual orientation of the sets

First, enter the coordinates of the station into the area for station input using the point numbers or dragging with the mouse (doesn't apply for free station - in such task the coordinates of the station will be established).

Enter the necessary data on the pertinent orientation direction in the area for the axis orientation (the measured distance is not required, it is used only for control purposes), and press the button (Add). The orientation will be added to the list and the program will recalculate the entire orientation of the directions set. If there are more orientations than one on the list, the program will display the adjustments on the individual orientation directions. Fill in all the orientations you want to use in the same way.

Automatic orientation of sets

If you want the program to automatically perform the orientation of a set, drag only the station number (red data on the measured data list) into the area for the axis orientation. From all the directions measured at the station, the program will select only those where the coordinates of the target are known and will add them automatically to the list of orientations. Therefore, before the automatic orientation of the direction set, it is necessary to have opened the coordinate list containing the coordinates of the station and orientation points. In addition, a method of searching the points must be selected so the program is able to find the pertinent points on the lists (the coordinates must be in the active coordinate list, or the search must be allowed in all opened lists).

In this way, the created list of orientations can be further edited (you can add, remove or adjust items). The data can be add using the button (Add), and removed by the button (Remove).

If you want to remove some direction from the orientations, but not completely (in case you want to use it later), you can turn it off by checking the box in front of the point number. The turned off direction will remain on the list for further use (with displayed corrections), but will not be used for the orientation of the set (it won't appear in the report).

If you want to adjust one of the items, point at it on the list of orientations to display the values in the editing windows, and then adjust the values. Add the adjusted value and remove the original, non-adjusted item.

Orientations weight

When orienting the set, you can merge the weights of the individual directions in the calculation. The weights can be set in the program configuration (Settings->Calculations). You can choose from three standard settings:

  • 1

    Weights of all the measured directions are 1. This calculation was used in the previous versions of the GROMA system.

  • 1/s

    For the individual directions, the weights calculated from the relation

    p = 1/s

    are used where s is distance to the orientation point.

  • s/1000

    For the individual directions the weights determined from the relation

    p = s/1000

    are used where s is distance to the orientation point.

  • User settings

    Besides these three predefined options, in the input line for the weight can be written any function containing the parameter s.

Note

When selecting a predefined weights, notice how changes the function for the weight calculation in the input box.

The number values of the individual weights can be found in the report on orientation of the set of directions.

Prev | Home | Next
Transformation of coordinates | Up | Chapter 11. Calculation jobs


Chapter 11. Calculation jobs
Prev Part I. User Manual Next

Chapter 11. Calculation jobs

Polar method

The Polar method dialog serves to manually calculate the point coordinates measured by the polar method.

Before the calculation of the measured points, you first have to enter the station coordinates and orient the set of horizontal directions.

Station coordinates

The stations' coordinates can be entered manually (eventually fill in only the point number and let the coordinates be filled in automatically) or mouse-dragged from the coordinate list.

Orientation of set

The steps for orientation of the set of directions are described in the previous chapter.

Similar points

If you have oriented the set of horizontal directions, you can use the bookmark Calculated point switch to the second part of the dialog window, and start to calculate the measured points. The data can be filled in manually in the editing windows or mouse-dragged from the list. If an active coordinate list is chosen, the calculated points are automatically stored in it. If you don't want to store them, you have to cancel the active list (command File->Active coordinatess list, item [None]). If you don't have an active coordinate list set (or if you want to store the point on another list and eventually use it in other calculation window as an input data) you can mouse-drag it in the same way as you drag the points from the coordinate lists.

If you want to calculate the coordinates of more point at the same time, you can select such points on the measured data list and drag the entire selected block at a time.

Note

During this calculation method, the selected block must not reach the next station because this job can't automatically perform new set orientation. In case you want to calculate more stations at a time, use Batch Polar Method.

If you mouse-drag the data, the coordinates will be calculated immediately after the drag. If you enter the data from a keyboard, you have to press the button (Calculation) (can be pressed from anywhere by the key <Alt-V>).

Prev | Home | Next
Orientation of sets | Up | Orthogonal Method


Orthogonal Method
Prev Chapter 11. Calculation jobs Next

Orthogonal Method

Before the calculation of the detail points measured by the orthogonal method, you must first deter-min a transformation key using a similar procedure as for the orientation of the sets of horizontal directions in the polar method. For each point you want to use for determination of the transformation key, enter the coordinates in the entry lines under Identical points in the main and local systems (perpendicular and stationing) and add it to the list of identical points using the button (Add).

If there are at least two identical points on the list, the program will automatically calculate the transformation key and the coordinate corrections on each point. At the same time, it displays the correction of the length between the first two identical points (the difference of the length determinated from the coordinates and from the perpendicular and from the stationing). The maximum number of the identical points is not limited.

You can control the transformation key by pressing the button (Key). From the dialog window displayed by the program (it is identical for all kinds of transformations) you will probably only be interested in the part Scale coefficients (in this case a similarity transformation is used, both scale coefficients are therefore identical). This window contains the buttons (Load key) and (Save key). Using these buttons you can save the entered transformation key to the file for further use or load the previously defined key from the file.

In the calculation dialog window, the adjustment of the distance of the measuring line is automatically displayed. If more than two identical points are entered, or if it is not a free measuring line, then the adjustment of the distance of the measuring line is deemed the difference of the distances between the first two identical points.

After determining the transformation key, you can calculate the individual points in the usual way. If you have selected any of the coordinate lists as active, the program automatically stores the calculated points in it. If you do not want to save them, you have to cancel the active list before the calculation (command File->Active coordinatess list, item [None]). If you do not have an active coordinate list set (or if you also wish to save the point in another list, eventually to use it in other calculation window as an input data), you can mouse-drag it in the same way you drag the points form the coordinate lists.

By the button (New line)), you delete the content of the entire dialog window, and you can calculate another line.

Tip

If calculating more points, and if you have the possibility to import their perpendiculars and stationing in some way to the coordinate list, you can use the coordinates' transformation for the calculation.

Prev | Home | Next
Chapter 11. Calculation jobs | Up | Batch Polar method


Batch Polar method
Prev Chapter 11. Calculation jobs Next

Batch Polar method

Batch Polar Method

This job processes the entire measured data list or its part in a batch. It can calculate the point coordinates with the polar method, free station method, and intersection by angle. If you wish to use only some of these methods in the batch calculation, you can turn off the individual methods in the program configuration (Settings->Calculations). It can be useful, for example, in case a measurement from an unknown station appears on the list, and further for survey by radius bar. If all the calculation jobs are turned on, the program will try to determine the coordinates of the unknown station as a free station. If you turn off the free station job for the batch calculations, the program will skip this station during the first execution (its coordinates will not be determinated) and later determine them by the radius bar. The next time it will calculate the points measured from it.

If you are unable to calculate some points (e.g. if the station coordinates can't be determined, etc.), no information on the reason the calculation couldn't be performed will be written in the report.

Preparation for calculation

Before initiating a calculation, you must perform some preparation settings:

  • Open the measured data list.

  • Open the coordinate list where the points for the required calculation are (points of the point field, etc.).

  • Ensure that the GROMA program can find the coordinates from this file during the calculation. There are two ways to ensure this:

    • In the dialog window Settings->Environment, select the option Search in all open files, or

    • Set this coordinate list as active (menu_file_active;).

  • In the dialog window Settings->Calculations select the search according to orientation (all the points of the known coordinates or only the point with attribute Orientation. In the same dialog window, or directly in the calculation window for the batch polar method, choose, using the item Edit orientations, whether the program shall display and allow editing of the orientation list before the calculation of each station.

  • Select the input and the output files for the calculations (see below).

Files

In this part of the dialog window you have to choose which open file the measured data shall be read from and which file the calculated coordinates shall be stored to. You can set the file names by following these steps:

  • Show the file you want to select anywhere in the window.

  • If you mouse-drag any arbitrary item (press and hold the left button) in the calculation window to the area titled Files. The file name will display in the dialog window.

You can also select the files using the three-dot button, located next to the boxes for the file names.

If you don't select a name of the output file, the program will automatically use the active coordinate list. The input file must be always set.

Instantaneous calculation stage

After pressing the button (Calculation), the program displays the instantaneous stage of the calculation in the dialog window:

  • Station: the currently calculated station,

  • Point: the currently determined point,

  • Method: the method used to determine the point (polar, free station, intersection by angle), or any other currently performed action (orientation of the set).

The total stage of the calculation

In this part of the window, the program provides information on how many stations and detail points are already calculated and how many unused items remain on the measured data list. After terminating the calculation, you can find information here on how many measured values couldn't be used for some reason.

During the batch calculation, the program calculates the polar method, free station (also backward intersection) and intersection by angle. The program also calculates all these jobs regarding the height if it has all the required data in the lists (station height, horizontal difference or zenith distance and target height). When calculating intersection by angle, the program will calculate the height twice (from both stations), store the average value on the coordinate list, and reports both values, their difference and their average.

The batch calculation allows more iteration to process the measured data list. This processing method allows the calculation when the data is not sorted on the list in a sequence which could be processed in one iteration. This situation will occur, for example, if you measure the detail points from a station which hasn't been recognized yet. If recognized later, for example, from the next station as a radius bar, the program will skip the unrecognized station during the first iteration, calculates its coordinates from the next point, and then will calculate the station during the next iteration. The maximum number of iterations is 5, but the program will terminate the calculation by itself in case no point was calculated during the last iteration.

A report with all the calculation data is available after the calculation. If you don't want to store all the calculated detail points in the report, you can turn off their storing in Settings->Calculations.

Prev | Home | Next
Orthogonal Method | Up | Batch Orthogonal Method


Batch Orthogonal Method
Prev Chapter 11. Calculation jobs Next

Batch Orthogonal Method

Batch Orthogonal Method

This job processes the entire list of the measured orthogonal data or its part in a batch.

Calculation preparation

Some preparation settings must be performed before starting a calculation:

  • Open the file with the measured orthogonal data.

  • Open the coordinate list where the points required for the calculation are (points of the point field, etc.).

  • Ensure that the GROMA program can find the coordinates from this file during the calculation. This can be achieved in two ways:

    • In the dialog window Settings->Environment, check the option Search in all open files, or

    • set this coordinate list as active (menu_file_active;).

  • In the dialog window Settings->Calculations, select the search method by the orientations (all the points of the known coordinates, or only the point with the attribute Orientation. In the same dialog window, or directly in the calculation window for the batch polar method, select using the item Edit orientations, whether you want the program to display and allow editing of the orientation list before the calculation of each station.

  • Select the input and output file for the calculation (see below).

Files

In this part of the dialog window you have to choose from which open file the measured data shall be read and to which file the calculated coordinates shall be stored. To set the file names:

  • Point anywhere in the window with the file which you want to choose.

  • Mouse-drag any arbitrary item (press and hold the left button) in the calculation window in the area titled Files. The file name will be displayed in the dialog window.

The files can be also selected using the three-dot button, located next to the boxes for the file names.

If you don't set the name of the output file, the program will automatically use the active coordinate list. The input file must always be set.

Instantaneous stage of the calculation

After pressing the button (Calculation), the program will display the instantaneous stage of the calculation in the dialog window:

  • Line: currently calculated orthogonal line,

  • Point: currently recognized point,

Global stage of the calculation

In this part of the window, the program shows the information on how many lines and detailed points were already calculated and how many not-used items still remain on the measured data list. After finishing the calculation you can see how many measured values could not be used for some reason.

Batch calculation allows the processing the measured data lists in more iterations. This way of processing also allows calculation in case the data in the file is not sorted in a sequence which can be processed in one iteration. This situation occurs, for example, if you measure detailed points from a line which hasn't been recognized yet, or if its end-points are calculated additionally, for example, from the next line. In such case, the program will skip the unrecognized line during the first iteration, calculate the line coordinates from its end points, and during the next iterations will calculate this line. The maximum number of iterations is 5, but the program will terminate the calculation by itself in the case it didn't calculate any point during the last iteration.

A report with all the calculation's details is available after the calculation. If you don't want to store all the calculated detailed points, you can stop their storing in Settings->Calculations.

Prev | Home | Next
Batch Polar method | Up | Free station


Free station
Prev Chapter 11. Calculation jobs Next

Free station

This job calculates the coordinates of the station where the directions or directions and distances to the known points were measured. If only the directions were measured, the coordinates of the station are calculated by backward intersection with leveling using the SSM; if only the lengths measured also, the program will calculate the coordinates using the Helmert transformation. In this case, you can view the resulting transformation key after pressing the button (Key)

After the calculation, the program will display the direction adjustments on the coordinate list, eventually, the program will also display the distances to the orientation directions.

Important

If for some points, both directions and lengths were measured, and for others only the directions, the program will calculate the missing lengths from the measured data and further use them for the actual calculation of the free station. If you don't want the program to calculate the missing lengths, you can turn off this feature in Settings->Calculations.

The most correct way of calculation of such a free station is, from the mathematical point of view, calculation using the balancing of the non-uniform measurements based on the standard error of directions and lengths. This option is provided in the demo version of the module for balancing the plannimetric nets, which is a standard part of the GROMA system. This demo version allows exact balancing of the free station with an arbitrary number of orientations. To allow the calculation, all the orientations must have set the feature Permanently marked point and the recognized point the feature Free (demo version allows recognition of only two unknowns).

The dialog window also allows the calculation of the so called radius bar with orientation on the recognized point ( on a free station the direction and length to one orientation point and only the direction to the second orientation point is measured). However, at certain coordinates ambiguity of the calculation occurs (the configuration has two solutions). In such a case, the program allows you to choose one of both possible solutions. The correct solution can also be chosen based on the check drawing.

Prev | Home | Next
Batch Orthogonal Method | Up | Intersection by Distance


Intersection by Distance
Prev Chapter 11. Calculation jobs Next

Intersection by Distance

Intersection by Distance

In this dialog window the point coordinates can be calculated by intersection by distance. The inputs are entered in the same way as in any other job.

The calculation of the coordinates by intersection by distance is ambiguous (the task has two solutions, symmetrical to the base). Therefore, when giving the task, it is necessary to abide the convention prescribed by the description of the dialog window (left station - right station looking to-wards the calculated point). You can control the position of the calculated point using the check drawing.

If the entered data does not meet the condition of a triangular inequality, the program will display the error message Insolvable configuration.

If a minimum intersection angle is set in the selected tolerance set, the program will compare it with the real angle and, if necessary, it will display an error message.

Prev | Home | Next
Free station | Up | Intersection by oriented directions


Intersection by oriented directions
Prev Chapter 11. Calculation jobs Next

Intersection by oriented directions

Intersection by oriented directions

This job serves to calculate the coordinates by intersection by oriented directions.

Before the calculation, you have to orient the sets on both stations using the method described in the polar method. In the dialog window, data on only one station is always displayed; you can switch to the other one by pressing the button (Station A/B). If both the sets are oriented, you can calculate the individual calculated points by dragging the measured directions from the measured data lists, and pressing the but-ton (calculation).

If a minimum angle is set in the selected toleration set, the program will compare it with the real angle and, if necessary, it will display an error message.

Prev | Home | Next
Intersection by Distance | Up | Batch intersection by oriented directions


Batch intersection by oriented directions
Prev Chapter 11. Calculation jobs Next

Batch intersection by oriented directions

Batch intersection by oriented directions

The job serves to calculate the coordinates by batch intersection by oriented directions.

The entry procedure is similar as for the task Intersection by oriented directions. The difference is that in this job you can also enter, along with the orientation points, the measured point (you do not have to enter the coordinate orientation for all the entered directions). You separately enter the orientations for stations A and B. You can switch between the stations using the button (Station A/B).

In this job you can again use the automatic directions input when orienting the sets. If you mouse-drag from the measured data list a station (line with the red number of the station), to the calculation window in the area for orientation of the directions of sets, the program will automatically load all the measured directions on the list. If the program finds the pertinent coordinates of the orientation points on the lists, it will consider them orientations; the directions without coordinates will be considered calculated points.

It is easy to distinguish the orientations from the calculated points because a checking on/off box is displayed next to the orientations. If the orientation of the set has been calculated, then there are also angle deviations displayed.

If you enter the orientations and the determined points in this way for both stations, you can initiate the calculation of the coordinates of the determined points by using the button (Calculation). The program goes step by step through both lists of the determined points and searches for the points of identical numbers. If it finds such a pair, it calculates the coordinates of the point by forward intersection by oriented directions. If the zenith distances, or exaggeration are also entered, the program will automatically calcu-late the point height. If the zenith distances, or exaggeration, are measured from both stations, the height will be calculated twice. In such a case, two heights, their difference and the average height will appear in the record.

The calculated points can be placed on the list in arbitrary order, the only condition is that the point numbers from measurements from both stations must be identical. If there are points entered on one of the stations which were not entered on the second station, the program will ignore them during the calculation.

You can drag the result coordinates onto the list using a mouse in the same way as in either job. After the transfer, point with the mouse in the result part of the calculation window (but not on the actual list of the calculated points).

Before the calculation, you have to orient the sets on both stations in the same way as described in detail in the polar method. In the dialog window the data on only one station is always displayed, you can switch to the other station by pressing the button (Station A/B). If both sets are oriented, you can calculate the individual determined points by dragging the measured directions from the measured data list and pressing the button (Calculation).

If the minimum angle of intersection is in the selected tolerance set, the program will compare it with the real angle and display a warning message if needed.

Prev | Home | Next
Intersection by oriented directions | Up | Line intersection


Line intersection
Prev Chapter 11. Calculation jobs Next

Line intersection

After entering four points, the program will calculate the coordinates of their intersection and de-scribes the information containing its position (whether it lies on one of the entered lines or on both).

If the minimum intersection is in the chosen tolerance set for the intersection, the program will com-pare it with the real angle and display a warning message if necessary.

Prev | Home | Next
Batch intersection by oriented directions | Up | Intersection Line - Circle


Intersection Line - Circle
Prev Chapter 11. Calculation jobs Next

Intersection Line - Circle

Intersection Line - Circle

This function serves to calculate the coordinates of the intersection of a line and circle. The line is de-fined by two end points, the circle by three points.

Define the circle by entering three points (from keyboard or mouse-dragging) in the section Circle. After entering each of the points, press the button to enter the next point.

Then enter both end points of the line into the section Line.

If you enter the number of a calculated point and press the button (Calculation), the program will calculate the coordinates of the intersection. Depending on the configuration, there can be two, one or any intersections (we are using a line, not an abscissa). The calculated intersections will be displayed on the check drawing. Active (i.e. the one which is selected in the calculation window) is displayed in red. The eventual second solution is in green color.

The calculated coordinates can be mouse-dragged onto the list.

Prev | Home | Next
Line intersection | Up | Transit traverse


Transit traverse
Prev Chapter 11. Calculation jobs Next

Transit traverse

The dialog window Transit traverse allows the calculation of all kinds of traverses and eventually their storage on the disc or loading from the disc.

The dialog window consists of five parts which can be chosen by selecting a bookmark.

Start and end points

This part contains the coordinates of the connective points and the measured set of directions on them. The input is the same as for all the other calculation jobs.

If the initial or terminal points were measured, enter the entire orientation of the set of directions (described in detail in the polar method). If no measuring took place on the point (fixed traverse without orientation, one-side oriented traverse) enter only its coordinates. Proceed in the same way for the terminal point.

According to the entered data on the connection, the type of the traverse is listed for control purposes.

Measured data

After entering the orientations, enter the measured data one by one. Add or remove items from the list using the buttons (Add) and (Remove).

Important

For the simplicity of entering, both start and end points of the traverse, for all the traverse types, are entered on the measured data list, even if there were no values measured (e.g. the fixed transit traverse without orientation).

For the measured points, enter the measured direction and the backward distance, the measured direction and the forward distance, and the station number. If the distances are measured in both directions, the program will calculate the average value and put the difference in the report. If measured only in one direction, it doesn't matter if you enter the distance of the point as the forward distance or from the next point as the backward distance.

At the start point, if measured on it, you enter only the forward distance. The program calculates the orientation of the set (i.e. the zero direction bearing) using a separate orientation of set of directions on the start point (see above).

On the end point, if measured there, you enter only the backward direction, similarly to the start point.

Results

In this window section the results are displayed. There is a coordinate list of the result points and the information on the achieved deviations. This section of the window also contains the selection of the adjustment type and the button for the height calculation.

The program allows two types of adjustment:

  • Standard

  • Transformation

Closed traverse

The program also allows the calculation of the closed traverse, even if this type of traverse is very unsuitable in terms of adjustment. The closed traverse is entered in the same way as fixed bilateral oriented traverse. If the start and end points are identical, it is necessary to enter the orientation of the set of directions for both points. The program indicates the adjusted input of the closed traverse by displaying the Closed traverse type. This traverse type can't be adjusted by transformation for the reason of identity of the end points.

If you are content with the calculated coordinates, you can drag them from the list into any arbitrary window with a coordinate list. In the same way, it is possible to drag a transit traverse into a window with a project. Only a traverse which has already been assigned a file name can be added to a project (i.e. a traverse which has been already stored in a file, or which was loaded from a file).

Important

When dragging, you must point anywhere in the section Results other than the point list.

Input / Output

This section of the window contains the input line for the traverse name and the buttons for reading and writing the traverse.

Reading the traverse from the field book

Besides manual entry, the program also offers the option to read the measured data for the transit traverse from the field book. If you want to use this option, follow the steps below:

  • Open the field book in which the transit traverse was measured. If the measurement is stored in more files, merge them by the command Measured data->Attach file or by copying in the clipboard. Open the coordinate list (lists) with the end points.

  • Activate the measured data list (e.g. by mouse-pointing on any arbitrary item.).

  • Press the button (Load from the field book) in the dialog window to calculate the transit traverse.

  • A dialog window with the list of all the stations from the measurement list will display.

    If there was a measurement on the start point of the traverse (free traverse, one-side or both sides oriented), it will be shown on this list. Select it with the mouse and press the button (Add).

    If there was no measurement on the start point (fixed traverse), type its number in the editing window for the point number and press the button (Add).

    If there were more measurements on some of the stations, the number of the station will be listed more times. The individual positions of the instrument are identified by the order number at the end of the point number after the point (e.g. 5001.1, 5001.2, etc.).

  • The program adds the points on the traverse point list and offers the list of the stations the traverse can pass through. The program will offer as other stations all those stations which were measured from the previous traverse point and from which the previous point was measured as the orientation.

    If only one point meets the conditions, the program will automatically add it on the traverse point list. If more points meet the conditions, the program will offer you their list to select.

  • Enter the entire transit traverse in this way. If there was no measurement on the end point of the traverse (one-side oriented traverse or without orientation), enter the number of the end point in the editing window and add it to the list using the button (Add).

  • When the entire transit traverse is entered, press the (OK) button. The program will add all the data from the measured data list and from the coordinate list in the dialog window for the transit traverse calculation. Before the calculation, be sure that all the data were entered correctly.

When all the input values are entered, you can initiate the calculation by pressing the button (Calculation). The program will calculate the coordinate of the transit traverse points, display them on the list Results, and inform you of the achieved deviations. If the traverse was adjusted by transformation, you can look at its parameters by pressing the button (Key).

Writing and reading the traverse

You can store the entered transit traverse in a file by pressing a button (Write traverse to file). The previously written traverse can be read from the file by pressing the button (Read traverse from file).

Prev | Home | Next
Intersection Line - Circle | Up | Height traverse


Height traverse
Prev Chapter 11. Calculation jobs Next

Height traverse

The dialog window serves to calculate a height traverse. The window appearance and entering is similar as for the transit traverse, but you enter only the data necessary for height calculation. The position calculation is not performed.

Prev | Home | Next
Transit traverse | Up | Coordinates Transformation


Coordinates Transformation
Prev Chapter 11. Calculation jobs Next

Coordinates Transformation

This window allows the batch transformation of the point coordinates from the coordinate list. You can transform either the entire list or only the selected points. The transformation methods are described in the chapter Coordinates transformation

Identical points

Before initiating the coordinate's transformation, you must first define the transformation key. As in any other job, add all the identical points with their coordinates in both systems on the list. The program automatically recalculates the transformation key and displays the coordinate's adjustments on the individual points. The identical points can be added or removed from the list arbitrarily.

The number of the identical points is unlimited.

Note

The transformation key is calculated using the least squares method by the iteration method. If there is too much dissonance in both systems, the iteration process might not convert the adjusted value to the result. This applies on all the other jobs which are solved using the coordinate's transformation.

Automatic reading of the identical points

If your identical points are located in two files, and if the point pairs have identical numbers, you can let the program automatically search the corresponding point pairs. Enter the files with the identical points in the boxes Input and Output, and press the button (Read points). The program will search the pairs of the identical points and add them to the list automatically.

Exchange of the coordinates of the identical points

After pressing the button (XY <-> x'y') the program will exchange the coordinates of the identical points in both systems. You can use this option, for example, in case you, when entering the identical points, switched both coordinate sets by mistake. Using this function you can switch the coordinates without the need to reenter the identical points.

Statistical test

If you want to perform the statistical test of the residual error on the identical points, turn on the option Statistical test. The program will perform an analysis of the residual errors and store the results in a report. The detail description of the statistical test is described in the job Comparing the coordinate lists.

Inverse (back) transformation

After selecting this switcher, the program will calculate the inverse (back) transformation instead of the enterer transformation. This option cannot be used for the user transformation.

Transformation type

The program allows calculating three types of transformations:

  • Identity transformation

    Transformation which saves the scale (the scale coefficient is equal to one). Therefore, the transformation has three parameters (two translations and rotation). For determination of the transformation key, at least two identical points are required.

  • Similarity transformation

    The transformation key will have the same measurement coefficients in the direction of both the X and Y axes (the transformation changes the dimensions of the objects in all directions evenly; therefore it keeps the similarity of the figures). Two identical points are enough for this transformation.

  • Affinity transformation (5 parameters)

    The transformation key will have various scale coefficients for the X and Y axes. During the transformation, the dimensions change depending on the direction and the similarity of the figures is generally not maintained. This type of transformation requires at least three identical points.

  • Affinity transformation (6 parameters)

    The transformation matrix will be calculated directly. Its elements are not constrained by any geometrical relations, as in the case of the 5-parameter affinity transformation. The transformation key will have different scale coefficients for the direction of the X and Y axes. During the transformation, the dimensions change depending on the direction and the similarity of the figures is not generally maintained. This type of transformation requires at least three identical points.

  • User-defined transformation

    If you select this type of transformation, you do not have to enter identical points, but you can directly enter the result transformation relations. After pressing the button (...) a dialog window is displayed where you can enter the transformation formulas to calculate the individual coordinates. Any mathematical operations, number constants and variables X, Y and Z. The function relations can look, for example, like this:

        X:	X*0.99877354220+Y*0.04951172994+254.339
    Y:	X*0.04951172994-Y*0.99877354220-365.471
    Z:	Z

If the transformation key was determined, you can store it to a file using the button (Store key) for further use.

Points transformation

The point transformation is always from one file to another. Enter the input and output file in the section Coordinate lists. If any points in the input file are selected, the program transforms only these points. If no items are selected, the program transforms the entire coordinate list.

Prev | Home | Next
Height traverse | Up | Bearing and distance


Bearing and distance
Prev Chapter 11. Calculation jobs Next

Bearing and distance

Bearing and distance

The dialog window serves to calculate the bearing and distance from the point coordinates. The control is identical to controlling the other jobs.

Besides the bearing and the distance, you can also calculate the spatial distance, slope in degrees, and slope in percents. To calculate this data, you have to enter both end points, including their heights.

Prev | Home | Next
Coordinates Transformation | Up | Check distances


Check distances
Prev Chapter 11. Calculation jobs Next

Check distances

This dialog window serves to calculate the check distances from the coordinates and to compare them with measured values. The controlling is the same as controlling of other jobs.

In the dialog window, enter the point coordinates and the distances from the previous point one by one. The program displays and stores the point list, the distances measured and calculated from the coordinates and their differences in the report.

Tip

By pressing the key <Enter> on the input line with the distance, the program will automatically add the entered data on the list and set the line with the point number as active for the next input.

Tip

If you leave the box for the measured distance empty, or if you enter instead of the measured distance 0, the check distance will not be controlled and the text "Can not be measured" will appear in the report.

After entering the point, the program will calculate the check distance from the coordinates and display it in the editing window.

If you want to control the check distances of the entire file, after the calculation press the button (Add to file). The displayed check distances will be added to the check distance list in the below described job Check distance list (if the job has not been open yet, the program will open it automatically).

Prev | Home | Next
Bearing and distance | Up | Check distance file


Check distance file
Prev Chapter 11. Calculation jobs Next

Check distance file

Check distance file

The dialog window serves to test the entire file of the check distances at once. The individual check distances are added in the window from the job <check distances> by pressing the button (Add to file).The individual check distances can be removed by the button (Remove). After pressing the button (Calculation) the program processes the entire file of the check distances and stores the result (the real and limit differences and the final file evaluation) in the report. The entire file can be stored on the disc after pressing the button (Save) and later loaded from the disc by the button (Read).

Prev | Home | Next
Check distances | Up | Construction distances


Construction distances
Prev Chapter 11. Calculation jobs Next

Construction distances

In this job, you can calculate the coordinates of the points measured by using the construction distances.

Enter the measured points, their perpendiculars, or their coordinates one by one onto the list in the upper section of the dialog window. The perpendiculars on the right from the previous connecting line are positive; the perpendiculars on the left are negative. The program ignores the perpendicular at the first point (it implicitly offers the value zero). When adding the points, the program instantly calculates their coordinates.

If you want to add a new point to the list (e.g. a point skipped by accident when entering), using the cursor, select the item in front of which you want to insert the new point and add the point in the usual way.

Between the measured points must be at least two points with known coordinates. These points can be at any position among the measured points (they do not have to be at the end or at the beginning). The maximum number of identical points is not limited.

The point coordinates are determined using similarity transformation.

Important

If there are too many identical points (three and more), the transformation will not identify both systems in the identical points; therefore, the calculation will change the coordinates of the identical points. You are informed about this when storing the calculated points (if you store them on the list where the identical points are already) - the program will notify you that the points already exist on the list and will display the differences between the original and new coordinates.

You can store the calculated coordinates in an arbitrary list by mouse-dragging them from the calculated data list (you have to point the mouse cursor anywhere in the section with the results except the calculated values list).

Tip

When pressing the <Enter> key on the input line with the distance, the program automatically adds the entered data to the list and sets the line with the point number as active for the next entry.

Prev | Home | Next
Check distance file | Up | Point to line projection


Point to line projection
Prev Chapter 11. Calculation jobs Next

Point to line projection

Point to line projection

In this job, you can determine the coordinates of the perpendicular projection of a point to a line (foot of the perpendicular projected from the entered point to a line).

Enter the coordinates of the start and end points of the line and the coordinates of the adjusted point in the calculation window. The program will project a normal line from the adjusted point to the entered line, calculate the coordinates of the intersection of the normal line and the entered line (foot of the perpendicular), and calculate the distance of the projected point from this intersection (distance of the point from the entered line).

The calculated foot of the perpendicular can be transferred to the coordinate list in the usual way.

Prev | Home | Next
Construction distances | Up | Area calculation


Area calculation
Prev Chapter 11. Calculation jobs Next

Area calculation

This dialog window allows calculating the areas from the point coordinates. The points are entered on the list in the same way as in the other jobs. If the point coordinates are mouse-dragged, the program will add them automatically without pressing the button (Add). If you select the break points on the coordinate list (and if they are in the adjust order), you can drag them all at once as a block (using the middle mouse button).

You can sum or subtract in the bottom part of the dialog window using the buttons (+) and (-). The register for adding can be set to zero by pressing the button (Delete).

You can use the check drawing module to check the area prescription.

Tip

When pressing <Enter> on the input line with the point number, the program automatically adds it to the list and finds the coordinates.

You can store the area prescription in the file by pressing the button (Save). You can upload it from the file using the button (read). If the program loads the previously entered area prescription from a file, it uploads it with the entered coordinates. If you have meanwhile changed the coordinates, you can replace the original coordinates with the actual ones by pressing the button (Update coordinate) When using this function, be sure that the program will be able to find the point coordinates (the relevant coordinate list must be opened with the point search mode which allows the program to find the required coordinates).

Prev | Home | Next
Point to line projection | Up | Polar staking-out


Polar staking-out
Prev Chapter 11. Calculation jobs Next

Polar staking-out

Polar staking-out can be calculated for individual points or for a batch. For both types of calculation, it is first necessary to enter the coordinates of the station and orientation.

More orientations can be used for the calculation. In such a case, it is necessary to enter all the orientations step by step, including the orientation directions, and add them to the orientation list. The orientation can be mouse-dragged from the coordinate list.

Warning

The calculated distances are automatically adjusted by the set scale to represent the real distances in the field, not the distorted distances in the plane of projection. Therefore, it is necessary to set the correct scale coefficient for the relevant area.

Before the calculation, choose the type of staking-outs:

  • Orientations + directions

    The program calculates the horizontal directions from the direction of the entered orientation. It will store the staking-out (direction and distance) from the station in the report, the same staking-outs from the orientation point and the bearing of the connection line station staking-out point.

  • Orientations + bearings

    The program calculates the distance and the bearing of the connection line station staking-out point and of the connection line orientation staking-out point.

  • Bearings

    The program does not require entering the stations and calculates only the bearings and distances of the connection line station staking-out point.

Orientation direction

If you want the orientation direction of the orientation point different than zero, enter the value of the orientation direction in the box Horizontal direction of orientation.

Calculation of individual points

When calculating the individual points, you drag the individual points from the coordinate list in the section Staking-out points. Immediately after the dragging, the program calculates the pertinent staking-out points.

Batch calculation

You can precede the same in the case of batch calculation; but instead of the individual points, you can drag the entire block of selected points. Only for the last point will the staking-out points remain displayed in the dialog window, but all of them are stored in the report.

Calculation in the field book

If you want to perform the batch calculation of the entire coordinate list in the field book, enter the name of the input coordinate list in the box Input, and the name of the result measured data list in the box Output and the program will calculate the staking-out of all the points in the file and create a new measured data list from the staking-out points.

Prev | Home | Next
Area calculation | Up | Orthogonal staking-out


Orthogonal staking-out
Prev Chapter 11. Calculation jobs Next

Orthogonal staking-out

This dialog window serves for calculation of the orthogonal staking-outs of the individual points. If you want to calculate more points, you can use the coordinate's transformation.

Enter the input values in the same way as in other calculation jobs. First enter the line end points, then enter the individual staking-out points. You can drag the individual points or the entire blocks of the selected points from the coordinate lists. If you drag an entire block of points, only the staking-outs for the last point will remain in the dialog window, but all of them are stored in the report.

In the report, the staking-outs of the identical points are always stored first, followed by the individual staking-out points. Besides the perpendicular and stationing, a residual distance, which is the stationing from the line end point, is also calculated.

Warning

The calculated perpendiculars and stationing are automatically adjusted by the set scale to represent the real distances in the field, not the distorted distance in the projection plane. It is necessary to set the correct scale for the pertinent area.

Prev | Home | Next
Polar staking-out | Up | Trace calculation


Trace calculation
Prev Chapter 11. Calculation jobs Next

Trace calculation

In this job, you can calculate the trace determined by the lines sequence. The job will calculate the segment distances, bearings, angles, and the horizontal difference between the points.

In addition, the coordinates of the margined points are calculated when the distance is entered for the margin.

The input values are entered in the same way as in other calculation jobs. Enter the individual trace points one by one and add them to the list using the button (Add). You can drag the individual points or the entire groups of selected points from the coordinate lists.

After entering the entire trace press the button (Calculation) and the program will calculate the trace elements. If you have the check drawing turned on, the trace will also be displayed. The calculated trace elements are written in the report.

If you have also entered the trace margin, you can choose how the new points shall be numbered. You can leave the original numbers to the margined points and only add different prefix, or you can number them differently - continuously (first the points on the left, then on the right), or in turns. After the calculation, you can store the points by mouse-dragging them onto the coordinate list (you have to point anywhere in the result section with the mouse cursor except for editing boxes).

Prev | Home | Next
Orthogonal staking-out | Up | Volume calculation


Volume calculation
Prev Chapter 11. Calculation jobs Next

Volume calculation

This dialog window serves for calculating the cubic volume using the triangle method. Enter the points of the individual triangles in the dialog window one by one. If entered the entire triangle, press the button (Add) and the entered triangle will be added on the triangle list. Before the calculation, you have to enter the height of the comparing plane, from which the cubic volume shall be calculated, and the description of the cubic volume (for writing in the report). After pressing the button (Calculation), the program will calculate the cubic volume; if the check drawing is on, the program displays the triangle net.

Prev | Home | Next
Trace calculation | Up | Station height calculation


Station height calculation
Prev Chapter 11. Calculation jobs Next

Station height calculation

Station height calculation

This dialog window serves for individual trigonometric calculation of the station height. Its control is the same as a window for the free station, but you enter only the data for the height calculation (station's coordinates, coordinates of the instrument height and the heights of the orientations, height of the targets on the orientations and horizontal difference or the zenith distances).

This dialog window allows entering both the zenith distances (Z) and horizontal difference (dH), enter only the available data for each orientation.

Prev | Home | Next
Volume calculation | Up | Batch height calculation


Batch height calculation
Prev Chapter 11. Calculation jobs Next

Batch height calculation

Batch height calculation

This job works the same as the batch polar method, but for the measured points with known coordinates only calculates the heights. The operation is the same as for the batch polar method.

Prev | Home | Next
Station height calculation | Up |


Prev Chapter 11. Calculation jobs Next

Connecting the change in KM-D in the dosavadni point

This job serves to connect the change in the KM-D in the existing point.

Enter the coordinates of the existing point n both systems, the coordinates of the new point, and the measured connection line between both points in the dialog window. After pressing the button (Add) the program will add the point on the point list, it will calculate all the required deviations and creates a report on assigning the change pursuant the rules.

Prev | Home | Next
Batch height calculation | Up | Connecting the change in the KM-D in a new point


Connecting the change in the KM-D in a new point
Prev Chapter 11. Calculation jobs Next

Connecting the change in the KM-D in a new point

Connecting the change in KM- in a new point

This job serves to connect the change in KM-D in a new point.

Enter the coordinates of the existing point n both systems, the coordinates of the new point, and the measured connection line between both points in the dialog window. After pressing the button (Add) the program will add the point on the point list, it will calculate all the required deviations and creates a report on assigning the change pursuant the rules.

Prev | Home | Next
 | Up | Batch calculation of MAPA2 file


Batch calculation of MAPA2 file
Prev Chapter 11. Calculation jobs Next

Batch calculation of MAPA2 file

This calculation allows batch calculation of text file in MAPA2 format

The system supports two jobs:

  • Type 0: Orthogonal method

  • Type 1: Polar method

The calculation process:

  • Open the text file by entering the calculation in the MAPA2 format by the command File->Open.

  • When the text file is activated, call the command Calculations->Batch calculation of the file MAPA2 file.

The program will process in the open file batches, store the calculated coordinates, and create the calculation report.

The input file can contain an arbitrary number of individual jobs. The jobs are processed one by one, in the order they are entered in the file.

Unlike in the batch polar method, only one iteration through the file is performed. It is presumed that all the pertinent points used in the jobs headers are already known at the time when needed for the calculation (from the previous calculations or from the input coordinate list).

Sample file for polar method

512
360607101
660205
1
3
0
0

1  6600004059
6600004055 68.32 0.
6600000548 93.39 201.433
0924222160 0. 105.01
6600004064 82.33 325.943
6600004065 30.15 215.670
-1
6600004066 18.25 231.754
6600004067 48.22 320.479
1 13.74 275.01
2 19.52 244.74
3 16.77 287.41
4 21.68 290.175
5 28.67 291.44
6 24.29 290.17 : 0. -0.15
7 27.55 305.12
8 22.23 229.19
9 29.28 228.40
10 8.10 260.83
11 7.16 282.34
12 8.71 306.23
13 12.71 314.10
14 9.82 300.33
15 27.95 312.26 : 1.05 -0.35
16 37.01 318.25
/
1 6600004066
6600004059 18.26 0.
-1
19 10.93 215.35
20 15.48 233.25
21 20.10 234.07
22 13.40 249.67 : 1.62 0.
9 11.08 191.09
2 4.01 286.33
23 13.27 258.11
24 17.32 258.07
/
-2

Sample file for orthogonal method

512
360600102
430114
1
3
0
0

0 4300000517 0. 0.
4300005001 63.72 0.
4300000518 125.57 0.
-1
1 0.52 3.10
2 10.73 2.03
3 22.86 -8.90
4 32.42 -7.27
5 43.86 -7.18
6 45.62 2.86
7 52.77 -10.46
8 53.72 -6.77
9 57.13 -6.73
10 58.91 -10.22
/

0 4300005012 0. 0.
4300000517 101.89 0.
-1
44 35.73 9.70
45 45.52 10.91
46 54.83 5.11
47 57.23 3.12
48 61.20 -2.19
49 61.20 -4.40
50 98.55 10.37
51 37.85 -5.26
52 38.32 -11.30
/
-2

Prev | Home | Next
Connecting the change in the KM-D in a new point | Up | Chapter 12. File Export - Import


Chapter 12. File Export - Import
Prev Part I. User Manual Next

Chapter 12. File Export - Import

The GROMA program allows work with various data file formats. Some file types can be directly read and directly written to, and some can be exported and imported using a freely definable text format.

When importing files, you can select more files of the same type in the dialog window. The program imports all the selected files one by one. The information on all the imported files consequently will be written in the file import report.

The coordinate list can be directly imported in the already open files using the command Coordinates->Attach file. The points from the imported file will be added to the original file.

Coordinate lists

Text coordinate lists

The GROMA program allows direct reading and writing of the coordinate lists in text format. There are three filters available to export and import these files: Coordinates XYZ, Coordinates YXZ and Coordinates - User-defined format. For common files, one of the first two filters can be used; the user-defined format serves to import and export files in non-standard format. The user-defined format is described in detail in the connections; we will describe here the first two formats.

Since the text files can contain various data, it is necessary to respect certain rules so that the program can recognize what kind of data it is.

The first data on the line is always deemed a point number. Behind always follow to coordinates (according to the chosen order). Further data are not compulsory, their type is determined according to their specific appearance, where the program operates according to the rules below:

  • If the data contains a decimal point or coma, and otherwise consists only of digits, it is deemed the coordinate Z.

  • If the data has only one character, it is deemed a quality code.

  • Otherwise it is deemed a point code. In this case, the entire remainder of the input line is absorbed into the code, which allows the use of a code with spaces.

In case of number data, a decimal point or coma can be used as the separator.

MS Excel Files

The coordinate lists and the measured data lists can be exported in MS Excel format. A window displaying the exported file is opened after the export for control purposes.

XML Files

The coordinate lists and the measured data lists can be exported and imported in the XML format (eXtensible Markup Language). It is a marking language type SGML, which allows easy file exchanging, formal control of the correctness of their structure and automatic conversions into other formats (html, txt, rtf).

The XML files have a fixed structure defined by the declaration of the document type (Document Style Definition, DTD). It is easy to verify their formal correctness by comparing them with this definition. The structure definitions for the files used in the GROMA system are part of the installation (they are stored in the dtd directory) you can also download them from http://www.groma.cz.

Also the transcription for transferring the XML files into HTML are part of the shipping along with the DTD files. If you have an internet browser supporting the XML format and transformations using XSL styles, you can directly display the files in XML format. The browser executes the transfer to HTML automatically (typically along with the control of the document structure in the HTML format with respect to the definition) and displays the final documents in the HTML format.

There is a vast amount of different tools (editors, conversion programs, valuators, etc.) available for the working with XML files. The majority of such software is available on the internet for free. The detailed description of the XML language with other links and online services is available at http://www.w3.org.

The GROMA program allows the storing of files in XML format in two variants:

  • Attributes

    The information on the items is listed in the headers of the element using attributes. This format is a little bit cleaner for viewing the non-formatted XML files, and it is also more economical.

  • Elements bodies

    The information on the items is listed in the element bodies. This format is worse for viewing and it is more extensive, but easier to process for some tools.

The file type must be selected during the file export. During the import, the program detects by itself the type of the file, and reads it in the specific way.

GEUS Files

The GEUS files (coordinate files with the extension.DAT) can be read and written directly. The GROMA program uses its own coordinate file (.DAT), and it does not work with the index file (.IDX) When transferring the coordinate list in the GEUS format, it is necessary to index the file with the GEUS program first.

The coordinate files of the GEUS program contain similar information as the files of the GROMA program; therefore all the information is used during the import (including the point code). The GROMA program can import the data files of all versions of the GEUS system – including the files with description, longer than 3 characters. But during the export files are created as standard with the description length of 3 characters. If you want to create files with longer descriptions, you have to add the item GeusInfoSize=xin the configuration file GROMA.INI in the section [Formats] where x is a number in the range from 3 to 20. This item can not be changed directly from the GROMA system environment.

dBASE III Files

The GROMA program allows writing the coordinate list in the dBASE III file format. The structure of this file is fixed, and it can not be changed.

Table 12.1. Structure of the dBASE III coordinate file

Item | Type | Number of characters | Number of decimal places | Description
PORCIS | NUMERIC | 3 | 0 | Point order number
ZBP | NUMERIC | 1 | 0 | Basic point field
ZPMZ | NUMERIC | 4 | 0 | Detailed adjustment measurement report
NUMBER | NUMERIC | 4 | 0 | Point number
Y | NUMERIC | 9 | 2 | Coordinate Y
X | NUMERIC | 10 | 2 | Coordinate X
Z | NUMERIC | 6 | 2 | Coordinate Z
CLASS | NUMERIC | 1 |  | Accuracy class
CHDRAWING | CHARACTER | 4 |  | Not used
STAGE | NUMERIC | 1 |  | Not used
DATE | DATE | 8 |  | Not used
YMER | NUMERIC | 9 | 2 | 2nd coordinate Y
XMER | NUMERIC | 10 | 2 | 2nd coordinate X

The GROMA program only creates a data file. Some applications working with database files also require the index file. In such case, you have to index the data file (using dBASE III, dBASE IV, RUNTIME, etc.).

KOKES Files

The coordinate file can be saved in the form of a text coordinate list for the KOKES graphic system .stx). The program will also automatically create the required header with the coordinate order, display accuracy, reductions, etc.

The range of the viewable area in the KOKES program is limited. If you overpass this range, the GROMA program will display a warning message.

If the number of decimal places is set to 3 or more in the GROMA system, the accuracy will be set to millimeters (typically it is set to centimeters) in the final file header.

If the number of decimal places is set to 3 or more in the GROMA system, the accuracy will be set to millimeters (typically it is set to centimeters) in the final file header.

Using this filter, you can create files in Area format for the transfer to the Geodimeter devices. The parameters of the final file can be set in Settings->Input/Output->Export to field books.

Leica files

Using this filter, files can be created in GSI format for the transfer to Leica devices. You can choose form two formats - Leica/8 (older format with 8-character reports) and Leica/16 (new format with 16-character reports allowing working with non-reduced coordinates). If, during the export, it is necessary to cut some data because of the length of the report, the program displays a warning message. The parameters of the final file can be set in Settings->Input/Output->Export in field books.

Sokkia files

Using this filter you can create files in SDR format for transfer to Sokkia devices. You can choose from the SDR20 and SDR33 formats. The parameters of the final file can be set in Settings->Input/Output->Export in field books.

Topcon files

Using this filter you can create files for the transfer to the Topcon devices. The parameters of the final file can be set in Settings->Input/Output->Export in filed books.

GROMA Files, version 2-5

Using this filter, you can create files in the format of the older versions of the GROMA system (version 2-5). Some data from the new format (date and time of creation and the last modification of the point, user information, etc.) will be lost during the export.

Prev | Home | Next
Batch calculation of MAPA2 file | Up | Measured data lists


Measured data lists
Prev Chapter 12. File Export - Import Next

Measured data lists

Measured data - Text

Using this filter, you can export the measured data list in a readable text format. Such a file can be further processed by an arbitrary text editor.

Measured data - MAPA2

Using this filter, you can export the measured data list in the standard MAPA2 text format. This format is supported by the majority of calculation programs.

GROMA Measured data - version 2-5

Using this filter, you can create files in the format of the older versions of the GROMA system (version 2-5). Some data from the new format (date and time of creation and the last modification of the point, user information, etc.) will be lost during the export.

Prev | Home | Next
Chapter 12. File Export - Import | Up | Drawing


Drawing
Prev Chapter 12. File Export - Import Next

Drawing

DXF files

You can use the standard DXF (Data Exchange Format) to transfer the graphics from the GROMA program to a different graphic program. The majority of graphic systems (including MicroStation, AutoCAD, etc.) can import pictures in this format. Before exporting the graphics into this format, it is necessary to first set the parameters in the dialog window Settings->DXF. Here you have to define, whether you also want to write the header in the file (some programs, e.g. MicroStation, need it for correct location of the elements in levels), whether you want to exchange the coordinates X and Y, etc. The parameter settings are described in details in the Reference manual.

The elements are stored in the DXF file in levels which are set for the pertinent projection. The levels which are turned off in the projection will not be stored in the DXF file. Therefore, only elements which are visible in the active window will be in the DXF file. The only exceptions are the crosses of the square net which are not written to the DXF file.

Prev | Home | Next
Measured data lists | Up | Chapter 13. Theodolite definition


Chapter 13. Theodolite definition
Prev Part I. User Manual Next

Chapter 13. Theodolite definition

Theodolite definition

After calling the command Settings->Theodolite you can define an arbitrary number of theodolites, which you use for measuring, with their features and instrument errors.

These defined theodolites can be used for processing the measured data lists Field book processing).

First, enter the theodolite name in the dialog window, and then enter all its features (instrument errors and tolerances). If you don't know the instrument errors, set them first as zero and you can adjust them after the first few calculations according to the results from the report.

The program uses the set tolerances and instrument errors for the batch processing of the field book by the command Measured data->Field book processing.

The program is shipped with a pre-defined theodolite with the name "Unknown theodolite". In its definition the implicit tolerances for testing the suspicious and faulty measurements are set.

The theodolite setting is described in detail in the Reference manual.

Prev | Home | Next
Drawing | Up | Chapter 14. Reports


Chapter 14. Reports
Prev Part I. User Manual Next

Chapter 14. Reports

Besides the results, the program also creates text reports during the calculations on the calculation, where much useful information on the calculation course, achieve deviations, etc. can be found. These reports can be stored in a file or printed out and serve as the calculation report.

How to open a report

To open a report, proceed in the same way as when opening any other data file. The only difference compared to the other file types is that no more than one report can be open at a time.

Before opening a report, you can choose in the dialog window Settings->Environment whether you want to use the internal editor of the GROMA program for editing or an external editor.

Internal editor

The internal editor looks like a data window displayed in the main window of the GROMA program. This window can be enlarged, diminished, moved or minimized to icon.

External editor

If you choose to edit the report using an external editor, only the report icon will display on the desktop of the main program window after opening the report. You can work with it normally, store in the reports using the button from the toolbar, move the icon, etc. To edit the entire report, choose items to recover the window on the icon (double click on the icon, using the menu) and the GROMA program will automatically launch the chosen external editor.

Note

Only one external editor can run at a time. After it is launched, you can switch to the GROMA program, but a warning is displayed with an attempt to re-launching the editor indicating that the previously launched editor must be first closed.

An editing window is displayed after opening a report – with outputs from the previous calculations, or empty if you created a new report. The text can be edited using the common editing keys, you can move or copy blocks of text to other applications, etc.

Prev | Home | Next
Chapter 13. Theodolite definition | Up | Principles working with reports


Principles working with reports
Prev Chapter 14. Reports Next

Principles working with reports

The program works with calculation reports on two levels. One level is a local report, which always contains the output form the last processed job; the second level is the main report, where the individual local reports are stored.

This process of storing the reports was chosen because it is often convenient to have the calculation data available without the need to automatically store them in the final report. When the calculation results are automatically stored, the report often contains a large amount of unnecessary or faulty data (from the failed or test calculations, etc.) which has to be deleted at the end.

Prev | Home | Next
Chapter 14. Reports | Up | Local report


Local report
Prev Chapter 14. Reports Next

Local report

A local report is created for each individual calculation. You can view the local reports after pressing the button (Report) in any calculation dialog window; the program opens the dialog window with the local protocol. This window is non-modal, you can leave it open and change its position and size. If you leave it open, the entire local report changes display automatically during calculations. To delete them, press the button (Empty). If you are satisfied with the report content, save it in the main report by pressing the button (Save) or use the button on the toolbar. In case you do not have a main report opened yet, the program first displays a dialog window for its opening. If you do not open the main report now, the program will not save the local report.

There is always only one local report and it always contains the output from the last calculation. If you do not save it in the main report, it will be overwritten with by next calculation.

Prev | Home | Next
Principles working with reports | Up | Coordinate list extract into report


Coordinate list extract into report
Prev Chapter 14. Reports Next

Coordinate list extract into report

To extract the coordinate list (or its part) in a report, you can proceed in one of the below ways:

  • Choose the command Coordinates->In report. If no item selected on the list, the entire coordinate list will be extracted in the report. If some items selected, only the selected part will be extracted.

  • Mouse-drag the point (or the selected points) to the dialog window desktop with the local report. If you drag a block of the selected points, the program will create a header at the beginning of the coordinate list. If you drag only one point, the program does not create the header.

  • Copy the point or the selected points in the clipboard using the command Edit->Copy and insert them in the window with the main report using the command Edit->paste The user-defined format prescription form the settings is used when choosing this method.

In both cases, the coordinate list will be created in the local report; you can save it to the main report in the same way as the calculation reports (as described above).

Prev | Home | Next
Local report | Up | Measured data list extraction into report


Measured data list extraction into report
Prev Chapter 14. Reports Next

Measured data list extraction into report

To extract a measured data list (or part of it) into a report, you can proceed in the same way as for the coordinate list. The measured data list will be extracted into the report in the pre-defined text format. At the beginning of the file, the data from the file header will be listed (file name, description, scale, etc.). Then, the measured data will be listed. The stations are separated with a line, the station numbers are marked with an asterisk, the orientations with a dash.

The measured data list is created in the local report for the coordinate list. You can save it to the main report in the same way as the calculation reports.

Prev | Home | Next
Coordinate list extract into report | Up | Czech language coding


Czech language coding
Prev Chapter 14. Reports Next

Czech language coding

In the reports, the program uses the code on page 1250 Latin-2 for the Czech, specific for MS Windows. If you want to process the reports in a different way than in the GROMA program, you might need some other coding for the Czech language. That's why the program allows setting a different coding page for saving in a file. When reading the report, the coding is transferred back in the coding page 1250 Latin-2 for Windows, however in the disc file, the text is saved in the chosen code. The program allows these code pages to be set:

  • 437 DOS Standard IBM,

  • 850 DOS Kamenicky (KEYBCS2),

  • 852 DOS Latin-2,

  • 1250 Windows Latin-2

Warning

Coding to the code page 437 is irreversible because all the Czech characters are transferred to their equivalents without the diacritical marks. When opened the next time, the file contains only the ASCII standard characters.

Prev | Home | Next
Measured data list extraction into report | Up | Report parameters


Report parameters
Prev Chapter 14. Reports Next

Report parameters

In the dialog window Settings->protocol various parameters influencing the work with reports can be set (storing the input point's coordinates, Czech coding for writing on the disc, print and screen font, etc.). The detailed description is in the Reference manual.

Prev | Home | Next
Czech language coding | Up | Chapter 15. Graphics


Chapter 15. Graphics
Prev Part I. User Manual Next

Chapter 15. Graphics

The GROMA program allows work with simple graphics. You have to open a special window for drawing where you can perform the basic graphic actions above the coordinate list. There are 64 levels available to store graphic elements. These levels can be arbitrarily switched on and off in the individual projections.

Principles of saving the graphics

The graphic files (.pic), ) in which the graphics are saved contain only the drawing prescription (information on the graphic elements and numbers of their end points). Such graphic files have certain advantages and disadvantages.

  • Advantages:

    • The graphic files use the standard coordinate list; the changes in the coordinates of the points are reflected immediately in the graphics (the coordinates transformation also can be performed after which the drawing remains unchanged, it will only adjust to the new coordinates),

    • Keeping just one coordinate list results in a significant savings of disc and memory space (only the connection lines between the points are stored in the file, the graphic file with all the points is therefore, in fact, empty).

  • Disadvantages:

    • The drawing is lost while changing the point numbers,

    • The graphic elements can only be placed on already existing points.

Prev | Home | Next
Report parameters | Up | Opening a graphic window


Opening a graphic window
Prev Chapter 15. Graphics Next

Opening a graphic window

If you want to open a graphic or the coordinate list for the first time, choose the item Coordinates->Display graphics from the menu. The program will try to find the graphic file pertinent to the selected coordinate list (.pic)) in the pertinent directory. If such a file doesn't exist, the program will create it.

At the next opening, you can already select from the list after setting the file to "Graphics".

Prev | Home | Next
Chapter 15. Graphics | Up | Operating a graphic window


Operating a graphic window
Prev Chapter 15. Graphics Next

Operating a graphic window

After the first opening of a graphic window, all the points are displayed to best fill the desktop window. To manipulate the projection, use the commands from the menu Plan and the button from the toolbar. You can move the projection using the bars in the right and bottom part of the window.

Prev | Home | Next
Opening a graphic window | Up | Snapping at points


Snapping at points
Prev Chapter 15. Graphics Next

Snapping at points

Due to the nature of the graphics, the program only allows placement of the graphic elements on the currently existing points. You can "snap" to a point using the left or central mouse button. The program searches for the closest point within a certain distance from the cursor and, if one exists, moves the cursor there and displays it in red color. At the same time, it displays its number and coordinates in the stage bar. If no point is found in the surroundings, the program announces it with an audio signal.

Prev | Home | Next
Operating a graphic window | Up | Reference drawings


Reference drawings
Prev Chapter 15. Graphics Next

Reference drawings

Another coordinate lists can be connected to the opened graphic window as a reference, for control purposes, using the command Plan->Reference plans These lists are displayed in the graphic window along with the main file. The points of the reference file are displayed in red.

Prev | Home | Next
Snapping at points | Up | Drawing coding


Drawing coding
Prev Chapter 15. Graphics Next

Drawing coding

The GROMA system allows the automatic creation of a line drawing based on point codes.

The coding algorithm is fixed, but the specific codes for the individual lines and functions can be changed in the program configuration (command Settings->Coding: Drawing code setting).

Algorithm of drawing creation

To create a code drawing, it is necessary for the alphanumeric codes defining the drawing prescription to be stored on individual points. More than one code can be on one point, but they must be separated by spaces.

Each code consists of an element code and an optional control code.

Element codes

Element code means an alphanumeric code of one or more character element indicators, under which the element is defined in the element table. The name should be as short as possible because of the in field coding (one-character name is usually enough). The name can not interfere with the control code names.

Control codes

The control codes define the action related to the pertinent element defined by the element code. Three actions are defined:

  • Element initiation: initiation of a new element (start of a new line)

  • Element termination: element termination (end of line)

  • Element closure: element closure and closure to the first point

The control codes are connected immediately after the element codes, but without a separating space. They are defined as alphanumeric code with one or more character identifications. The name should be as short as possible because of the in field coding (one-character name is usually enough). The name can not interfere with the control code names.

For example, if you define a line A in the element table and a control code for the line initiation S, then the code AS means the initiation of the line A and a sole code A without the control code means continuing the line A.

The element codes identify the element type according to the definition table, not the specific element name. Therefore, at one moment, more than one line of type A can be in process. If the program finds a code requiring connection to the line A, it will connect it to the last defined line of type A. It gradually returns to the other lines of the same type after terminating the last line.

For example, if you define the code settings like this:

Table 15.1. Control codes

Code type | Definition
Line start | S
Line end | K
Line closure | U

Table 15.2. User-defined elements

Element type | Name | Level
Line | A | 10
Line | B | 11

Table 15.3. Sample codes

Point | Code | Description
1 | AS | Line A start
2 | A | Line A continuation from point 1
3 | A BS | Line A continuation from point 2, start of line B
4 | B BS | Line B continuation from point 3, start of another line B
5 | BK A | Termination of line B from point 4, and continuation of line A from point 3
6 | B | Continuation of the previous line B from point 4
7 | AU | Closure and termination of line A from point 5
8 | BK | Termination of line B from point 6

Prev | Home | Next
Reference drawings | Up | Chapter 16. Raster data digitalization


Chapter 16. Raster data digitalization
Prev Part I. User Manual Next

Chapter 16. Raster data digitalization

The GROMA program allows acquisition of the point coordinates by processing the raster data. The files with raster data can be gained by scanning map sources.

The existing program version allows processing of the raster data into the bitmap format .bmp files, eventually .dib).

Loading raster data in the program

To process raster data, you have to first open a window with the relevant file. A raster data window can be opened in the same way as any other data window. When opening the file, you have to select the item Bitmaps from the list Files type. The program then offers all the files with the extension .bmp found in the active directory.

After selecting a file, the program will first try to open a file of the same name having the extension .rnf. in the relevant directory. Such a file would contain the raster data information (identical points, transformation key, etc. ). If no .rnf file is found, the program will create a new one. In case of terminating and re-launching the program (e.g. in case of its failure) while entering the identical points for transformation in this file, you can continue the digitalization without the need to re-determine of the transformation key because the file is automatically saved.

The transformation key refers to the relevant file, not to a window; more than one window with a bitmap can be open at the same time, and one transformation key will be valid in all of them (therefore you can determine it only in one arbitrary window).

Just as for the coordinate files, more than one raster data file can be open at the same time. The program will automatically use the pertinent transformation key during the digitalization of each file. If you have opened the dialog window for determination of the transformation key (see further), the program displays the data related to the window where the mouse cursor is currently located in it. If you move the cursor from one raster data window to another, the program immediately displays the identical points of the other file.

Prev | Home | Next
Drawing coding | Up | Graphic coordinates


Graphic coordinates
Prev Chapter 16. Raster data digitalization Next

Graphic coordinates

The unit of the graphic coordinates is one Picture Element, a Pixel. A Pixel is the smallest element displayed on a bitmap. The real physical dimension of the pixel depends on the resolution of the scanner used. If you scan the map source using a scanner with 400 dpi resolution (400 dots per inch), one pixel represents an area of approx. 0.064 mm in size.

The accuracy of the final digitalized coordinates is therefore significantly influenced by the resolution used. The volume of the raster data also depends on the resolution (doubling the resolution enlarges the bitmap four times). Therefore, it is necessary to find a compromise between the required accuracy and acceptable size of the bitmap.

Prev | Home | Next
Chapter 16. Raster data digitalization | Up | Coordinate transformation


Coordinate transformation
Prev Chapter 16. Raster data digitalization Next

Coordinate transformation

Before starting the digitalization, it is necessary to define the relation between the map picture and reality, i.e. to determine the transformation key used to transform the coordinates of the digitalized points to the target coordinate system.

The program uses the so called affinity transformation of coordinates. In this transformation, two different scale coefficients are used for the direction of the X and Y axes to better capture the unequal deformation of the map source in the longitudinal and transverse directions. The transformation parameters are determined using the least squares method (with the condition to minimize the sum of the square of the coordinate's adjustments on the identical points).

The minimum required number of identical points, thanks to the type of transformation used, is three (the transformation has five parameters: two translations, two scale coefficients, and rotation).

The maximum number of identical points is limited only by the capacity of the operational memory.

Prev | Home | Next
Graphic coordinates | Up | How to work with zoom


How to work with zoom
Prev Chapter 16. Raster data digitalization Next

How to work with zoom

The dialog windows for the digitalization of the raster data contain zoom, i.e. a cut where a zoomed picture of the bitmap is displayed. The point where the cursor is currently located is the center of the zoom. By moving the cursor on the bitmap, the program automatically displays the pertinent cut.

The zoom is adjustable from 1-8. To change the zoom, use the buttons <+> and <-> displayed under the zoom.<+> a <->, displayed under the zoom.

To use the zoom for a precise reading of the graphic coordinates, press the key <Ctrl>, on the keyboard, and the cursor will automatically move from the bitmap to the relevant point in the zoom (you can't move the cursor from the bitmap to the zoom, because moving the cursor also moves the cut displayed by the zoom). After pressing the key <Ctrl> the cursor moves back to the bitmap (to the position it was at on the zoom), and the bitmap window becomes active again.

Important

If you want to use the zoom using the <Ctrl>, key, the bitmap window must be active (the header must be highlighted), otherwise it will not react by pressing the <Ctrl> key.

If the window is not active, you can activate it by mouse-pointing anywhere at its desktop and pressing the left or right mouse button or using the menu Window.

Prev | Home | Next
Coordinate transformation | Up | Transformation key determination


Transformation key determination
Prev Chapter 16. Raster data digitalization Next

Transformation key determination

The dialog window called by the command Bitmap->Transformation key.

The dialog window contains input lines for entering the graphic and real coordinates of the identical points. The real coordinates can be either entered or mouse-dragged to the input line from the coordinate list. The program will fill in the graphic coordinates in the input lines after pressing the left mouse button on the bitmap window desktop or on the zoom.

If the point coordinates are entered in both systems, the point can be added to the identical point list using the button (Add) The program automatically updates the transformation key and saves the added point to the disc. Any arbitrary point can be removed from the list using the button (Remove).

On the identical points list, the calculated coordinates' deviations are also displayed.

If you are satisfied with the transformation key (you can display it using the button (Key)), )), you can close this dialog window and start the actual digitalization. If you decide later to check or adjust the transformation key, the entire list of identical points will be displayed in the dialog window after its calling. A report is created, after the calculation of the transformation relations, containing the information on the transformation (transformation parameters, deviations on the identical points, etc. ).

Prev | Home | Next
How to work with zoom | Up | Digitalization


Digitalization
Prev Chapter 16. Raster data digitalization Next

Digitalization

Use the dialog window called by the command Bitmaps->Digitalization for digitalization of the detailed points..

The process of the digitalization itself is similar to the determination of the transformation key. After pressing the left mouse button on the desktop of the bitmap window or with the zoom, the result transformed coordinates are displayed in the dialog window.

To store a point, you have to enter its prefix and number. If you don't enter a prefix, the program will use the implicit prefix set in Settings->Reduction. If a point number is entered, the program will increase it by one automatically after subtracting the point coordinates.

If you have selected the active coordinate list, the program will automatically store the read point in it. If you do not want to store the point automatically, set the active coordinate list to [None].

Prev | Home | Next
Transformation key determination | Up | Chapter 17. Graphic point determination


Chapter 17. Graphic point determination
Prev Part I. User Manual Next

Chapter 17. Graphic point determination

Principle of the mouse capturing

If a button with an arrow is displayed next to the input box in any dialog window, it means that this point can be pointed at by the mouse in a graphic window or in the MicroStation system (if GROMA configured and launched as a MicroStation application – see annexure).

Prev | Home | Next
Digitalization | Up | Process of mouse capturing


Process of mouse capturing
Prev Chapter 17. Graphic point determination Next

Process of mouse capturing

  • In a dialog window, press the button with arrow displayed by the point you want to determine graphically. The button remains pressed and displays highlighted. If another button was pressed earlier, it will be automatically switched off (in the entire GROMA system, at the most one button at a time can be pressed).

  • Point at the pertinent point in the graphic window. If you have selected the command for line drawing, elements deleting, scale changing etc., first select the command Plan->Element selection. After pointing at the point, its coordinates are transferred to the dialog window. If there are more buttons to read the coordinates in this window, the program will automatically switch on the next button.

Prev | Home | Next
Chapter 17. Graphic point determination | Up | Chapter 18. Print outputs


Chapter 18. Print outputs
Prev Part I. User Manual Next

Chapter 18. Print outputs

The graphic and text data can generally be printed from the GROMA program on any device with a driver installed in MS Windows.

Driver for output device

The pertinent driver is necessary for each device you want to use in MS Windows.

A large number of drivers are delivered directly with MS Windows on the installation discs. The discs contain the drivers for almost every normally available printer (matrix, jet and laser). In addition, the hardware producers usually add the discs with the newest driver version to the sold devices.

You can install the drivers by using the Control Panel (see the details in the MS Windows documentation).

Prev | Home | Next
Process of mouse capturing | Up | Selecting an output device


Selecting an output device
Prev Chapter 18. Print outputs Next

Selecting an output device

Before printing data from the GROMA program, it is first necessary to set the output device. The program allows setting two different output devices for separately printing the text and graphic outputs. For example, you can print texts on a matrix printer and graphics on the HPGL plotter.

Both output devices are selected in the dialog window File->printer settings.

The dialog window contains two lists where all the output devices currently installed under Windows are listed (i.e. their drivers are installed). If the required device is not on the list, you must first install its drivers.

If the required output device is on the list, select it using the cursor and press the button (Select). From this moment all the print outputs are directed to the selected device.

If the driver allows the change of some parameters (paper size, layout, resolution, etc. ), you can set them after pressing the button (Settings).

Prev | Home | Next
Chapter 18. Print outputs | Up | Print preview


Print preview
Prev Chapter 18. Print outputs Next

Print preview

Before the actual printing, you can display a print preview. After pressing the button (Preview) ), the program opens a window displaying the preview of the printed document. Using the buttons from the toolbar, you can enlarge, diminish and switch between the individual pages of the document.

Prev | Home | Next
Selecting an output device | Up | Printing the lists


Printing the lists
Prev Chapter 18. Print outputs Next

Printing the lists

The coordinate lists and the measured data lists are text files; therefore, they are printed on the output device selected as Text Output (see above). The lists are printed using the dialog window called by the command

The lists are printed using the dialog window called by the command File->Print.

In the dialog window are displayed: the file name (before calling the print command must be some window of this file selected as active), the current margin settings and the presumed page count.

Margin settings

You can set the paper margins before the print (in millimeters).

Important

When the set margins are too large, the output can not fit on the paper. In such a case, it can have an unexpected appearance (overlapping texts, etc.).

Header settings

You can choose which items from the file information will appear in the file header.

Items selection

The program allows printing the entire list, or only selected items.

  • To print the entire list, check the option All items. The program prints the entire list.

  • To print only some items, select them first on the list, then check the option Selected items. The program prints only the selected items.

Selection of pages and number of copies

In the print dialog window, the entire number of pages of the document is displayed and the range of the printed pages is preset to print the entire document. The number of the start and end page for print can be arbitrarily changed.

You can also choose the number of copies.

Font setting

You can set a print font, independent of the font in which the lists are displayed on the screen. To set the print font, use the button (Font). The selected font is used for printing the coordinate list as well as the measured data list.

Prev | Home | Next
Print preview | Up | Chapter 19. Configuration manager


Chapter 19. Configuration manager
Prev Part I. User Manual Next

Chapter 19. Configuration manager

The configuration manager is a tool for easier work with more configuration files. Working with the GROMA system, you can switch the active configuration at any time, which immediately changes the settings of all the program parameters.

The configuration manager can be launched by pressing the button (...), located on the settings bar behind the configuration list, or by selecting File->Configuration manager. See the detailed description in the Reference manual.

Prev | Home | Next
Printing the lists | Up | Chapter 20. Collaboration with CAD systems


Chapter 20. Collaboration with CAD systems
Prev Part I. User Manual Next

Chapter 20. Collaboration with CAD systems

The GROMA system is able to collaborate with independent CAD systems using OLE Automation. Currently the IntelliCAD and DesignCAD systems are supported.

If the GROMA system is launched with the support of the pertinent CAD system, it will be connected as a subsidiary application and allows a direct transmission of the points on the drawing by simple mouse-dragging.

Besides the above mentioned systems, the GROMA program can also be used in connection with the MicroStation graphic system. The MicroStation system, unlike the above mentioned systems, allows communication in both directions, i.e. the points can be transferred from GROMA to a drawing, as well as back from the drawing to GROMA. The configuration procedure and usage is described in detail in the Attachement.

Launching with CAD system support

If you wish to launch the GROMA system so it supports the pertinent CAD system, you have to launch the GROMA system with the parameter -parent=nazev on the input line.

For the IntelliCAD system, the parameter -parent=IntelliCAD, must be used, for the DesignCAD system the parameter -parent=DesignCAD must be used.

Prev | Home | Next
Chapter 19. Configuration manager | Up | Attributes for point transfer


Attributes for point transfer
Prev Chapter 20. Collaboration with CAD systems Next

Attributes for point transfer

The attributes used to transfer the points to a drawing can be set in the dialog window File->CAD settings. See the details in the Reference Manual.

Prev | Home | Next
Chapter 20. Collaboration with CAD systems | Up | Chapter 21. Interconnection with databases


Chapter 21. Interconnection with databases
Prev Part I. User Manual Next

Chapter 21. Interconnection with databases

The GROMA system allows interconnecting the coordinate list with a point database kept on a separate database server. With such interconnection, you can drag points from the coordinate list in the database, import from the database to the coordinate list, and update in the database points which were imported from there.

Supported servers

The GROMA system supports the following database servers:

  • Oracle 8i, 9, 9i

  • Microsoft SQL Server

  • MySQL

  • PostgreSQL

  • Microsoft Access

The connection to the database servers is via the ODBC; therefore it is necessary to have the pertinent ODBC driver installed on the station wherefrom you connect the database. These drivers are not delivered along with GROMA, but you can find them on the websites of the producers of the pertinent database servers.

Prev | Home | Next
Attributes for point transfer | Up | Used database tables


Used database tables
Prev Chapter 21. Interconnection with databases Next

Used database tables

For work with databases, two basic tables are used: projects table, where the descriptive information on projects is set, and point table, where the points are stored. Besides this other tables can be used (e.g. table containing the coordinate set names, contract types, scales, etc.).

Projects table

The projects table serves as the definition of projects (contracts). All the points are stored in one common table and contain the identifier of the project they belong to. Each point must belong to a specific project; the points not related to any project can't be saved in the database. Before storing the points, it is necessary to choose the project they belong to, or create a new project.

The minimum structure of the projects table is this:

  • Identifier

  • Project name

The identifier serves as a unique identification of the term in the database. Entering the identifier values must be done using the database means; GROMA doesn’t fill in this identifier when entering the record in the database (with the exception of the automatic database configuration, designed for work with graphic module). Therefore, it is necessary to configure the database so the identifier value fills in by itself. The best process is to assign to the identifier the feature AutoIncrement or to use triggers and sequences if allowed by the relevant database. In this case, the GROMA system must be informed that the identifier assignment is performed on the database level. This information is written in the definition file using the attribute value="auto" in the identifier column definition.

If the database is automatically configured for the needs of the graphic module from the GROMA system environment, then the identifier entry is taken care of by the GROMA system using internal sequences, so that it is not necessary to solve it on the database level.

The table structure can be extent by other not required user information; the GROMA system allows their editing, but won't use them for work. The usage of the user information is described in detail in the chapter Nastavení připojení k databázi.

The projects table can be edited directly from the GROMA system environment. After entering the command Database->Project settings a dialog window is displayed where you can perform project administration (adding, deleting, selecting).

Points table

The projects table serves for storing the points. All the points are stored in a common table, and their pertinence to a specific project is defined by the project identifier in the projects table. The points without pertinence to a project can't be stored in the database. Before storing the points, it is necessary to select the project to which the stored points are related or to create a new project.

The minimum structure of the points table is:

  • Identifier

  • Project identifier

  • Point number

  • Coordinate X

  • Coordinate Y

For the identifier, the same applies as for the Identifier in the points table.

Further, the table can contain the following optional data:

  • Coordinate Z

  • Quality code

  • Creation date

  • Last modification date

The table structure can be extended by other optional user information; the GROMA system will allow their editing but won’t use them for work. The detailed description of the usage of the user information is in the chapter Settings of the Nastavení připojení k databázi.

The projects table can be edited directly from the GROMA system environment. After entering the command Database->Project settings a dialog window is displayed where you can administer the projects (adding, deleting, selecting).

Prev | Home | Next
Chapter 21. Interconnection with databases | Up | Setting of the Database Connection


Setting of the Database Connection
Prev Chapter 21. Interconnection with databases Next

Setting of the Database Connection

In the GROMA system, you can pre-set the parameters for connection to different databases and choose from this list of the pre-set connections when connecting. The only data which can't be pre-set and must always be entered manually is the login password.

The file containing all the settings is stored in the subdirectory sql of the main directory of the GROMA system with the name db.ini. This file is in XML format (Extensible Markup language). The detailed XML language description is beyond the extent of this manual. All the information on the XML language can be found on the website of the W3C International Consortium which specializes in standardization on internet(http://www.w3.org/XML/). However, detailed skills with the XML language are not necessary to use the GROMA system. The installation contains the sample file db.ini, which can be only adjusted.

The file structure must be maintained when adjusting. Abiding by the condition that all the file elements must be correctly closed is crucial. It means that for each opening mark in format

<znacka>

must also be in the document on the corresponding place the closing mark

</znacka>

If the element does not contain any other elements but attributes, it can also be closed in a short way, i.e. by writing the character / directly in the element opening mark: / přímo do otevírací značky prvku:

<znacka atribut1="data" atribut2="data"/>

The structure of the definition file is described in the Attachements.

Prev | Home | Next
Used database tables | Up | How to work with point databases


How to work with point databases
Prev Chapter 21. Interconnection with databases Next

How to work with point databases

The work with databases consists of the basic steps below:

  • Connection to the database

  • Selection or setting of the active project

  • Work with point and graphics (point export/import, adjustments of the coordinate list)

  • Saving the changes in the database (removing changes, removing the deleted points)

  • Disconnection from database

Connection to the database

Before working with any points or graphics in the database, it is necessary to connect via the ODBC drivers to the database. All the connection parameters are set in the configuration file; from a keyboard while connecting, only the login name and password are entered. After calling the command Database->Connection to the database to database, a dialog window is displayed with the list of all the available connections pre-set in the configuration file. After login in, you have to select a setting (database profile) and enter the login name and password. After confirming the entered data, the GROMA system will try to connect to the database. If the connection fails (wrong name or password, wrong parameters), the pertinent ODBC driver will display an error message. No message will be displayed if the connection was successful.

The GROMA system can be connected to only one database at a time. If you want to work with a different database, you have to disconnect from the previous database.

Database initialization

Before working with the drawing database, you first have to create the database structure, i.e. all the tables and relations necessary to store the drawing and projects in the database. This function serves this purpose.

This initialization only has to be performed when working with the graphic module of the GROMA system. If you only use the point tables, you can initialize them manually as needed.

Selection / setting of the active project

All the elements (coordinate list points and graphic elements) are stored in a common table. The individual projects or other data groups are distinguished by their pertinence to a certain project. Therefore, you have to define the project before the actual work with a database.

The dialog window for the project definition is displayed after entering the command Database->Project settings. In the left part of the window is the projects list; in the right part the setting of the relevant project.

Creating a new project

You can create a new empty project by pressing the button (New). Pressing the button deletes all the settings from the previous project in the right part of the window. You can store the new project after entering the new settings by pressing the button (Save).

If you want to create a new project based on the already existing project, you can press the button (New) press the button (Copy)instead of the button (Save). In this way, all the settings from the previous project will remain in the dialog window (besides the ID). After the adjustment, press the button (Save) and the new project will be saved.

Adjustment of an already existing project

If you want to change some of the project settings, select the project from the list, make the necessary changes, and save the adjusted project by pressing the button (Save).

Project selection

After selecting a project you want to work with press the button (OK). The project has been selected and all the further operations will be applied only to this project.

Removing a project

Redundant projects can be removed by pressing the button (Remove). First, you must ensure that no data related to the removed project remained in the database. The control of this can be ensured by the settings on the database level (e.g. using foreign keys - see the documentation of the pertinent database).

Warning

Only one user can work on a project at one time-multiple users could damage the data.

Selecting an active table

The GROMA system allows working with several tables within one database. This can be used e.g. when creating geometric plans, when the points you want to display in the graphic when drawing the plan can be saved in one table, and in another table the points which shall be listed on the coordinate list on the geometry plan can be saved. You can find the details on the technology of the creation of a geometric plan and on tables in the graphic module manual.

Import from database

Using this command you can import the coordinates of all or selected points related to the selected project into GROMA.

After entering the command, a dialog window is displayed where you can enter the criteria for selecting the points. If you leave the window empty, all the points from the selected project will be imported.

After the import, the points are displayed as a standard coordinate list. The connection with a database is symbolized by a database symbol at the left edge of the window by each point connected to the database:

  • The point is connected with the database and unchanged.
    The symbol is white when the displayed point corresponds to the stage in the database

  • The point connected with the database has been changed
    The symbol is red when the point is modified in the GROMA system and it is no longer identical to the stage in the database.

The changes performed in the coordinate list are not automatically reflected in the database. After the adjustments to the coordinate list, it is necessary to manually enter the command Coordinates->Remove deleted points from database to save the changes in the database, and eventually Coordinates - Remove deleted points form database to remove the deleted points form the database.

The connection of the points to a database is cancelled by closing the coordinate list. The points will remain on the list, but they will not be connected to the database after reopening the list, so you won't be able to save the changes to the database. The connection with the database can be renewed only by a new import from the database.

Prev | Home | Next
Setting of the Database Connection | Up | Part II. Reference Manual


Part II. Reference Manual
Prev Next

Reference Manual

Table of Contents

22. Work with the Reference Manual
23. Main menu
24. File Menu
New
Open
Save
Save As
Close All
File compression
File indexing
Information about file
Active coordinate list
Settings
Configuration manager
CAD configuration
Print
Printer setup
Show job report
Save job report
Exit
25. Settings dialog window
Environment
Calculations
Reduction
Field book
Theodolite
Point coding
Report
Input/Output
Input / Output format of coordinates
Input / output format of measured data
DXF
26. Calculation menu
27. Window menu
Close
Horizontal-vertical mosaic
Cascade
Comparing the icons
Display parameters
28. Edit menu
Undo
Cut
Copy
Paste
Delete
29. Database menu
Connection to a database
Project settings
Create database and user
Database initialization
Active table
30. Project menu
Add file
Remove file
Open file
Settings
31. Coordinates / measured data menu
Add item
Remove item
Edit item
Find item
Select
Batch change
Renumber list
Recoding according to table
Recovering deleted items
In Report
32. Coordinate menu
Show graphics
Sort according to map lists
Comparing the coordinate lists
Check duplicate numbers
Check point numbering
Remove identical points
Iterate coordinates
Dual coordinates
Display parameters
Save points in a database
Save changes in database
Remove deleted points from database
33. Measured data menu
Field book processing
Merge stations
Select orientations
Sort
Attach file
Display parameters
34. Plan menu
Display parameters
Fill
Zoom In
Zoom out
Repaint
Zoom area
Select element
Erase element
Connecting points
Fence
Read coordinates
35. Bitmap menu
Transformation key
Digitalization
Prev | Home | Next
How to work with point databases | Up | Chapter 22. Work with the Reference Manual


Chapter 22. Work with the Reference Manual
Prev Part II. Reference Manual Next

Chapter 22. Work with the Reference Manual

The reference Manual contains a list of all the available commands from the GROMA program menu. For each command, there is a short description of its function. The detailed description can be found in the pertinent chapter of the User Manual.

Some of the commands can be called by a shortcut using the buttons from toolbar located under the main menu. For these commands, the pertinent toolbar button will be displayed in the left column (under their name in the menu).

Prev | Home | Next
Part II. Reference Manual | Up | Chapter 23. Main menu


Chapter 23. Main menu
Prev Part II. Reference Manual Next

Chapter 23. Main menu

In the upper part of the main program window the main menu is displayed. The displayed items of this menu depend on the type of active data window. Before opening, the first menu window contains only the items File, calculations, Tools and Help, where the selection is necessary for program configuration and for opening a data file.

The full menu displays after opening the first file. The menu always contains the items of the basic menu. Other menu items depend on the type of the active window and change constantly.

Table 23.1. Menu items

Type of active window | Main menu item
Coordinate list | Edit, Measured data, Window
Measured data list | Edit, Coordinates, Window
Graphics | Plan, Window
Rastr data | Bitmap, Window
Report | Edit, Window
Text | Edit, Window
Project | Project, Window
Prev | Home | Next
Chapter 22. Work with the Reference Manual | Up | Chapter 24. File Menu


Chapter 24. File Menu
Prev Part II. Reference Manual Next

Chapter 24. File Menu

The commands from the menu File serve to manipulate the files, to print and to terminate the program.

New

This command serves to create a new file. After calling the command a dialog window is displayed where you can choose the type of file you want to create (coordinate list, measured data list, Protocol, text file, or project). After confirming the choice, an empty data window of the pertinent type is displayed. The window is identified with the name Unnamed and with an order number or a temporary file. If you want to save the file, use the command File->Save as, otherwise the file will be automatically cancelled after closing (the program displays a warning when closing the file).

Prev | Home | Next
Chapter 23. Main menu | Up | Open


Open
Prev Chapter 24. File Menu Next

Open

This command serves to open a new file, or to open a new window of an already opened file. After calling this command a dialog window is displayed for selection of a file.

Before entering a file name, you have to first set the file type (in the bottom left part of the window). The files in the GROMA program internal format(.crd, .mes, .pic, .bmp, .prj) are directly opened, the other files are imported first in the internal format and the created file is opened. Therefore, all the changes performed in the file are saved in the file in the internal format, where the original file remains unchanged. In case of the files in the internal format, you can select more files on the list using the keys<Shift> and <Ctrl>.

If you import the measured data list or the coordinate list from a field book, you have to first set the field book type and the format you work with in the dialog window Settings->fieldbook . The list of the file types in the dialog window for opening a file contains the items for measurement import which changes according to the selected type of field book.

Using this common dialog window you can also open the saved calculations (transit traverse, measurements, check distances, transformation key) and the files from the extent modules (network adjustment, road trace).

Prev | Home | Next
Chapter 24. File Menu | Up | Save


Save
Prev Chapter 24. File Menu Next

Save

This command saves a text file, report, or a project on the disc. This command is not active for other types of files because they are saved on the disc automatically after each change.

Prev | Home | Next
Open | Up | Save As


Save As
Prev Chapter 24. File Menu Next

Save As

This command saves a file under a different name and eventually in a different format. It can be used only for lists, i.e. coordinate list or measured data list, protocols and text files.

If you want to write in the file only some selected data, choose the item Save Selected Points. The program will write in the final file only the items which are selected in the actual file.

Prev | Home | Next
Save | Up | Close All


Close All
Prev Chapter 24. File Menu Next

Close All

This command immediately closes all the opened files (and all the opened windows).

Prev | Home | Next
Save As | Up | File compression


File compression
Prev Chapter 24. File Menu Next

File compression

The program will perform data file compression. During the file compression all the deleted items are removed and the remaining items are sorted saves which can significantly speed up the prospective indexing. The original file is saved as a backup file (coordinate file with extension.~cr, measured data file with extension .~me).

Prev | Home | Next
Close All | Up | File indexing


File indexing
Prev Chapter 24. File Menu Next

File indexing

The program creates a new index file for the data file. Under normal circumstances, you don't have to create the index file in this way, the program updates it automatically. Use this command if you have a reason to think that the displayed information doesn’t correspond to the real data in the data file.

Prev | Home | Next
File compression | Up | Information about file


Information about file
Prev Chapter 24. File Menu Next

Information about file

This command calls a dialog window which contains information about the actual file (number of items, date of creation, etc.). Here can be defined max. 32-character file description which is displayed in the dialog window when opening a file.

The information can be set for the coordinate lists and measured data lists.

Prev | Home | Next
File indexing | Up | Active coordinate list


Active coordinate list
Prev Chapter 24. File Menu Next

Active coordinate list

When working with more coordinate lists at once, it is convenient to select one of them as active. If the option to search points in all open files is not set (Settings->Environment), the points will only be searched in the active coordinate list. Some calculation jobs (e.g. polar method) automatically store all the calculated points in the active coordinate list.

Prev | Home | Next
Information about file | Up | Settings


Settings
Prev Chapter 24. File Menu Next

Settings

This command displays a dialog window for configuring the GROMA system. The individual items of this setting are described below (the dialog window Settings).

Prev | Home | Next
Active coordinate list | Up | Configuration manager


Configuration manager
Prev Chapter 24. File Menu Next

Configuration manager

This command displays a dialog window for configuration manipulation. Using this command, you can create and delete the files with configurations, and select the active configuration.

Configuration:

In the frame is a list of all the available configurations. The program offers all the configurations found in the directory for the configuration files. The location of the configuration files can be changed using the start parameters or the file network.ini.

Location

Displays the entire path where the GROMA system searches for the configuration files. This parameter can't be changed directly, but only using the star parameters or the file network.ini (see the appendix Configuration file).

Configuration name

Here you can name each configuration file. If the configuration has no name, it is identified on the coordinate list using the file name. If you want to name it, enter the name here and press the button (Save).

Create copy

After pressing this button a configuration copy will be created which is selected from the configuration list.

Create new

After pressing this button, a copy of the basic configuration which is stored in the GROMA.ini installation folder of the GROMA system.

Remove

After pressing this button, the selected configuration file will be removed.

Prev | Home | Next
Settings | Up | CAD configuration


CAD configuration
Prev Chapter 24. File Menu Next

CAD configuration

This command displays a dialog window which serves to set the point display attributes when connected with some CAD system (designCAD, IntelliCAD).

The window contains a configuration list. You can select an item from the list by pointing at it. If you want to enter another configuration on the list, fill in all the attributes in the dialog window for the individual point components (point, prefix, number, height, code). Check the items which shall be recorded on the drawing when transferring the point. For numeric data, you can also set the number of characters, decimal places, and other options. The configuration will be added to the list after entering the configuration number and pressing the button (Add).

Prev | Home | Next
Configuration manager | Up | Print


Print
Prev Chapter 24. File Menu Next

Print

This command allows printing of the coordinate list or drawing of a picture on the plotter. Before starting to print, you must first select an output device.

After calling this command, a dialog window opens with the appearance depending on the type of window you want to print from.

Prev | Home | Next
CAD configuration | Up | Printer setup


Printer setup
Prev Chapter 24. File Menu Next

Printer setup

Before printing (drawing), you have to first select an output device. In the program, you separately set a device for text output for printing the lists (usually a printer) and a device for graphic output to plot the graphics (usually a plotter).

This command displays a dialog window for selecting both devices wherefrom you can also set their configuration (if the pertinent drivers allow this).

Prev | Home | Next
Print | Up | Show job report


Show job report
Prev Chapter 24. File Menu Next

Show job report

This command displays a dialog window with a local report from the last calculation. The command is equivalent to pressing the button (report) anywhere in the calculation window.

The dialog widow with the local report is non-modal; therefore, it can be open all the time. If open during the calculation, it displays the changes in the local report immediately.

If you want to save the local report in the overall report, press the button (Save).

Prev | Home | Next
Printer setup | Up | Save job report


Save job report
Prev Chapter 24. File Menu Next

Save job report

Using this command, you can save the local report without the need to open the dialog window of the local report. This way of saving a is little bit faster and can also be used advantageously in case the local report is bigger than can be displayed in a standard editing window (limitation of Windows 95-in such case, the dialog window with the local report can't be displayed).

Prev | Home | Next
Show job report | Up | Exit


Exit
Prev Chapter 24. File Menu Next

Exit

This command ends the work with the GROMA program. Before ending, all the index files and the information on opened windows are stored in the initialization file; therefore, when the program is started the next time, all the windows are automatically opened and placed on the desktop as they were when the program was ended.

Prev | Home | Next
Save job report | Up | Chapter 25. Settings dialog window


Chapter 25. Settings dialog window
Prev Part II. Reference Manual Next

Chapter 25. Settings dialog window

This dialog window is called by the command Settings. You can set all the GROMA program's parameters in it (environment parameters, input/output formats, tolerances, etc.)

Environment

Under this bookmark, different parameters for the work in the program can be set. The data is organized in logical groups.

Coordinates order:

You can choose the order in which the X and Y coordinates shall be displayed and entered on the lists and in the dialog windows. This selection doesn’t effect the storing of the coordinate lists in text files; there the order determined is by the applied format prescription.

Important

The change in the coordinates order setting will show after the program's termination and its re-launching.

Sorting:

You can choose how the items on the coordinate list shall be sorted.

  • Do not sort

    In this case, the points on the coordinate lists are not sorted; they are listed in the order they have been added to the file. This order will be changed, for example, during file compression, if a different type of sorting is set during the compression (during the compression, a new file is created wherein all the points are written in the order they are in at the moment of the compression).

  • Prefix

    The points on the list are sorted primarily according to the prefix and secondarily according to the point number. Therefore, in the file, the points with the same prefix and different point number are queued. This is the most common sorting.

  • Number

    The points are sorted primarily according to the point number and secondarily according to the prefix. Therefore, in the file the points with the same point number and different prefix are queued.

Text editor:

Here you can set whether the program shall use an internal or an external editor. For external an editor, you can choose the command for launching (along with the entire path if necessary). If you turn on the external editor, the program displays the window with the report only as an icon, but with any attempt to enlarge (refresh) the window, the external editor is automatically launched. If the report size in Windows 95 overreaches the limit for editing in the internal editor (approx. 30 KB), the GROMA system automatically switches to the external editor. This limit doesn’t apply for Windows NT.

Lists:

  • Selecting items on the lists according to Windows

    If this option is turned on, the GROMA system works, when selecting the items on the list, in the same way as any other list in Windows (if you mouse-point to a list, the items selection is cancelled). If this option is turned off, the selecting works as in previous versions.

  • Fast mouse-locking/unlocking

    If this option is turned on, you can lock/unlock the individual points by mouse-clicking on the left edge of the list (in front of the point number).

Point search

  • Search according to prefix

    In this option the points are searched according to the number and prefix; the point has to have both number and prefix identical to be found. If this option is not checked, all the points of the entered number will be found, regardless of the prefix.

    This setting can have, especially in case of large coordinate lists, a significant influence on the search speed. Generally, searching according to both number and prefix is faster than just searching according to the number.

  • Search in all open files

    If this option is turned on, the program searches the points not only in the active list, but in all the open lists. If more points meeting the criteria are found, the program displays their list in the dialog window, and allows you to choose from them.

  • Audio signal when not found

    If the point was not found, the program will notify you with an audio signal.

Other options:

  • Automatically open check drawing

    If this option is turned on, the window with the check drawing will be opened automatically after the first calculation or other job which displays the check drawing.

Template files

If you want the newly created files to have certain specific features (set certain coordinate and height system, defined the used columns), you can create an empty coordinate list or measured data list, set all the features, and define it as the template file. All the newly created lists will overtake the settings.

  • File selection (...)

    After pressing this button, you can choose the file which shall be used as the template.

  • Open

    After pressing this button the template file will be opened for easy adjustment.

  • Disconnect

    This command terminates the use of the template file.

Font for lists

By pressing this button the font in which the coordinate lists and measured data lists are displayed on the screen can be set.

International:

By pressing this button a dialog window with the list of the available language modules is displayed. The standard distribution version contains only the Czech module in coding 1250 Windows Latin-2.

Prev | Home | Next
Exit | Up | Calculations


Calculations
Prev Chapter 25. Settings dialog window Next

Calculations

Here is all the data regarding the calculations.

Batch calculation:

  • Use only selected values

    If you don't want to calculate the entire file with the measured data at once, select only the part you want to calculate and check this option. The program will ignore the unselected data.

  • Edit orientations

    When the program calculates the orientation of the set of horizontal directions at the beginning of each station, it uses all the measured directions where it can find the orientation coordinates. If you want to know which directions were used, or eventually want to edit them (remove, etc.), check this option and the program will always offer you the orientations for control and editing.

    If this option is turned off, the program will offer you the orientations only if some of them overreached the limit orientation adjustment set in Configuration->Tolerance.

  • Calculate using polar method

  • Calculate free stations

  • Calculate intersection by directions

    Using these switches you can choose which methods shall be used for the batch calculation.

  • Do not calculate heights for the points with code

    If you don't want to calculate heights for the points with a certain code, set the code here. If this code is only a part of the entire point description, the code separator must, in addition, be correctly set in the dialog window Settings->Coding.

Free station

  • Calculate the unknown distances

    Using this switch, you can select whether the unknown (not measured) distances on the free station shall be calculated from triangles. For detailed information see Free station.

Offer as orientation:

  • All the points with known coordinates

    When orienting the set of horizontal directions, the program offers all the directions as orientations for which target points were found on the coordinate lists. The program proceeds during the search according to the parameters set in Settings->Environment.

  • Points with the Orientation attribute

    In this option, the program offers only such points which have, as the orientations on the measured data list, the attribute Orientation set (if found on the coordinate lists).

Weight of the directions when orienting the sets

Here you can choose what weight shall be assigned to the measured directions when calculating the orientation of the set of directions. You can choose from three pre-defined options or enter an arbitrary relation for the weight calculation. See the detailed description in Orientation of horizontal directions.

Tolerance

Here you can define various sets of tolerances which are used for calculations. When overreaching the pertinent tolerance, a dialog window with the achieved value displays asking whether the program shall continue or discontinue the calculation. You can also choose here, which set of tolerances the program shall further use.

If you leave the entry line for some of the tolerances empty, it means that the program shall not test overreaching this tolerance during the test. After the installation, the program also contains, besides others, the pre-defined set called Do not test, where no tolerance is filled in. If you choose this set as active, the program will not test overreaching the tolerance at any point.

Prev | Home | Next
Chapter 25. Settings dialog window | Up | Reduction


Reduction
Prev Chapter 25. Settings dialog window Next

Reduction

Under this bookmark the implicit prefix and coordinate reductions can be defined

Reduction:

You can enter the implicit prefix and coordinate reduction in the editing lines. If you don't enter, for example, a prefix in the calculation dialog windows, the implicit prefix is used. The coordinate reductions are used according to the set mode.

Point characteristics

Here you can enter the standard setting of the descriptive data on points which the program automatically adds to all the points stored in the coordinate lists. Both characteristics are one-character alphanumeric inputs and can be used for further point specification, for batch descriptions, etc.

Reduction adding:

Here you can choose the mode of work with reductions:

  • Intelligent

    The program automatically estimates, according to the size of the pertinent coordinate and set reduction, whether it is a reduced or non-reduced coordinate.

  • Always

    The program always adds the reduction to the entered coordinate.

    Important

    This option is valid only for adding the points on the coordinate list.

  • Never

    The program never adds the entered reduction.

Prev | Home | Next
Calculations | Up | Field book


Field book
Prev Chapter 25. Settings dialog window Next

Field book

In this dialog window, you can set the type of the used field book and further data.

Field book:

  • Type

    According to the type of the set field book, conversion of the measured data is performed during the import from the text file. Before the import, you must determine where the data will come from.

  • Format

    Some types of field books allow recording data in various formats. For the correct function of the program, the set format must be used.

  • Skip the lines in header

    Some formats contain a header which can have various numbers of lines. The real number of lines of the header in the used format must be set in this input line.

Measured data:

  • Distance type

    Here, you have to set whether the distances in the file wherefrom the measured data will be imported are horizontal or inclined. This option is not available if the field book format allows automatic recognition of the distance type.

  • Angle units

    Here you can set what angle units the angle data is written in in the data files transferred from the instrument. The angle units of the instrument do not have to match the angle units of the GROMA system.

Coordinates:

  • Coefficient X/Y/Z

    When importing the point coordinates from a field book, the program multiplies them with this coefficient.

  • Exchange the coordinates X and Y

    The program exchanges the coordinates X and Y during the import.

Options:

  • Zero target heights

    Turn on this option if you want, after the import of the measured data, the height 0.00 m to remain on the points with registered zero target height. Shall the zero target height symbolize that the pertinent point doesn’t have a height, turn this option off so that, after the import, the point will be without the target height and its height will not be calculated.

  • Standard target height

    If you wish to use the standard value for each measuring where the target height is not explicitly written, enter this target standard height value here.

File coding:

When using characters with other diacritics than Windows 1250 for the registration of the codes in the instrument, select the code type here so the GROMA program can transfer the codes correctly.

Prev | Home | Next
Reduction | Up | Theodolite


Theodolite
Prev Chapter 25. Settings dialog window Next

Theodolite

This command serves for defining theodolites, their instrument errors and tolerances.

Theodolite name:

Enter the name under which the theodolite shall be listed on the theodolite list in the input window. There can't be two theodolites with the same name on the list.

Mean errors:

Enter the estimate of the mean error of the measured direction in one binocular position and the estimate of the mean error of the measured distance in the other.

Important

The a priory mean errors indicated by the instrument producer can be related to certain specific situations, they are usually too optimistic for a common measuring. Before entering such value, make sure the value is real.

Collimation error:

Enter the real collimation error of the theodolite and the tolerances for its testing. When processing the field book, if the program finds a measuring at both positions, it will calculate from them the collimation error and compare it with the set value. If the difference between the calculated and set error overreaches the value set as Faulty, the measurement in the report is marked as faulty and the calculation of the adjusted measuring will not be performed. If the difference overreaches the value set as Suspicious, , the calculation will be performed, but the directions in the report are marked as suspicious.

The program compares the difference of the set and calculated collimation error with the tolerances, not the total calculated error. Therefore the real collimation error can have an arbitrary value, and the tolerances do not have to be set in respect to it.

Important

The set collimation error value is not used to correct the measurement, but only to test the tolerances. When processing the field book, the real collimation error can be removed using the measurement in both the 1st and 2nd position of the binocular.

Index error:

Enter the real index error of the theodolite and the tolerances for its testing. When processing the field book, if the program finds a measurement at both positions, it will calculate the index error from them and compare it with the set value. If the difference between the calculated and set error overreaches the value set as Faulty, the measurement is marked as faulty in the report and the calculation of the adjusted measurement will not be performed. If the difference overreaches the value set as Suspicious, , the calculation will be performed, but the measurements are marked as suspicious in the report.

The program compares the difference of the set and calculated index error with the tolerances, not the total calculated error. Therefore the real index error can have an arbitrary value, and the tolerances do not have to be set in respect to it.

Important

The set index error is used only for batch correction of the index error. When calculating the leveled measurements from the measurements in the 1st and 2nd positions is used only for tolerance testing; when calculating the leveled measurement, the real index error is removed using the measurement in the 1st and 2nd position of the binocular.

Prev | Home | Next
Field book | Up | Point coding


Point coding
Prev Chapter 25. Settings dialog window Next

Point coding

In this dialog window, parameters regarding point coding can be set the Point coding.

Code table:

The program allows using the so called code table, which serves for converting the registered codes to descriptions.

  • Connect

    Using this button, you can select the required code table .cod) and connect it. Upon connection, the program converts all the codes on the lists according to the table.

  • Edit

    You can edit the connected code table.

  • Disconnect

    If you want to stop using the connected code table, you can disconnect it by pressing this button.

  • Use Code table

    Using this switch, you can easily turn on/off the coding according to the table, without the need to connect and disconnect the table.

    This function is available directly from the toolbar.

Settings:

  • Divide codes in groups

    This setting allows you to divide the point code in groups of the entered number of characters. E.g. the code 23014512 will be, after turning this option on and setting the dividing in groups of 2 characters, divided to 23 01 45 12. The partial codes will be divided with the first character which is set in the Code separator Code separators (see further).

  • Recode during import

    The program converts the descriptions in the imported files to the codes according to the connected code table. If the description in the table is missing, the program displays an error message.

  • Accept points without codes

    If this option is switched on, the program allows the import of points without codes or descriptions. If you switch this option off, the program will display an error message for the points without codes.

  • Code separators

    If more codes are registered for a point, the codes must be separated by a separating character (e.g. "X"). The separating character must be set in this input line.

  • Orientation code

    When marking the orientations with a code, enter the code here. During the import, the program will automatically mark all the measurements with this code as orientations. If more codes are used to mark the orientations, you can enter all of them, separated by the character set, as the Code separator.

Prev | Home | Next
Theodolite | Up | Report


Report
Prev Chapter 25. Settings dialog window Next

Report

In this bookmark, some parameters for the work with the reports can be set.

Code page:

As well as Windows CZ, GROMA works with the report and Windows Latin-2 code (code page 1250) so you can also store the report in the text editor in different coding, which can be convenient for further report processing, for example, by the text editor. When reading the report, it is automatically converted back to the Windows Latin-2 coding. The program offers these code pages:

  • 437 DOS Standard IBM,

  • 850 DOS Kamenicky (KEYBCS2),

  • 852 DOS Latin-2,

  • 1250 Windows Latin-2

Warning

The recoding of the page 437 code is irreversible because all the Czech characters are converted to their equivalents without diacritic signs. Upon the next opening, the file with the report contains only the standard ASCII characters.

Options:

  • Create report

    This switches on/off the creation of the local report. The report is stored in memory; for some large calculations it can be of a large size (e.g. batch calculation of a large measured data file). Also, its creation slows the calculation down a little bit. For this reason, it can be convenient to switch the report off in some cases.

  • Automatically write the report

    If this option switched on, the program will automatically save the report on the disc every time a local report is added. It will also automatically save the report when terminating the program. If this option is not on, a warning message will be displayed when terminating the program along with a question of whether or not the report shall be saved.

  • Save coordinates of the entry points

    When this option is turned on, the coordinates of the entry points are stored in the report.

  • Write the points calculated in batch

    Switching this option on, the program stores the information on all the calculated points during the batch calculation in the report. If you switch this option off, only the information on the orientations of the horizontal directions, free station calculation, and intersection by directions are stored in the report.

Screen font / Print font

After pressing these buttons, you can set the font to display the report on the screen, and the font for printing on the printer.

Prev | Home | Next
Point coding | Up | Input/Output


Input/Output
Prev Chapter 25. Settings dialog window Next

Input/Output

You can set the input/output parameters in this bookmark (units, number of decimal places, etc.).

Number of decimal places:

Enter the required number of decimal places for the coordinate, angle, distance, height and surface outputs.

Angle units:

Units in which the angle data is entered and written. Regardless of the setting, the angle is always a decimal number. With the setting for degrees, the first two digits after the decimal point are the tens of minutes and minutes, followed by tens of seconds, seconds, tenths of seconds, etc.

Distance units:

Choose between meters and feet.

Point numbers

Define how to display a point number on the list:

  • Number of digits

    The maximum number of the digits in the complete point number.

  • Complete numbers with zeros

    If you switch this option on, the point numbers will be completed with zeros to the total number of digits set in the box Digit number.

  • Complete numbers on lists

    After switching this option on, the program will display the complete point numbers on the lists instead of dividing them into number and prefix.

Scale coefficient to covert the distance in the display projection:

All the distances entering the program, during the import or input of the measured data, are immediately multiplied by this coefficient. The written distances, however, are divided by this coefficient (e.g. when calculating the stake-out elements).

Storing the points on the coordinate list

  • Transfer the points automatically to the control application

    After switching on this option, GROMA will automatically send (if on under some control application - e.g. MicroStation) all the points stored in the coordinate list to the control application. Therefore, these points will automatically create a drawing in the control application.

  • Iterations the coordinates according to the set number of decimal places

    If this option is on, the coordinates of all the points stored on the coordinate list will be automatically iterated according to the set number of decimal places.

Prev | Home | Next
Report | Up | Input / Output format of coordinates


Input / Output format of coordinates
Prev Chapter 25. Settings dialog window Next

Input / Output format of coordinates

In this bookmark, the input/output format of the coordinates can be defined or edited for writing and reading from a text file. The process of defining the input/output format is described in detail in the Attachment.

Prev | Home | Next
Input/Output | Up | Input / output format of measured data


Input / output format of measured data
Prev Chapter 25. Settings dialog window Next

Input / output format of measured data

Similar to the coordinates, here you can define or edit the input/output format of the measured data for writing and reading from a text file. The process of defining the input/output format is described in detail in the Attachment.

Prev | Home | Next
Input / Output format of coordinates | Up | DXF


DXF
Prev Chapter 25. Settings dialog window Next

DXF

Here the parameters for writing a graphic file in the DXF file format can be set. The elements, according to the set display parameters, are written in the DXF file. The elements stored in the turned off levels (i.e. the elements not displayed in the active window) won't be stored in the DXF file.

Header:

Use this button to store the header in the DXF file. In the header are stored the information on the levels required for some programs (for example, if MicroStation doesn’t find the header, it will store all the elements to level 1).

Exchange the coordinates X and Y

Turning this option on, GROMA will, during the export, exchange the coordinates X and Y (for some systems, this is necessary for the correct placement of the coordinate axes).

3D:

This button allows the export of points in three dimensions for processing in a three dimensional graphic system. If this option is switched off, the height is exported as a text description.

Reduce:

If you turn this option on, the coordinates will be, during the export, reduced by the reductions set in Settings->Reduction.

Coefficient X/Y/Z:

Here you can set the coefficients with which the pertinent coordinates of the output are multiplied. In case of the mathematic coordinate system used by the majority of CAD systems, the coefficients for X and Y must be set to the value -1 for the correct position of the coordinate axes.

Text height:

Set here the required text height. Enter the height of the real size in meters (e.g. to display characters 2 mm tall in scale 1:1000 you have to enter 2m).

Font for point numbers / heights:

Shall the DXF file contain the font name for the text elements, you can enter it here. If you leave these input lines empty, the item with the font name won't be contained in the DXF file.

Prev | Home | Next
Input / output format of measured data | Up | Chapter 26. Calculation menu


Chapter 26. Calculation menu
Prev Part II. Reference Manual Next

Chapter 26. Calculation menu

This menu contains the selection of all the calculating functions which GROMA offers.

All the calculation functions can be called using the toolbar displayed in the upper part of the main program window.

The calculation functions are described in detail in a separate chapter of the User Manual.

Prev | Home | Next
DXF | Up | Chapter 27. Window menu


Chapter 27. Window menu
Prev Part II. Reference Manual Next

Chapter 27. Window menu

The items of this menu serve for manipulation of the open windows.

Close

Closes the currently open window. If it is a coordinate list or a measured data list, and if this window is the last open window of the pertinent list, the program will also automatically save the updated index file to the disc.

Prev | Home | Next
Chapter 26. Calculation menu | Up | Horizontal-vertical mosaic


Horizontal-vertical mosaic
Prev Chapter 27. Window menu Next

Horizontal-vertical mosaic

The windows will be arranged on the screen so they do not overlap, i.e. the y will be horizontally or vertically stacked.

Prev | Home | Next
Chapter 27. Window menu | Up | Cascade


Cascade
Prev Chapter 27. Window menu Next

Cascade

The windows will overlap so from each window at least one corner is visible.

Prev | Home | Next
Horizontal-vertical mosaic | Up | Comparing the icons


Comparing the icons
Prev Chapter 27. Window menu Next

Comparing the icons

If some of the windows are minimized, i.e. displayed as icons on the main program desktop, you can organize them along the desktop bottom edge.

To activate this command, one of the icons must be selected as the active window.

Prev | Home | Next
Cascade | Up | Display parameters


Display parameters
Prev Chapter 27. Window menu Next

Display parameters

Different parameters for displaying data can be set in this dialog window. The display options depend on the type of the window.

  • Coordinate list

  • measured data list

  • Drawing

Prev | Home | Next
Comparing the icons | Up | Chapter 28. Edit menu


Chapter 28. Edit menu
Prev Part II. Reference Manual Next

Chapter 28. Edit menu

This menu contains commands for list editing. The program will use the format defined in Settings->Input/Output coordinatess format or Settings->Input/output format of measurement . For copying or pasting in/from the clipboard. If no format is defined, the program will create a standard format.

Undo

This command undoes the last action performed in the coordinate list or measured data list.

Prev | Home | Next
Display parameters | Up | Cut


Cut
Prev Chapter 28. Edit menu Next

Cut

This command cuts the data from the list to the clipboard (the data is deleted from the list). If nothing is selected on the list, the program will cut the current item (item with cursor). If some items are selected, the program will cut only these items.

Prev | Home | Next
Chapter 28. Edit menu | Up | Copy


Copy
Prev Chapter 28. Edit menu Next

Copy

This command works the same as Cut, but the data is only copied (they remain on the list).

Prev | Home | Next
Cut | Up | Paste


Paste
Prev Chapter 28. Edit menu Next

Paste

Enters the data from the clipboard onto the list. The points on the coordinate list are sorted according to the numbers. They are added to the measured data list in front of the item with the cursor.

Prev | Home | Next
Copy | Up | Delete


Delete
Prev Chapter 28. Edit menu Next

Delete

Deletes the selected item(s) from the list.

Prev | Home | Next
Paste | Up | Chapter 29. Database menu


Chapter 29. Database menu
Prev Part II. Reference Manual Next

Chapter 29. Database menu

This menu contains commands for work with a database.

Connection to a database

Before any work with points and graphics in a database, it is necessary to connect via the ODBC drivers to the database. All the parameters for connection can be pre-set in the Configuration file, when actually signing in, you only have to enter a login name and password. After calling the command, a dialog window displays where you have to enter login name, password, and select the pertinent database profile from the list. Other parameters are pre-set to the values defined in the Configuration file, but they can be changed.

The GROMA systems logs onto the database server via the ODBC driver after pressing the button (Sign In) ). If the signing in doesn't fail, the Project manager automatically displays. If this is your first signing into the database after installation, the system notifies you that the database hasn't been initialized yet and offers the initialization. All the required tables and system codebooks are created during the initialization.

Prev | Home | Next
Delete | Up | Project settings


Project settings
Prev Chapter 29. Database menu Next

Project settings

This command opens the Project manager, which can be used to create, adjust and delete projects. After opening a display of all the available projects, the last active or used project is highlighted.

The bold items are required; others are optional and can remain empty. Some items, e.g. GP type, are very important for further processing of the geometric plan in the graphic module.

The change in the project definition can be saved by pressing the button (Save) or (OK).

  • (New Project) This button clears the form for entering a new project.

  • (Copy Project) This button creates a copy of the selected project. All the settings items will be maintained, but the project will be saved as a new definition. Only the project definition, not the stored data, will be copied from the source project.

  • (Import Project) Using this button you can import a stand-by project without the need to establish it in the project settings. The program will ask you to choose the file with the backup after pressing this button (file .EXP). After the selection, a new project will be established and the backup will be imported.

  • (Remove Project) This button completely removes the entire project, including all graphic and non-graphic data.

  • (Put Project Aside) If the database contains too much data, the work slows down significantly. That's why it is convenient to store the older project you are not using in the backup and remove them from the database. Using this command you can set the project aside to the backup. The project definition will remain in the database, but the data will be removed. If you select said project from the list, all the project settings will display but will be inaccessible. If you confirm by pressing the button (OK), the program notifies you that the project was set aside, and asks if it shall import it back onto the database. After confirming, it asks for the path to the backup and automatically offers the path where the backup was stored when the project was put aside. After re-importing, you can work with the project as usual.

  • (Export Project) If the database contains too much data, the work slows down significantly. That is why it is convenient to store the older project you are not using in the backup and remove them from the database. Before their next use, you have to re-import the data from the backup to the database.

Prev | Home | Next
Chapter 29. Database menu | Up | Create database and user


Create database and user
Prev Chapter 29. Database menu Next

Create database and user

This command opens a dialog window for creating a database and user. This can usually be done using the tools delivered by the producer along with the database server, but the following method is the easiest:

Enter the login data to the administrator account (root, sa, etc.) in the upper pert of the window. Choose the server address (usually localhost for the local connection or IP server address for local network connection). Select the database type.

In next section, enter the name of the database you want to create or remove. For some types of databases, it is also necessary to enter the database size and location of the data files. The pre-set database size is 1GB, the pre-set path to the data files is taken from the Windows system registers.

Enter the name and password for the user account you are creating in the last section.

Note

We recommend setting the same name of user and database. If the names are different, you will have to adjust the configuration database file..
Note

When creating a user, you must also enter the database name because the user's right to the database is created automatically after the account creation.

Prev | Home | Next
Project settings | Up | Database initialization


Database initialization
Prev Chapter 29. Database menu Next

Database initialization

This command launches the tool for after-installation database initialization. All the needed tables are created and all the codebooks are filled in during the initialization.

Prev | Home | Next
Create database and user | Up | Active table


Active table
Prev Chapter 29. Database menu Next

Active table

The GROMA system allows working with several tables within one database. This can be used e.g. when creating geometric plans, when the points you want to display in the graphic can be saved in one table when drawing the plan, and in another table the points which shall be listed on the coordinate list on the geometry plan can be saved. Using this command, you can choose the active table above which all the database actions are performed (points export and import). You can find the details on the technology of the creation of a geometric plan and on tables in the graphic module manual.

Prev | Home | Next
Database initialization | Up | Chapter 30. Project menu


Chapter 30. Project menu
Prev Part II. Reference Manual Next

Chapter 30. Project menu

This menu contains commands for work with projects.

Add file

This command adds files into the active project. After calling the command a dialog window is displayed showing all the names of the opened files which are not included in the project. You can select one or more files and add them to the project by pressing the button (OK).

The coordinate lists and measured data list can be added by simple mouse-dragging.

Prev | Home | Next
Active table | Up | Remove file


Remove file
Prev Chapter 30. Project menu Next

Remove file

This command removes the selected file from the active project. First, select the file in the project window.

The file will only be removed from the project; it will remain unchanged on the disc.

Prev | Home | Next
Chapter 30. Project menu | Up | Open file


Open file
Prev Chapter 30. Project menu Next

Open file

This command opens a file from the active project. First, select the file in the project window.

You can open the file by double clicking on its name in the project window.

Prev | Home | Next
Remove file | Up | Settings


Settings
Prev Chapter 30. Project menu Next

Settings

In this dialog window the first printed line of the header for the coordinate lists and measured data lists can be set.

Prev | Home | Next
Open file | Up | Chapter 31. Coordinates / measured data menu


Chapter 31. Coordinates / measured data menu
Prev Part II. Reference Manual Next

Chapter 31. Coordinates / measured data menu

Add item

This command adds items to the coordinate lists and measured data lists. After calling this command, the program displays the pertinent editing window where you can define all the required data.

Prev | Home | Next
Settings | Up | Remove item


Remove item
Prev Chapter 31. Coordinates / measured data menu Next

Remove item

This command removes items from the lists. The program deletes any selected items from the list. If no items are selected, the program deletes the item with the cursor over it.

Prev | Home | Next
Chapter 31. Coordinates / measured data menu | Up | Edit item


Edit item
Prev Chapter 31. Coordinates / measured data menu Next

Edit item

This command displays a dialog window for editing the item with the cursor. The editing starts by double clicking the mouse on any arbitrary item on the list.

Prev | Home | Next
Remove item | Up | Find item


Find item
Prev Chapter 31. Coordinates / measured data menu Next

Find item

After calling this command, displays in the left bottom corner of the screen a small dialog window for searching the item. If you enter a point number, or if you edit it, the program automatically places the cursor on the first point found of such number. To find the next point with the same number, press the key <Arrow Down>.

Prev | Home | Next
Edit item | Up | Select


Select
Prev Chapter 31. Coordinates / measured data menu Next

Select

This command displays a dialog window for selecting the items on the list according to set criteria.

You can choose whether the items meeting the criteria shall be added to the previously selected items, removed from the previously selected items, or if this is a new selection.

The process of selecting is described in detail in the Reference manual.

Prev | Home | Next
Find item | Up | Batch change


Batch change
Prev Chapter 31. Coordinates / measured data menu Next

Batch change

After calling this command, a dialog window is displayed allowing the performance of batch changes to the coordinate lists and measured data lists. Using this window allows you to change the prefixes, set the point code, add and subtract a constant from the individual data, multiply or divide the individual data by a constant, etc.

The batch change is described in detail in the User Manual.

Prev | Home | Next
Select | Up | Renumber list


Renumber list
Prev Chapter 31. Coordinates / measured data menu Next

Renumber list

This command calls a non-modal dialog window which serves to renumber the coordinate list or the measured data list. Enter the input file (if also renumbering the output file coordinates, the coordinates can only be renumbered in a new file), prefix, and the start number. In case of the measured data list, you can choose if you also want to renumber the orientations and eventually the stations. The points will be renumbered after pressing the button (Renumber) and the renumbering report will be displayed.

The renumbering process is described in detail in the User Manual.

Prev | Home | Next
Batch change | Up | Recoding according to table


Recoding according to table
Prev Chapter 31. Coordinates / measured data menu Next

Recoding according to table

Using this command, you can transfer the descriptions according to the set code table (descriptions which are displayed on the screen) in the data file in stead of the codes. The codes will be cut to the maximum length of 20 characters when stored.

Prev | Home | Next
Renumber list | Up | Recovering deleted items


Recovering deleted items
Prev Chapter 31. Coordinates / measured data menu Next

Recovering deleted items

When the program deletes from the data file, it marks the individual items as deleted, but the data physically stays in the file. It is removed during file compression. Therefore, if you delete some items and need to recover them later, and the Undo function can not be used (the file was meanwhile closed, indexed, etc.), you can use this function. The items are always recovered in a new file which is automatically created (non-consistent, duplicate data is usually created during recovery as a measured point without the station header, etc.). From this data, the needed data can be copied to any other file.

Prev | Home | Next
Recoding according to table | Up | In Report


In Report
Prev Chapter 31. Coordinates / measured data menu Next

In Report

This command writes the coordinate list in the report. If any items are selected on the list, the command writes only such items in the report, otherwise the entire coordinate list is written. The coordinates can also be written in the protocol using the clipboard (in the main widow with the report) or mouse dragging (to the dialog window with the local report).

Prev | Home | Next
Recovering deleted items | Up | Chapter 32. Coordinate menu


Chapter 32. Coordinate menu
Prev Part II. Reference Manual Next

Chapter 32. Coordinate menu

Show graphics

After calling this command, a dialog window is displayed with a graphic presentation of the pertinent coordinate file. If the graphic file .pic already exists, it is automatically open. If it doesn’t exist, the program notifies you and asks whether it should create it.

Prev | Home | Next
In Report | Up | Sort according to map lists


Sort according to map lists
Prev Chapter 32. Coordinate menu Next

Sort according to map lists

This command opens a dialog window which serves to sort the active coordinate list in files according to map lists. Here you can enter the scale for the map lists and choose whether the generated file names can be long or must be the standard, 8-character names. You can also set other settings such as whether the created files shall open automatically and whether the existing old files shall be overwritten without any warning. The list of the used map lists is updated after pressing the button (Apply) the coordinate files are written on the disc after pressing the button (Sort).

Prev | Home | Next
Chapter 32. Coordinate menu | Up | Comparing the coordinate lists


Comparing the coordinate lists
Prev Chapter 32. Coordinate menu Next

Comparing the coordinate lists

After calling this function, a dialog window is displayed which serves for statistic comparison of two coordinate lists. The test is performed according to the relations described in the Reg. No. 190/1996 Coll. The coordinate differences are calculated first.

dx = xm - xk, dy = ym - yk,

where xm, ym are the coordinates from the tested file and xk, yk are the coordinates from the reference file.

The position deviation and the bearing of the position deviation are calculated from these differences.

dp = (dx2 + dy2)1/2

The position deviation and the bearing of the position deviation are calculated from these differences.

Further, the mean deviation is calculated from the formula

up = [0.5 (dx2 + dy2)]1/2

The mean coordinate errors for the entire processed file are calculated from the formula

sx = [sum(dx2/(k . N))]1/2, sy = [sum(dy2/(k . N))]1/2,

where the k coefficient can be

  • k=1, if the reference file accuracy is significantly higher than the accuracy of the tested file, or

  • k=2, if the accuracy of both files is comparable.

Selective mean coordinate error

Sxy = (0.5 (sx2 + sy2))1/2

In the final statistic is, besides others written, what percentage of the points had uxy smaller than the required Uxy, (should be at least 60%), for what percentage of the points uxy in interval (Uxy, 2Uxy> and for what percentage 2Uxy overreached.

Prev | Home | Next
Sort according to map lists | Up | Check duplicate numbers


Check duplicate numbers
Prev Chapter 32. Coordinate menu Next

Check duplicate numbers

After entering this command, the current coordinate list will be controlled whether it contains any duplicate point numbers or not. The test result with the eventual duplicates list is written in the report. Also, this test is automatically performed when indexing a file.

Prev | Home | Next
Comparing the coordinate lists | Up | Check point numbering


Check point numbering
Prev Chapter 32. Coordinate menu Next

Check point numbering

After entering this command, the execution of the point numbering on the list will be controlled. The list of the uninterrupted number blocks will be written in the report.

Prev | Home | Next
Check duplicate numbers | Up | Remove identical points


Remove identical points
Prev Chapter 32. Coordinate menu Next

Remove identical points

This command displays a dialog window serving to find, and eventually remove, points with different numbers but identical or similar coordinates.

Enter the name of the tested file and the tolerance (limit difference in the coordinate) which determines when the points should be deemed identical.

If you switch on the option Only in report, the list of the identical points will be written in the report, but the tested file will be left without any change. If this option is off, the program will remove one of the identical points from the list according to the settings. You can choose if the point with the lower number or the point with lower prefix shall remain on the list.

If you switch on the option Ignore height, the program will judge the identity only according to the coordinate X and Y, the coordinate Z will be ignored.

Prev | Home | Next
Check point numbering | Up | Iterate coordinates


Iterate coordinates
Prev Chapter 32. Coordinate menu Next

Iterate coordinates

This command serves to batch coordinate iterating the selected list. You can choose which coordinates shall be rounded and to how many decimal places. You can iterations the entire list or only the selected items.

Prev | Home | Next
Remove identical points | Up | Dual coordinates


Dual coordinates
Prev Chapter 32. Coordinate menu Next

Dual coordinates

This dialog window serves to work with dual coordinates on the lists.

You have to enter the basic coordinate file in the section Files and the additional file for some functions. The files are selected by mouse dragging to the pertinent box or by pressing the button (...).

Import from additional file

This function serves to complete the second coordinate pair from the additional file. After launching the function, the program attempts to find the coordinates to all the points of the basic file in the additional file. If it found them, they are completed as the second pair in the basic file.

Replace main and secondary coordinates

After pressing this button, the program replaces the main and the secondary coordinates on the main coordinate list. If you want to use the secondary coordinates instead of the main coordinates, you have to first replace them using this command.

Export secondary coordinates into new file

After pressing this button, the program creates a new unnamed coordinate list and copies all the secondary coordinates from the basic list into it. The coordinates are saved as the main ones on this newly created list.

Remove secondary coordinates

After pressing this button, the program removes all the secondary coordinates from the basic coordinate list.

Remove zero secondary coordinates

After pressing this button, the program removes the secondary coordinates from the basic coordinate list if both of the secondary coordinates are zero.

Prev | Home | Next
Iterate coordinates | Up | Display parameters


Display parameters
Prev Chapter 32. Coordinate menu Next

Display parameters

If you don't use some of the data displayed on the lists (e.g. point type, height, etc.), you can switch the pertinent column off using this command. This option can also be called by mouse right clicking on the list header (i.e. not on the color header with the file name, but on the first line with the column headers). Displayed data setting is also respected in any print outputs.

Prev | Home | Next
Dual coordinates | Up | Save points in a database


Save points in a database
Prev Chapter 32. Coordinate menu Next

Save points in a database

Using this button, you can save the point from the coordinate list into a database. If any points which are not connected to the database (there is no database symbol) are on the list, you can use this command to save them in the database.

When storing in a database, the uniqueness of the point identifier within the project must be maintained. In other words, a point of the identical number can't be saved in the point table more times. When storing the numbers, the program controls such fact, and if it finds a point of the entered number already in the project, it will not save the new point and records such fact in the report.

If some points are selected on the coordinate list, only these points will be stored in the database. If no points are selected, the entire coordinate list will be stored in the database.

You can find the detailed information on the work with databases in the User Manual.

Prev | Home | Next
Display parameters | Up | Save changes in database


Save changes in database
Prev Chapter 32. Coordinate menu Next

Save changes in database

This command serves to store the changes to the coordinate list in a database. You can use this command only if the coordinate list was created by import from a database.

You can find the detailed information on the work with databases in the User Manual.

If some points are selected on the coordinate list, only these points will be stored in the database. If no points are selected, the entire coordinate list will be stored in the database.

You can find the detailed information on the work with databases in the User Manual.

Prev | Home | Next
Save points in a database | Up | Remove deleted points from database


Remove deleted points from database
Prev Chapter 32. Coordinate menu Next

Remove deleted points from database

If you delete some points from the coordinate list created by import from a database, it doesn’t mean that these points are automatically deleted from the database. They will be deleted from the database after entering this command.

You can find the detailed information on the work with databases in the User Manual.

You can find the detailed information on the work with databases in the User Manual.

Prev | Home | Next
Save changes in database | Up | Chapter 33. Measured data menu


Chapter 33. Measured data menu
Prev Part II. Reference Manual Next

Chapter 33. Measured data menu

Field book processing

Using this command, you can perform complete processing of a field book, including processing the data measured in both binocular positions, repeated measuring, reduction of directions, processing the measurements in both directions, adjustments of the instrument errors, refraction adjustments, and elevation calculation. If you choose the option Only in report, a report will be created and the changes will not be performed on the measured data list.

You can find the details on processing the field book in the User Manual.

Prev | Home | Next
Remove deleted points from database | Up | Merge stations


Merge stations
Prev Chapter 33. Measured data menu Next

Merge stations

After entering this command, a dialog window is displayed allowing the repeated measurements to merge on one station. The measurements can be merged only if they contain at least one common direction via which can be connected the sets of directions.

First, the program sorts the entire file according to the stations. Then, it browses through and searches for repeated stations. If no repeated stations are found, the program displays the list of the common horizontal directions with the adjustments. The individual directions can be removed from this list using the button (Remove). After pressing the button (OK), The program calculates the displacement of both sets, connects them, and corrects all the directions measured on the second point by such displacement.

Important

If the instrument height is listed in both measurements, the sets can be merged only if both instrument heights are identical. If different, you can use the button Reduce elevation on the connection point of the stabilization marks to identify them during the field book processing.

Prev | Home | Next
Chapter 33. Measured data menu | Up | Select orientations


Select orientations
Prev Chapter 33. Measured data menu Next

Select orientations

Using this dialog window, you can batch select the orientations. You can set the criteria to identify the orientations.

The orientation identification is described in details in the User Manual.

Prev | Home | Next
Merge stations | Up | Sort


Sort
Prev Chapter 33. Measured data menu Next

Sort

This button serves to sort the measured data list.

  • Sort stations

    The program sorts the file in ascending order according to stations.

  • Sort according to numbers

    The program sorts the measured points on the stations according to their numbers.

  • Orientation to beginning

    The program will insert the orientations at the beginning of the stations in front of the similar points, regardless their numbers.

Prev | Home | Next
Select orientations | Up | Attach file


Attach file
Prev Chapter 33. Measured data menu Next

Attach file

Using this command, you can attach another measured data list to the open measured data list.

The measured data file will be merged at the end of the original file.

Prev | Home | Next
Sort | Up | Display parameters


Display parameters
Prev Chapter 33. Measured data menu Next

Display parameters

If you don't use some of the data displayed on the lists (e.g. zenith distance, signal height, etc.) you can remove the relevant columns using this command. This option can also be called by right clicking the mouse on the list header (i.e. not on the color header with the file name, but on the first line with the column headers). Displayed data setting is respected also in any print outputs.

In addition, you can choose the details on the measured data list display in this window:

  • All

    Displays all the measured data in the entire file.

  • Stations + orientations

    Displays only the headers of the stations and the measured data marked as orientations.

  • Stations

    Displays only the headers of the stations.

This changes the display type for the entire file. The display mode for the individual stations can be changed by double clicking on the icon displayed in the left part of the list on the line with the station header.

Prev | Home | Next
Attach file | Up | Chapter 34. Plan menu


Chapter 34. Plan menu
Prev Part II. Reference Manual Next

Chapter 34. Plan menu

The commands of this menu serve to manipulate a graphic window.

Display parameters

In this dialog window, you can set the drawing attributes (switched-on levels, fonts, etc.).

Levels:

  • Active levels

    Set the number of the level where you want to store the draw element, in the input line or using another dialog window.

  • Switched-on levels

    Select which levels shall be switched-on (visible) in the current projection.

Points:

  • Place in level

    Select in which level you want to keep the point marks (you can switch on/off the marks drawing using the relevant level).

  • Display only selected

    If the coordinate list is extensive and you are only working with part of it, you can select the relevant points and display only those selected points. The refreshing of the graphic window can be significantly faster.

  • Mark

    Choose the mark to mark the points. The mark is always the same for all the points.

Point numbers:

  • Store in level

    Choose the number of the level where you want to store the point numbers. If you don't want to display them, you can switch the relevant level off.

  • Font

    Choose the font for displaying the point numbers.

  • Numbers only

    The program displays the point number without the prefix.

  • Numbers and prefixes

    The program displays the complete point number.

Point heights

  • Store in level

    Choose the number of the level where you want to store the point heights. If you don't want to display them, you can turn the relevant level off.

  • Font

    Choose the font to display the point heights.

Graticule:

  • Crosses distance

    You can set the graticule crosses distance in meters.

  • Crosses size

    You can define the size of the crosses on the plan (in millimeters).

  • Place in level

    Choose the number of the level you want to store the graticule crosses. If you don't want to display them, you can switch the relevant level off.

Prev | Home | Next
Display parameters | Up | Fill


Fill
Prev Chapter 34. Plan menu Next

Fill

The display scale is adjusted so the entire plan in displayed in the window.

Prev | Home | Next
Chapter 34. Plan menu | Up | Zoom In


Zoom In
Prev Chapter 34. Plan menu Next

Zoom In

The display scale is increased 1.5x.

Prev | Home | Next
Fill | Up | Zoom out


Zoom out
Prev Chapter 34. Plan menu Next

Zoom out

The display scale is decreased 1.5x.

Prev | Home | Next
Zoom In | Up | Repaint


Repaint
Prev Chapter 34. Plan menu Next

Repaint

The active window is repainted.

Prev | Home | Next
Zoom out | Up | Zoom area


Zoom area
Prev Chapter 34. Plan menu Next

Zoom area

The content of the fence is enlarged to the entire window desktop. If the enclosure hasn’t been created yet, you can place it after calling this command. Place the cursor on one corner of the required enclosure, press the left mouse button, hold it, and move to the second corner. Release the left mouse button.

Prev | Home | Next
Repaint | Up | Select element


Select element
Prev Chapter 34. Plan menu Next

Select element

This command cancels the previous mode (drawing, element deleting, etc.) The element selection mode is suitable for pointing points for the calculation dialog window.

Prev | Home | Next
Zoom area | Up | Erase element


Erase element
Prev Chapter 34. Plan menu Next

Erase element

After choosing this option (if no element is selected) the cursor is displayed with a question mark. The mouse cursor changes if you select an element which you want to erase using the left or middle button. If you really want to erase the element, press the left mouse button. If you don't want to erase it, press the right button.

Prev | Home | Next
Select element | Up | Connecting points


Connecting points
Prev Chapter 34. Plan menu Next

Connecting points

You can only connect the existing points; the end of a line can't be placed outside the point. Therefore you don't have to worry about the correct "connecting point", the program doesn’t allow other lines placing. After connecting to a point, the program starts to draw a line from the point to the current cursor position. The line automatically changes with the moving of the cursor. If you place it by connecting to the end point, you can terminate drawing by pressing the right mouse button.

Prev | Home | Next
Erase element | Up | Fence


Fence
Prev Chapter 34. Plan menu Next

Fence

This command serves to place "the fence" (rectangular frame), which serves for the plotter output.

Prev | Home | Next
Connecting points | Up | Read coordinates


Read coordinates
Prev Chapter 34. Plan menu Next

Read coordinates

If you switch to coordinate reading, the program automatically writes the coordinates as moving the mouse above the plan.

Prev | Home | Next
Fence | Up | Chapter 35. Bitmap menu


Chapter 35. Bitmap menu
Prev Part II. Reference Manual Next

Chapter 35. Bitmap menu

This menu contains commands for work with raster data.

Transformation key

After selecting this command, the program displays a dialog window where you can define the transformation key for converting the graphic coordinates in the selected system.

You can control the dialog window in the same way as the calculation windows. The detailed description of determination of the transformation key is in the User Manual.

Prev | Home | Next
Read coordinates | Up | Digitalization


Digitalization
Prev Chapter 35. Bitmap menu Next

Digitalization

After choosing this command, the program displays a dialog window which you can use to read the coordinates of the point in the coordinate system you have selected. You have to determine the transformation key before starting the digitalization.

You can control the dialog window in the same way as the calculation windows. The detailed description of the digitalization is in the User Manual.

Prev | Home | Next
Chapter 35. Bitmap menu | Up | Part III. Appendix


Part III. Appendix
Prev Next

Appendix

Table of Contents

36. Initiation parameters
37. network installation
Network installation
Configuration file
38. Data files types
39. File structure for database settings
Element structure <column>
Item <server>
Item <table>
The item <column>
40. Communication with the MicroStation system
Communication with the MicroStation system
Configuration files of the MDL modules
Launching the GROMA system from MicroStation
Communication GROMA - MicroStation
Information on points
Points coding
Configuration of the communication module
Other module functions
41. Formats of the entry files with the measured data
42. Input / output text format
Alphanumeric characters
Data items symbols
Formatted data width
Number of decimal places
Other settings
Output format examples
Specialities of input format
Loading using fix format
Loading using free format
Prev | Home | Next
Digitalization | Up | Chapter 36. Initiation parameters


Chapter 36. Initiation parameters
Prev Part III. Appendix Next

Chapter 36. Initiation parameters

When initiating the GROMA program, you can specify various parameters in the command line. The parameters are separated with a space, and marked with the character - or /.

Table 36.1. Initiation parameters

Parameter | Meaning
-u | Name of the configuration file including the path. Example: -u=h:\cfg\groma.ini
-s | Doesn't display the drawing during the initiation
-parent | Launches the GROMA system as an application of the specified system. Example: -parent=MicroStation
-demo | Launches the system in demo mode..
-net | Launches GROMA as a net system (searches the hardware network key).

All the parameters on the command line which are not separated with the characters - or /, deemed names of the files which shall be opened.

Prev | Home | Next
Part III. Appendix | Up | Chapter 37. network installation


Chapter 37. network installation
Prev Part III. Appendix Next

Chapter 37. network installation

The GROMA system is designed for trouble free installation and operating in the computer network environment. The program can be installed from any station or server in the network to the shared disc and launch from any other station.

Network installation

The GROMA system can be installed from any arbitrary network station or server to any shared disc. The installation program doesn’t store any information in register in the Windows system. The only adjustment on the station wherefrom GROMA is installed is creating the item in the Start menu.

During the installation the standard path name using the pre-mapped network disc with the unit letter can be used as well as the standard UNC path (definition using the network server name, for example \\server\c\Groma8).

Because GROMA doesn't store any information in register in the Windows system, it can be uninstalled by simple deletion the directory containing the GROMA program.

The GROMA system can be launched from any station in the network wherefrom the shared directory where is GROMA installed is available. During the installation, the standard path name can be used using the pre-mapped network disc with the unit letter (e.g. x:\Groma8\groma.exe), as well as the standard UNC path (definition using the network server name, for example \\server\c\Groma8\groma.exe).

The only adjustment which should be performed on the stations wherefrom shall GROMA be launched, is to create an icon or item in the Start menu.

Prev | Home | Next
Chapter 36. Initiation parameters | Up | Configuration file


Configuration file
Prev Chapter 37. network installation Next

Configuration file

The GROMA system stores all the settings in a text configuration file. The configuration file is located in a standard place determined by the operation system type, or you can define its location explicitly.

Standard location of the configuration file

The GROMA system stores all the settings in a text configuration file. Unless the file location is explicitly determined, the file will be stored in a standard place determined by the type of the operation system:

  • Windows NT, 2000 and XP: In these operating systems, the system variable %USERPROFILE% is used for location of the configuration file. This variable points to a private directory of the logged in user, therefore it ensures that each user has his/her own configuration.

  • Windows 95, 98 and ME: In these operating systems, the system variable %USERPROFILE% isn't set; therefore, the configuration file will be placed directly into the Windows system.

Forced location of the configuration file

If, for some reason, the standard location is unsuitable, you can explicitly set a different location. The reason can be, for example, the need to place the configuration file on the network disc in the user’s home directory so it has the same configuration when logging from any station on the network. The location of the configuration system can be set in two ways:

Configurations file definition using the initialization parameter

The file location can be set using the parameter -u=path\filename. This parameter has to be entered in the definition of the command line of the icon, or in the record offered upon Start. The parameters are separated from the program name with at least a space character.

If the path to the configuration file contains spaces, the path (or the entire parameter) must be closed in quotes (e.g. -u="file name with path and spaces" or "-u=file name with path and spaces")

When defining the path, you can use the system variable or the items from the registry. The variable names are closed between the characters %%, and the registry items by brackets < and >.These names will be replaced with the relevant values.

Note

The registry items are taken from HKEY_CURRENT_USER.

Examples:

c:\Groma8\Groma.exe -u=h:\Config\groma.ini

c:\Groma8\Groma.exe -u=%USERPREFS%\groma.ini

c:\Groma8\Groma.exe -u="<Software\Microsoft\Windows\CurrentVersion\Explorer\Shell folders\Local Settings>\groma.ini"

Forced location of the configuration file in network.ini

Instead of the initiation parameter, the location of the configuration file can be defined in the network.ini, file, which is located in the directory of the GROMA system. The advantage of such a setting is that you do not have to adjust all the icons on all the computers on the network network.ini file is common for the entire installation). Another advantage is that the setting also applies to all the plug-ins of the GROMA system.

Since this setting applies to all modules of the GROMA system which use their own configuration files, only the path to the configuration system can be defined in this way, not its name (which is different for each system component).

The file location is defined using the variable ConfigFilePath of the network.ini. file. In this variable the path where the configuration file should be placed is entered. It doesn't matter if the path is terminated with a backslash or not. The system will add the specific name of the configuration file to this path for the pertinent component.

The rules for using system variables and registry items are the same as for definition of the command line.

Control of the location of the configuration file

To find out the current location of the configuration file, follow the steps below:

  • In the system menu, choose the command Help-About program

  • In the displayed dialog window, press the button (Other). If such button is not in the window, press both of the keys <Shift-Ctrl> and double click on the picture.

    In the next dialog window, find the name of the configuration file under the item Preference File. The entire name will not be displayed if the path name is too long. In such case you have to point in the window with the mouse and move the cursor to read the entire path.

Sample configuration file

If GROMA doesn't find any user's configuration file at the relevant location (the standard location or on the location determined by one of the above described ways), it will copy for the user the standard file with settings. Such file is located in the directory with the GROMA installation, and the name is groma.ini.

If you want to change some of the basic settings, you can adjust the system configuration or copy a file of some other user into GROMA as the sample file. All the users not having their own configuration yet will get a copy of the basic configuration.

Prev | Home | Next
Chapter 37. network installation | Up | Chapter 38. Data files types


Chapter 38. Data files types
Prev Part III. Appendix Next

Chapter 38. Data files types

The GROMA program uses different types of data files for work. Some of them are stored in the internal program format, while some have a universal format also used by other programs.

Table 38.1. File extensions used in the GROMA system

File extension | File content | Format
.crd | Coordinate file | Binary
.crx | Index file of a coordinate file | Binary
.mes | Measured data list | Binary
.mex | Index file of a measured data list | Binary
.prj | Project | Text
.pic | Drawing prescription of a coordinate file | Binary
.bmp | Bitmap for digitalization | Binary
.rnf | Information for bitmap (transformation key, etc.) | Binary
.cod | Code table | Text
.txt | Text file | Text
.par | Area size | Text
.dst | Check distance file | Text
.key | Transformation key | Text
.pol | Transit traverse | Text

In some situations, GROMA automatically creates backup copies of the files (e.g. before compression, etc.) Because you usually work with more files of the same name but a different extension, the backup files can't be named with the extension .bak. For this reason, the backup file name is created by keeping the original name, but using the character"~", as the first character of the extension and the other characters of the extension are moved by one position to the right (the last character of the extension ceases).

Prev | Home | Next
Configuration file | Up | Chapter 39. File structure for database settings


Chapter 39. File structure for database settings
Prev Part III. Appendix Next

Chapter 39. File structure for database settings

You can pre-set the parameters of the connection to different databases and, when connecting, simply select one of the pre-set connections from the list. The only data which can't be pre-set and which always has to be entered manually is the login.

The file which contains all the settings is stored in the subdirectory sql of the main directory of GROMA under the name db.ini. The file is in XML (Extensible Markup Language) format. The detailed description of the XML language is beyond scope of this manual. All the information on the XML language can be found on the website of the W3C International Consortium which specializes in standardization on internet (http://www.w3.org/XML/). Detailed skills with XML language are not required for work with GROMA. The installation contains a sample db.ini file which can be adjusted.

When adjusting, the file structure has to be maintained. Especially the condition that all the file elements must be closed correctly must be adhered to. It means that, for each opening mark in the format,

<mark>

must also be, in the correspondent position, the closing mark

</mark>

If the element does not contain any other marks but attributes, it can be closed with a shortcut, i.e. writing the character / directly in the opening mark of the element:

<mark atribut1="data" atribut2="data"/>

The file structure is following:

  • <groma_db>

    • <structures>

      • <structure>

        • <table type="project">

          • <column/>

          • <column/>

          • ...

        • </table>

        • <table type="points">

          • <column/>

          • <column/>

          • ...

        • </table>

      • </structure>

    • </structures>

    • <profiles>

      • <profile>

        • <server/>

        • <schema-">

      • </profile>

    • </profiles>

  • </groma_db>

The definitions of the structure of the database tables are described in the section <structures>. Each definition of the database connection is described in the element <profile>. The element <profile> contains element <server>, in whose attributes are described connections to the server and the element <shema>, where a corresponding database structure is assigned to the connection.

Element structure <column>

Table 39.1. Item's attributes <profile>

Attribute name | Description
name= | Profile name.. This name displays in the GROMA dialog window when connecting to the database. Using this name, you can choose from a list of the pre-set connections.
descrip= | Connection description. Here you can enter a detailed description of the connections that will be displayed in the dialog window when connecting.

Table 39.2. Item's structure <profile>

Item name | Description
<server> | This item contains the parameters of the connection to the database server. Item profile must contain exactly one item server. If the item is empty, all the settings are contained in the attributes.
<server> | This item contains the description of the database table structure. The profile definition must contain two tables: the project table and the point table.

Prev | Home | Next
Chapter 38. Data files types | Up | Item <server>


Item <server>
Prev Chapter 39. File structure for database settings Next

Item <server>

Table 39.3. Item's attributes <server>

Attribute name | Description
type= Database server type. You can set the following values:

  • oracle - Oracle 8i, 9, 9i

  • oracle_cuzk - Oracle ISKN (for COSMC)

  • mssql - Microsoft SQL Server

  • mysql - MySQL server

  • msaccess - Microsoft Access
db= | Name of the database or service GROMA shall connect to. You can use the variable db in the connecting string.
driver= | Name of the ODBC driver as defined in the ODBC settings in the control panel. You can use this under the variable driver in the connecting string
connect= Connecting string for connection to a database. The syntax of the connecting string depends on the type of the database server, the details can be found in the documentation to the pertinent ODBC driver. A variable representing some values can be used in the connecting string. The variable name must be enclosed by the characters # in the string. You can use the following variables:

  • driver - Name of the ODBC driver (attribute driver of the itemserver)

  • db - Name of the database or database service (attribute db of the item server)

  • uid - Login name (entered in the login dialog)

  • pwd - Login password (entered in the login dialog)

Example: connect="DRIVER={#driver#};DBQ=#db#;UID=#uid#;PWD=#pwd#;DBA=W"

Table 39.4. Item's structure <server>

The item <server> contains only attributes.

Prev | Home | Next
Chapter 39. File structure for database settings | Up | Item <table>


Item <table>
Prev Chapter 39. File structure for database settings Next

Item <table>

Table 39.5. Item's attributes <table>

Attribute name | Description
type= Table type. GROMA supports the following types of tables:

  • project - Table with definition of the projects

  • points - Table with points
def_table_name= | Name of the table in the database.

Table 39.6. Item's structure <table>

Item name | Description
<column> | This item contains information on the pertinent column in the database.

Prev | Home | Next
Item <server> | Up | The item <column>


The item <column>
Prev Chapter 39. File structure for database settings Next

The item <column>

Table 39.7. Item's attributes <column>

Attribute name | Description
type= The type of data which is in the column. The data in the bold font is required.

Data for the table of points:

  • id - Identifier of an item in the database

  • number - Complete point number

  • project_id - Project identifier

  • x - Coordinate X

  • y - Coordinate Y

  • z - Coordinate Z

  • num - Point number

  • zpmz - ZPMZ number

  • tl - TL number

  • prec - Quality code

  • created - Date of creation

  • updated - Date of modification

  • ku - CO code

  • pnt_state - Data stage

Data for the table of projects:

  • id - Identifier of an item in the database

  • name - Project name

  • ... any arbitrary data can be further defined. The example is delivered with the GROMA installation in the sample file db.ini.
name= | Name of the column in the database.
descrip= | Data description. These descriptions appear, for example, in the dialog window to enter and edit projects.
source=

If the item in the project definition shall be taken from the codebook and offered in the form of a list (e.g. coordinate list definition), you can store all the admissible values in a separate table in the database and enter an SQL command here, which can be used to ease loading of the value list from the database. The SQL command must return two values for each item– identifier and description. The description is displayed in the menu, the identifier will be stored in the database.

For example, for the definition of the coordinate system, a table SOURSYST (ID, POPIS) can be created; enter in it the values (1, "S-JTSK") and (2, "local"). Then, the attribute source="SELECT ID,POPIS FROM SOURSYST" can be set in the project definition by the coordinate system item. In the dialog window with the project definition, in the place of the coordinate system, the list of all the items from the table SOURSYSTwill be displayed; in this case, S-JTSK and local.
value= | Method of assigning the value. This attribute can only appear in the column of the type id. If set for the value auto, it means that the assigning of the values for this item is solved automatically on the database level (e.g. using triggers, sequences, or AutoIncrement). Detailed information can be found in the User Manual.

Table 39.8. Item's structure <column>

Item <column> contains attributes only.

Prev | Home | Next
Item <table> | Up | Chapter 40. Communication with the MicroStation system


Chapter 40. Communication with the MicroStation system
Prev Part III. Appendix Next

Chapter 40. Communication with the MicroStation system

The GROMA system supports communication with the MicroStation graphic system or PowerDraft. This communication is based on DDE (Dynamic Data Exchange), and is therefore only available in the versions for MS Windows. In the following text will be both graphic systems with the common name MicroStation.

Communication with the MicroStation system

Before initiating communication, it is necessary to configure the MicroStation system so it is able to collaborate with the GROMA program. This configuration consists of three parts:

  1. Copy the configuration file GROMA.CFG from the directory GROMA8\SUPPORT into the directory CONFIG\APPL of the MicroStation system, where the application configurations are stored. The entire path depends on the name of the directory where MicroStation is installed. It can look, for example, like this:

    C:\USTATION\CONFIG\APPL\

  2. If you have installed the GROMA system somewhere other than the offered implicit directory C:\GROMA8, adjust the variable GROMA in the configuration file GROMA.CFG so it contains the path to such directory (for example, C:/GROMA8/).

    Important

    This path must be always terminated with the character /.

    If you want to launch the GROMA system with some parameter at the command line, write this parameter in the variable GROMA_CMDLINE in front of behind the already existing parameter, separated with a space. If you write the parameter directly into the file name GROMA.EXE, the entire entry will be deemed the file name and you won't be able to launch the GROMA system.

  3. Copy the MDL modules (files with the extension .MA) from the directory GROMA8\SUPPORT into the directory MDLAPPS of the MicroStation system (directory where the applications are stored).

Prev | Home | Next
The item <column> | Up | Configuration files of the MDL modules


Configuration files of the MDL modules
Prev Chapter 40. Communication with the MicroStation system Next

Configuration files of the MDL modules

MDL modules of the GROMA system automatically store the configuration on the disc. The configuration files have the same name as the module and the extension .UPF. Typically, these files are stored in the directory where the variable of the MicroStation system _USTN_USER points (usually the directory USTATION\CONFIG\USER\). If you want to store the configuration files somewhere else (for example, so each user has his/her own setting with the multiuser configuration), define the variable GROMA_USERPREFS in the MicroStation system and set the path to the required directory in it. All the configurations will be stored there.

Prev | Home | Next
Chapter 40. Communication with the MicroStation system | Up | Launching the GROMA system from MicroStation


Launching the GROMA system from MicroStation
Prev Chapter 40. Communication with the MicroStation system Next

Launching the GROMA system from MicroStation

If the installation and configuration described above has been correctly performed, you can launch the GROMA system from MicroStation using the command MDL LOAD GROMA. This command can also be added as an item on menu, or palette, of the MicroStation System. After calling this command, a small communication window of the MicroStation system is displayed with the name GROMA and GROMA is launched automatically. It behaves as an application of MicroStation (it is always on top, even if you work in the MicroStation System). According to your needs, you can enlarge the main GROMA program window to the full screen or minimize it to an icon.

Unfortunately, the PowerDraft system does not allow the launching of external applications; therefore, you have to launch the GROMA system in two steps:

  1. Launch the communication module from the GROMA system in the above described way.

  2. Launch the GROMA system with the parameter /parent=PowerDraft. You can create a launching item with this parameter.

After launching, GROMA the communication with a module in the PowerDraft system starts automatically. Everything further behaves the same as in the MicroStation system.

Prev | Home | Next
Configuration files of the MDL modules | Up | Communication GROMA - MicroStation


Communication GROMA - MicroStation
Prev Chapter 40. Communication with the MicroStation system Next

Communication GROMA - MicroStation

Dragging points

If you want to display points in a drawing, you can mouse drag them to the MicroStation window in the same way as between the data windows and calculation windows. You can drag the individual points or a group of selected points. After the dragging, the points are immediately displayed in the drawing.

Displaying the points in the drawing

For calculation point, or for storing the points on the coordinate list, you can mouse-point the points in the drawing. Follow the steps below:

  1. Choose the required job (calculation function, adding points on the list, etc.).

  2. Press the button while the arrow is beside the item you want to point at in the drawing. The button will remain pressed and displays in red. A message Reading coordinates will appear in the MicroStation communication window.

  3. Point at a point in the drawing by pressing the button <Tentative> and confirm with the button <Data>. The coordinates will be automatically transferred into the dialog window of the GROMA system.

Connecting according to point numbers

If you want to connect the points from the coordinate list, follow the steps below:

  1. Open the pertinent coordinate list in the GROMA system.

  2. Using the command Coordinates->Connecting according to point numbers open the dialog window for connecting the points.

  3. In the MicroStation system, choose the type of drawing item you want to use to connect the points (usually Line, Line String, but it can be generally anything – arc, curve or mark positions).

  4. Enter the numbers of the points you want to connect one by one in the dialog window for point connecting. After pressing the key <Enter>, the program finds the coordinates on the coordinate list (lists) and sends them to the MicroStation system. Its further behavior depends on the chosen function (line drawing, curve drawing, mark placement, etc.).

Prev | Home | Next
Launching the GROMA system from MicroStation | Up | Information on points


Information on points
Prev Chapter 40. Communication with the MicroStation system Next

Information on points

The GROMA system allows the storage of the information on points directly to the drawing. This information is stored using the so called User Data Linkage in special PointString elements. This information can be used for some other functions:

Dynamic display of the point numbers

The numbers, heights and point codes stored in these items can be dynamically displayed on the screen. If this displaying is switched on, a number for each point is displayed according to the setting; eventually height and code are also displayed. This information is not a part of the drawing; therefore it will automatically disappear after deleting the point. When the point moves, the information automatically moves with it. In addition, these descriptions have a constant size all the time which doesn't change when enlarging or diminishing.

Coordinate list statement

Based on this information, a text coordinate list can be generated at any time with the original point numbers and updated coordinates overtaken from the drawing. Also the original point heights are maintained, even in 2D drawings.

Generating descriptions

When importing from the coordinate list, it is often convenient to create only the items type PointString with information on points in the drawing. When the drawing is done, you can batch generate descriptions according to the set attributes.

Prev | Home | Next
Communication GROMA - MicroStation | Up | Points coding


Points coding
Prev Chapter 40. Communication with the MicroStation system Next

Points coding

The GROMA system allows, during the import of the coordinates into a drawing, automatic placing of the point marks beside text descriptions. If you connect a code table in the GROMA system which converts the codes pre-registered by you to the mark names (cells) of the MircoStation system, the found marks will be during the import automatically placed on points. The marks are created according to the attributes set in the dialog window Settings->Attributes. If you want a separate setting for each mark (e.g. if you want to place the marks in different levels), connect further attributes in the code table behind the mark name, separated with the character & in this order:

Mark_name&level&colour&thickness&styl

If you skip some of the attributes (character & must be written), the pertinent attribute will be taken from the standard setting.

Example:

soupe&21&1&2&0

Mark soupe, level 21, color 1, thickness 2 and style 0,

soupe&21&&2&0

Mark soupe, level 21, color according to the attribute settings, thickness 2 and style 0.

Prev | Home | Next
Information on points | Up | Configuration of the communication module


Configuration of the communication module
Prev Chapter 40. Communication with the MicroStation system Next

Configuration of the communication module

The attributes of point displaying in the drawing can be set using the command Settings->Attributes and Settings->Coordinates.

Display attributes

In this dialog window, you can define which point attributes will be displayed in the drawing. You can switch off/on the display of point, prefix, number, height, code (text), and mark on the point (according to the code). For each of these items, you can choose level, color, and eventually size, font and location.

You can create and assign names to up to 20 configuration sets. If you want to define a configuration set, set all attributes, enter the configuration name in the window Name and press the button (Save). The configuration set will be added to the list. If you want to delete a configuration set, point at it in the list, and press the button (Delete). You can choose the active configuration set by pointing at it on the list with the mouse.

Note

The last configuration set can not be deleted, at least one set must be always defined.

If you choose the same location for the prefix and number (e.g. in the upper middle part), the complete number will be displayed on the list in form prefix-number (separated with a hyphen).

The text size is entered in millimeters in the final drawing, the real size in the drawing is calculated according to the scale set in this dialog window.

If you switch on the option Add point information, then with every import a special item, PointString type, is created on each point. This item has the point information attached, i.e. number, prefix, and height thanks to User Data Linkage. If this information is stored in the drawing, it can be used for further work. The point numbers and heights can be dynamically displayed, and a coordinate list can be generated which contains the original point numbers and the updated coordinates from the drawing.

The option Texts independent of the projection can also be advantageously used for work in 3D. If it is on, the element is created independent of the projection angle, i.e. they are always readable in all projections (in ground projection, side projection and in general projections).

Coordinates settings

You can set in what way the real coordinate shall be converted to the drawing coordinates in this dialog window. You can set the coordinates reduction, coefficients to multiply the coordinates, or the replacement of X and Y. Implicitly, the module is preset for the common method for the work in MicroStation (to achieve the correct axis orientation, the coordinates X and Y are replaced and both are multiplied by a coefficient -1).

Prev | Home | Next
Points coding | Up | Other module functions


Other module functions
Prev Chapter 40. Communication with the MicroStation system Next

Other module functions

Besides the actual dragging of the point in a drawing, you can use any of the functions offered by communication modules. These functions are available from the menu File.

Load coordinate list

Besides dragging the points from the GROMA system with the mouse, you can also directly load the coordinate list in text format using this module. After calling the command File->Load, a dialog window is displayed where you can set the type of the text file (coordinates order). You can choose the file to be imported after pressing the button (Choose). If you switch off the button Write in drawing, the point will be displayed on the screen only, and they will disappear when the screen refreshes. This option can be used to check the correctness of the set parameters, etc.

Creating the points in the drawing

If you want to create the individual points in the drawing, choose the command File->Create point. The program displays a dialog window where you can enter a point number and height; you can create points in the drawing using the key <Data>. After creating a point, the point number automatically is increased by one.

Points editing

Using this function, you can edit the descriptive data (prefix, number, height, description) of the points in the drawing.

Description creation

When importing from the coordinate list, it is often convenient to only turn on the information on points and turn off all the other items. Therefore, only the items of the PointString type will be created in the drawing. The dynamic point displaying can be turned on with them. Therefore, when manipulating the points, it is enough to manipulate with one item only, the descriptions move automatically with the point. When the drawing is done, you can batch generate descriptions according to the set attributes.

Important

Description generating is controlled by the set attributes. Before the batch generation, it is first necessary to turn on the required items (numbers, heights) in the attribute settings.

Export coordinate list

After calling the command File->Export coordinate list, a dialog window is displayed which allows you to choose a type and name of the final text coordinate list. After pressing the button(Record) and confirming by the button <Data> in the pertinent projection, a coordinate list is created in which all the points, which have the point information connected are written (see Display attributes). The point will keep the original number and will get the updated coordinates from the drawing. In this way, an updated coordinate list can be created in case the points were manipulated on the plan during drawing creation.

Only the points which have information (PointString) stored in the level which is turned on in the pertinent projection will be written in the file. The points from the turned-off levels will not be written in the file.

If there is a Fence in the drawing, only the points lying within the fence will be written in the file; otherwise the content of the entire drawing will be written.

Transfer points in the GROMA system

You can batch transfer the points from a drawing in the GROMA system using this function. Choose the function to add a point on the list in the GROMA system, press the button for graphic reading, and launch this function in the MicroStation system. Confirm the function by pressing the key <Data>. If there is a fence, then only the points from the fence will be transferred. Otherwise, the points from the entire list will be transferred.

Point search

This module serves to search points in the drawing using the numbers. Enter the prefix and point number, and the number of the projection in which the found point shall be displayed, and the size of the edge of the projection which defines the enlargement. If you choose some drawing function earlier in the MicroStation system or in this dialog window (e.g. line drawing), the required item will be automatically drawn over the searched points.

Dynamic display of point numbers

If there items, created on the points, are of the PointString type (if, during the import, the option Attach point information was on), you can turn on/off the dynamic display of the descriptions. The descriptions are only displayed on the screen during the dynamic display; they are not stored in the drawing. Therefore, if you manipulate the point, the description moves with the point. Also, if you delete a point, the description disappears. In addition, the descriptions have constant size regardless of the current scale of the cut in the window; they do not change during enlarging/diminishing. This dynamic display can be turned on/off by the command Settings->Display points or more precisely Settings->Hide points or on the command line by the command DISP ON or more precisely DISP OFF. The display parameters can be set using the command Settings->Point display. Here you can choose the text size in pixels and color. Also, you can turn on the displaying of the squares on the end points of the line items.

Prev | Home | Next
Configuration of the communication module | Up | Chapter 41. Formats of the entry files with the measured data


Chapter 41. Formats of the entry files with the measured data
Prev Part III. Appendix Next

Chapter 41. Formats of the entry files with the measured data

The GROMA Program allows the import of the measured data from the majority of commonly used field books. The data files have to have a certain structure to be accepted by the program.

The formats develop gradually, there are also completely new formats which are not described in this manual. With installation of the program, sample data files are also installed showing the format clearly. In case of any uncertainties, we will reply to your questions by phone or e-mail.

Prev | Home | Next
Other module functions | Up | Chapter 42. Input / output text format


Chapter 42. Input / output text format
Prev Part III. Appendix Next

Chapter 42. Input / output text format

For input/output of the coordinate list and measured data list, a freely defined text format is used. The format prescription can be defined in Settings->Input/Output coordinatess format and Settings->Input/output format of measurement .

You can define the format in a multi-line editing window..

Even though the GROMA program does not formally recognize the input format from the output format, both formats have some specific features which will be described separately.

Input / Output format is formed by two types of data:

  • Data items symbols

    Symbols instead of which the GROMA program writes the pertinent values (point number, coordinates, etc.) in the final format line.

  • Alphanumeric characters

    The program will simply copy them in the final line (separating spaces, comas, tabulator, etc.).

Alphanumeric characters

The alphanumeric characters are only copied in the output file during formatting. These are usually the separating characters (spaces, comas, tabulators, etc.).

All the alphanumeric characters, besides the characters Tabulator and "<", can be written directly in the format prescription. The reason is the special function of these characters (tabulator moves you from the format editor to the buttons in the dialog window, and the character "<" serves to define the data item symbols). For this reason, these special characters must be written in a special way:

  • Tabulator: "\t"

  • Broken brackets (<>): "<<"

Prev | Home | Next
Chapter 41. Formats of the entry files with the measured data | Up | Data items symbols


Data items symbols
Prev Chapter 42. Input / output text format Next

Data items symbols

The data items symbols are text strings representing the pertinent data. They are replaced with the specific data from the list in the output.

They are written in broken brackets ("<" and ">"), which clearly separate them from the other alphanumeric characters.

Some symbols are common for the formats of the coordinate files and measured data files (point number, etc.), however, the majority are specific (see the below table).

Table 42.1. Data items symbols for coordinate files

Symbol | Description
<P> | Prefix
<N> | Number
<NUM> | Complete number (number and prefix)
<CODE> | Point code (description)
<X> | Coordinate X
<Y> | Coordinate Y
<Z> | Coordinate Z
<INFO1> | Additional data number 1
<INFO2> | Additional data number 2
<INFO3> | Additional data number 3
<INFO4> | Additional data number 4
<TYPE> | Point type
<PREC> | Accuracy characteristic code

Table 42.2. Data items symbols for coordinate files

Symbol | Description
<P> | Prefix
<N> | Number
<NUM> | Complete number (number and prefix)
<CODE> | Point code (description)
<HZ> | Horizontal angle
<V> | Zenith distance
<DH> | Elevation
<SIG> | Target height (instrument height)
Prev | Home | Next
Chapter 42. Input / output text format | Up | Formatted data width


Formatted data width
Prev Chapter 42. Input / output text format Next

Formatted data width

As with the data item description the required width of the formatted value (required number of characters) can be entered in broken brackets. If you don't enter the width, the item will have the minimum required number of characters.

If the formats prescription contains the text <X:12>, the resulting formatted text on the pertinent position will contain the coordinate X with the width 12 characters. The data will be completed from left to right with spaces.

Completing with zeros

If you want this data to be completed with zeros instead of spaces, type the width of the digit 0 as the first character (e.g. <X:012>

Exact width - cut

If the width of the entered data overreaches the number of characters set in the format prescription, the format width will automatically be enlarged and the entire data will be displayed. If, for some reason, you want to strictly keep the defined width, enter the width of the character as the first character #, e.g. <X:#8:4>. In such case, the formatted data will be cut from left or right (according to alignment) to the required width.

Sign

If you want to always have the sign listed next to the number, even for positive values, enter + as the first character of the width, e.g. <X:+12:4>. In this case, the formatted data will always contain positive or negative sign.

Alignment

According to the data type, the program automatically chooses between alignment from left or right. If you want to explicitly determine the alignment type, enter as the first character of the width the letter L for alignment from left or the letter R for alignment from right, e.g. <X:L12:4>.

Prev | Home | Next
Data items symbols | Up | Number of decimal places


Number of decimal places
Prev Chapter 42. Input / output text format Next

Number of decimal places

You can define the required number of decimal places as the width of the data behind the next colon.

For example, if you want to format the coordinate X to the width 12 characters and 4 decimal places, write in the prescription of the format the text <X:12:4>.

If you don't define the number of decimal places, the GROMA program will use the implicit format, i.e. numbers and prefixes in whole numbers, others according to the settings in Settings->Input/Output coordinatess format .

Prev | Home | Next
Formatted data width | Up | Other settings


Other settings
Prev Chapter 42. Input / output text format Next

Other settings

The dialog window allows setting other parameters for each format:

  • Replace the non-defined with zeros

    If the pertinent item is not defined in the data, the program will replace it with spaces during formatting. If this is not suitable (e.g. because of further data loading by other programs), you can turn on this setting and the program will replace the data with zeros.

  • Reduce coordinates in output

    When turning on this option, the program reduces all the coordinates by the values set in the menu Settings->Reduction.

  • Separate thousands

    Turning this option on separates every three grades of the coordinate with a space.

  • Separator of the decimal fraction pursuant to Windows

    Instead of a decimal dot, the program will use the symbol defined in the MS Windows control panel.

Prev | Home | Next
Number of decimal places | Up | Output format examples


Output format examples
Prev Chapter 42. Input / output text format Next

Output format examples

Table 42.3. Output format examples for coordinate list

Format | Result
<N> <X> <Y> | 1 1044109.820 750010.900
<N:4> <X:14:4> <Y:14:4> | 1 1044109.8200 750010.9000
<N:04>, <X>, <Y> | 0001, 1044109.820, 750010.900
<P:6><N:04>, X=<X>, Y=<Y> | 1000010001, X=1044109.820, Y=750010.900

Table 42.4. Output format examples for measured data list

Format | Result
<N> <HZ> <D> <DH> <SIG> <CODE> | 1 28.7894 14.370 0.588 1.300 PBPP
Prev | Home | Next
Other settings | Up | Specialities of input format


Specialities of input format
Prev Chapter 42. Input / output text format Next

Specialities of input format

Although in the GROMA program, the formats for the input and output data are defined at the same time, the output format has some special features the input format does not.

If the input format is defined in the same way as the output format, it would allow loading data from any file of fixed format, i.e. from a file where relevant data is located in fixed positions on each line (i.e. the coordinate X on positions 10-22, etc.).

However, a text file doesn't generally have to meet this requirement. It can look for example like this:

8 1045656.12 740143.45
9 1045778.3 740227.66
10 1045771.13 740439.01

In this case, the data does not have a fixed position on the line and, therefore, can't be loaded in a fixed format (e.g. coordinate X start at position 3 to 4, according to the point number size).

For this reason, the so called Free format was also included in the program. This does not require data in fixed positions, but loads them according to the position of the separator characters (spaces, tabulators, and other non-numeric characters).

Prev | Home | Next
Output format examples | Up | Loading using fix format


Loading using fix format
Prev Chapter 42. Input / output text format Next

Loading using fix format

When loading according to fix format, the input line is divided only according to the format prescription. The data in input lines, therefore, has to be in fixed positions determined in the format prescription.

The position of each item is defined by the sum of the widths of the precedent items on the line and the number of all the separating alphanumeric characters.

In the format prescription

<P:6><N:04>, X=<X>, Y=<Y>

, the prefix must start in column 1, the number in column 7, the coordinate X in column 15, and the coordinate Y in column 30.

The program doesn't test whether the separating characters are identical to the characters defined in the format prescription (after the point number, the program skips four characters and doesn't test whether they are really the characters ", X=").

  • Advantages:

    Import using the fixed format allows filtering the unused alphanumeric data from the file. In addition, you can immediately separate the data written one after another.

  • Disadvantages:

    The text file has to be in fixed format, i.e. the data items must be located in the same positions on all lines.

Prev | Home | Next
Specialities of input format | Up | Loading using free format


Loading using free format
Prev Chapter 42. Input / output text format Next

Loading using free format

When loading according to free format, the input line is divided according to separating characters (spaces, tabulators, etc.). The data in input lines, therefore, does not have to be in fixed positions.

In the imported file can be an arbitrary number of separating characters, regardless of the number of separating characters written in the format prescription (for example, if in the format prescription are the separating characters ", X="), an arbitrary number of spaces (even just one) can be in the data file.

  • Advantages:

    Data items do not have to be placed in the input line in fixed positions.

  • Disadvantages:

    You can't filter out the extraneous data from the text file-the item written without the separators can't be divided during the import.

Prev | Home | Next
Loading using fix format | Up | Part IV. Plug-ins


Part IV. Plug-ins
Prev Next

Plug-ins

Table of Contents

43. Plug-ins
44. Check drawing for calculations
Display entire drawing
Cut
Zoom in
Zoom out
Erase
Font
Print
Export in DXF
45. Distortion in Krovak projection
46. Triangle calculator
47. File transfer
Choosing file location
Transfer parameters
Reading file
File transfer to the instrument
Other settings
48. Connect digitizer
Digitizing device preparation
Communication test
Digitizing device calibration
Reading points
Area determination
49. Adjusting plane
Plane specification
Plane position
Plane formula
Results
50. Calculation of the road trace
Introduction
Program control
Trace definition
Calculation controls
Calculation of the points in the trace axis
Calculation of points on normal lines
Calculation of the stake-out items
51. Network adjustment
Introduction
Program control
Options of adjusting and connecting the net
Point's features
Network parameters
Input data
Network adjustment
Store adjusted coordinates
Compare stages
Adjustment mathematic model
Menu FILE
Menu NET
Direction mean error
Weight of the vertical elevation
Distance mean error
Alfa, Beta
Delete net
Remove point
Adjust the mean errors of the directions
Adjust the mean errors of the distances
Display the check drawing
Compare stages
52. Conclusion
Prev | Home | Next
Loading using free format | Up | Chapter 43. Plug-ins


Chapter 43. Plug-ins
Prev Part IV. Plug-ins Next

Chapter 43. Plug-ins

The program allows working with plug-ins which are integrated in the GROMA system environment. These modules are activated using the menu Tools. Some plug-ins are contained in the basic installation (Check drawing, Distortion calculation in the Krovak projection). Other plug-ins are sold separately.

The separately sold modules are included as a demo version in the basic installation.

The modules are installed in the subdirectory Apps of the GROMA system.

Prev | Home | Next
Part IV. Plug-ins | Up | Chapter 44. Check drawing for calculations


Chapter 44. Check drawing for calculations
Prev Part IV. Plug-ins Next

Chapter 44. Check drawing for calculations

This module displays the window where the points from the last performed calculation are displayed. You can also use this when entering a point from the keyboard to correct the rough errors in the job. The entrance points of the calculation are displayed in black, the calculated ones in red. The additional information is displayed in green. The window content is deleted with each new calculation.

The functions for module control are located in the system menu of the dialog window (menu under the Windows icon in the window header). The majority of them are also available with buttons on the toolbar.

Display entire drawing

After entering this command, the drawing is displayed in such scale that the entire drawing enters the dialog window.

Prev | Home | Next
Chapter 43. Plug-ins | Up | Cut


Cut
Prev Chapter 44. Check drawing for calculations Next

Cut

After entering this command, you can choose, using the left mouse button, a cut of the drawing which should be displayed.

Prev | Home | Next
Chapter 44. Check drawing for calculations | Up | Zoom in


Zoom in
Prev Chapter 44. Check drawing for calculations Next

Zoom in

This command doubles the scale of the drawing in the window .

Prev | Home | Next
Cut | Up | Zoom out


Zoom out
Prev Chapter 44. Check drawing for calculations Next

Zoom out

This command halves the scale of the drawing in the window.

Prev | Home | Next
Zoom in | Up | Erase


Erase
Prev Chapter 44. Check drawing for calculations Next

Erase

This command empties the window with the check drawing.

Prev | Home | Next
Zoom out | Up | Font


Font
Prev Chapter 44. Check drawing for calculations Next

Font

Using this button, you can set the font to display the text information.

Prev | Home | Next
Erase | Up | Print


Print
Prev Chapter 44. Check drawing for calculations Next

Print

Pressing this button, you can print the check drawing on the printer selected for the graphic printing, which is set in the GROMA system.

Prev | Home | Next
Font | Up | Export in DXF


Export in DXF
Prev Chapter 44. Check drawing for calculations Next

Export in DXF

This command exports the check drawing in the DXF format which can be loaded in almost any graphic system. Using this command, you can create e.g. point overviews during network adjustment and other documentation.

Prev | Home | Next
Print | Up | Chapter 45. Distortion in Krovak projection


Chapter 45. Distortion in Krovak projection
Prev Part IV. Plug-ins Next

Chapter 45. Distortion in Krovak projection

Distortion in Krovak projection

This module allows you to calculate the coefficient for the correction of the cartographic distortion according to the coordinates and height of the check point and for the correction due to the height above sea level.

If you enter the coordinates of the check point here, or if you drag them from the coordinate list and press the button (Calculation), the program calculates the scale coefficient for the correction of the cartographic distortion. If the point also has the coordinate Z, the coefficient for correction due to the height above sea level is also calculated.

Using the check boxes, select which corrections you want to perform and press the button (Set). The calculated scale coefficient will be stored in the GROMA program settings, and during the import of the measured data list all the imported lengths will be multiplied by this coefficient.

Prev | Home | Next
Export in DXF | Up | Chapter 46. Triangle calculator


Chapter 46. Triangle calculator
Prev Part IV. Plug-ins Next

Chapter 46. Triangle calculator

This module allows calculating the items in a general plane triangle

After entering the required number of entry values (at least three data points, not three angles), the program calculates the remaining values. The calculated data is written in a report and the program displays the shape of the triangle.

If you want to enter a different combination of entry values, you have to first turn off the useless (more precisely calculated) values using the switches, the program doesn't allow entry of more than three values.

Prev | Home | Next
Chapter 45. Distortion in Krovak projection | Up | Chapter 47. File transfer


Chapter 47. File transfer
Prev Part IV. Plug-ins Next

Chapter 47. File transfer

This module serves for both directional transfer of files between the computer and the instruments which use a simple communication on the basis of a terminal.

After launching, the module displays a dialog window where the files located in the existing directory are displayed. The name of the existing directory is in the list header..

Choosing file location

Before loading the file, you have to choose where the transferred file should be located. The file will be located in the current directory whose content is displayed in the module dialog window.

The active directory can be selected in the usual way, by moving the cursor onto the directory list using keyboard or mouse. The active disc can be chosen in the menu Disc-> Disc selection or by pressing the keys <Alt-F1>.

Prev | Home | Next
Chapter 46. Triangle calculator | Up | Transfer parameters


Transfer parameters
Prev Chapter 47. File transfer Next

Transfer parameters

Before starting the communication, you have to set the transfer parameters in the instrument and the transfer module to be identical. The parameters can be set using the command Settings->Transfer parameters. It is necessary to correctly set all the parameters in the dialog window, otherwise the computer will not communicate with the instrument, or the transferred data will be incorrect.

Prev | Home | Next
Chapter 47. File transfer | Up | Reading file


Reading file
Prev Chapter 47. File transfer Next

Reading file

If all the transfer parameters and the directory for placing the transferred files are set correctly, the transfer can be launched by the command File->File loading or by the key <F9>. After entering this command, a dialog window will be displayed where you can enter the name of the final file. If the transferred module is launched from the GROMA system environment, a button Open as measurement will also be displayed. If you switch it on, the transferred file will automatically be opened in the GROMA system.

After entering and confirming the final file name, a dialog window is displayed asking you to send the file. Now you have to launch the sending of the measured data to the series port using the commands entered on the instrument. When the data starts being transferred, a message on the data transfer and a rotating line informing of the current transfer will be displayed in the window of the transfer module.

After terminating the transfer, the informative window shall automatically disappear. In case the terminating string in the transfer parameters is set incorrectly (the string which serves to recognize the end of the transferred data), the informative window will not disappear, but the rotating line will stop. In such case, you have to terminate the transfer by pressing the bitton (Cancel). Also in this case, the transferred data should be in tact.

Prev | Home | Next
Transfer parameters | Up | File transfer to the instrument


File transfer to the instrument
Prev Chapter 47. File transfer Next

File transfer to the instrument

If you want to transfer the file to an instrument, place the cursor on the file list and choose the command File->File transfer, or press the key <F10>. The program will, once more, double check by asking if you really want to transfer the selected file to the instrument. If you confirm, the program will perform a file check to determine whether or not it contains some binary characters. If so, one more warning will be displayed.

If you confirm the file transfer, the program displays a prompt to prepare the instrument to receive data. Now you have to select, using the instrument's keyboard, the function to read the data from the serial port. When choosing the function, press the button (OK) in the prompt window. This launches the transfer of the selected file to the instrument.

Warning

If you send a file with a different structure than the instrument is able to accept (e.g. binary file) to the instrument by accident, the memory records in the instrument can be defected. Such a defect may require a repair performed by an authorized technician.

Prev | Home | Next
Reading file | Up | Other settings


Other settings
Prev Chapter 47. File transfer Next

Other settings

You can set other features of the transfer module in the menu Settings->Environment:

  • Primary and secondary editor

    Here, you can set which editor shall be used for files editing. Call the primary editor by pressing the key <F4>, the secondary by pressing <Shift-F4>.

  • Data files backup

    Here, automatic file backup can be set. During the automatic backup, two copies of each transferred file are created - one in the selected directory where the file is transferred to, and one in the special directory for the backup files, whose name you enter in the editing window Directory for backup files.

  • Data file extension

    You can define what extension the transferred files shall get if you didn’t enter any extension when you enter the file name.

Prev | Home | Next
File transfer to the instrument | Up | Chapter 48. Connect digitizer


Chapter 48. Connect digitizer
Prev Part IV. Plug-ins Next

Chapter 48. Connect digitizer

This module serves to connect a digitizing device. It allows you to connect a digital planimeter (type XPlan or Tamaya), or any arbitrary digitizer.

Digitizing device preparation

The device must be configured for communication with the module.

Digital planimeter

Digital planimeter, type XPlan or Tamaya, is connected directly via a serial interface. The transfer parameters must be set for correct communication. No other drivers or software are necessary. When configuring, follow the steps below :

  • Planimeter connection

    The planimeter connects to the computer's serial port by a serial cable. If the serial cable is of a different size than the free port of your computer, use the appropriate adapter.

  • Setting the transfer parameters in the computer

    The transfer parameters (transfer pace, number of data bits, number of stop bits, and parity) must be set similarly in both the digitizing module configuration and the planimeter. The transfer parameters are set in the digitizing module after pressing the button (Parameters) next to the device type.

  • Setting the transfer parameters in the planimeter

    The settings in the planimeter depend on the manufacturer and type and should be described in detail in the planimeter documentation. In the planimeter, XPlan, the transfer parameters are set using the buttons <Shift> and <P/NP>.

  • Output to serial port

    In the planimeter, the output to serial port must be switched on (typically the data is only shown on the display).

  • Selecting the read data

    You can choose which data shall be read by the planimeter. You can choose from coordinates, areas, distances, etc. For proper function of the digitizing module must be switched on reading the coordinates.

Digitizer

To connect a digitizer, you must install the original driver provided by the manufacturer (so called Wintab driver) in the MS Windows system. The installation should be described in the original digitizer documentation.

Prev | Home | Next
Other settings | Up | Communication test


Communication test
Prev Chapter 48. Connect digitizer Next

Communication test

After setting the transfer parameters for the digital planimeter, you can test whether the instrument sends the data to the computer. Using the command Settings->Input test, a window displays where, after pressing the reading button on the planimeter, the received data is shown. If nothing shows in the module after pressing the button, the transfer parameters are either set incorrectly or the planimeter has switched off data sending to the serial port.

Note

The window Communication test is designed only for digital planimeters, it doesn't show the input from digitizer.

If all the settings are correct, the read graphic coordinates will display in the module window after pressing the reading button on the digitizing device (in boxes x' and y').

Prev | Home | Next
Chapter 48. Connect digitizer | Up | Digitizing device calibration


Digitizing device calibration
Prev Chapter 48. Connect digitizer Next

Digitizing device calibration

It is necessary to perform a calibration of the digitizing device before each digitization. The calibration consists of determining identical points which will be used to transform the graphic coordinates into real ones. The process of entering the identical points is the same as when transforming the coordinates :

  1. Select the required type of transformation. For graphic templates, the affine transformation, which has two different scales in the directions X and Y, is suitable (unlike the similarity transformation which has the same distortion scale in all directions). For the similarity transformation, at least two identical points are necessary, for the affine transformation three. For reliable results of the digitization to have always at least 1 - 2 extra identical points is suitable.

  2. Enter the real coordinates of the identical points in the boxes X and Y, preferably by mouse dragging from the coordinate list.

  3. Read the graphic coordinates on the digitizing device. These coordinates will display in the boxes x' and y'.

  4. Add a point to the identical point list by pressing the button (Add).

You can turn the individual points on the identical points list on /off using the check box at the beginning of each line. If you want to remove the point form the list completely, press the button (Remove)

You can view and save the calibration report after pressing the button (Report).

If you want to start the transformation of a new template, press the button (New transformation).

Prev | Home | Next
Communication test | Up | Reading points


Reading points
Prev Chapter 48. Connect digitizer Next

Reading points

If you determined a sufficient number of identical points after reading the point form the graphic template, the program automatically displays the resulting transformed coordinates in the boxRead points.

You can transfer the determined coordinates in the GROMA system to any place where the button for graphic point reading is displayed. If you turn on this button (when you press the button, it will remain pressed and the circle with the cross will display in red), the transformed coordinates will be filled in the relevant input boxes.

You can read the coordinates either while adding the points to the coordinates list or in the individual calculation jobs.

The dialog window of the digitizing module can't be closed during digitization, but you can minimize it using the icon after entering the identical point, so it doesn't take a place on the program desktop.

If you digitize using a digitizer, you can turn on the switch Continuous reading. If you move the cursor by the distance entered in the input window Step, the module will automatically send the points coordinates to the GROMA .

Prev | Home | Next
Digitizing device calibration | Up | Area determination


Area determination
Prev Chapter 48. Connect digitizer Next

Area determination

If you don't need the points' precise coordinates, but areas are enough, you can use the shortened calibration of the digitizer without identical points using only known distances. In such case, follow the steps below :

  1. In the digitization window, check the option Direct reading.

  2. Press the button (Calibration).

  3. Enter the real distance between two points in the displayed dialog window, in the horizontal and vertical directions.

  4. Press the button (Show the length) and display both end points of the distances on the digitizing device. The measured distances will display in the dialog (in the graphic coordinates of the template).

  5. Press the button (OK). This terminates the shortened calibration.

Now, the digitizer will provide the coordinates in the local system, in the correct scale, so it can be used, for example, for area determinations.

Prev | Home | Next
Reading points | Up | Chapter 49. Adjusting plane


Chapter 49. Adjusting plane
Prev Part IV. Plug-ins Next

Chapter 49. Adjusting plane

This module serves to calculate the adjusting plane using the least squares method. The plane formula is calculated with the condition of the minimum sum of the square of the distances of the individual points from the plane. This condition can be completed with the additional condition of verticality of the plane.

Plane specification

The plane is determined using the spatial coordinates of the points. The points can be entered in the module from the keyboard or dragged from the coordinate list. You can add the points to the point list by pressing the button (Add), and remove them by pressing the button (Remove).

If you have checked the option Use for plane formula when adding the point on the list, the added point can be used to define a plane formula. If this option is turned off, the distance from the plane will be calculated for the point, but it won't be used for the plane definition. The points used for the plane definition are marked in the report with a star.

After calculating the plane, the distances of all the entered points from the plane are calculated.

Prev | Home | Next
Area determination | Up | Plane position


Plane position
Prev Chapter 49. Adjusting plane Next

Plane position

Here you can define the required position of the plane:

  • General

    The plane is calculated in a general position, so it bounds perfectly on the entered points.

  • Vertical

    The adjusting plane formula is calculated under the condition of verticality.

Prev | Home | Next
Chapter 49. Adjusting plane | Up | Plane formula


Plane formula
Prev Chapter 49. Adjusting plane Next

Plane formula

You can view the plane formula after pressing the button (Formula). The formula is in the report.

Prev | Home | Next
Plane position | Up | Results


Results
Prev Chapter 49. Adjusting plane Next

Results

You can choose the required data in the dialog window:

  • Projection

    The coordinates of the normal projections of the entered points into the adjusted plane are displayed on the list (all these points lie in the result plane).

  • Tilt

    The plane is tilted in XY so the resulting XY coordinates are coordinates of the points in this plane and the coordinate Z is the distance of the entered points from the plane. These coordinates can be used, for example, for creation of the contoured plane during the conversion of the distortion of the plane areas.

  • Tilt Z=0

    The resulting XY coordinates are identical to the previous, but the coordinate Z is zero for all the points (the points lie in the tilt plane).

Prev | Home | Next
Plane formula | Up | Chapter 50. Calculation of the road trace


Chapter 50. Calculation of the road trace
Prev Part IV. Plug-ins Next

Chapter 50. Calculation of the road trace

Calculation of the road trace

Introduction

The program serves to calculate the plane coordinates of points on the road and points on the normal lines to the trace.

Prev | Home | Next
Results | Up | Program control


Program control
Prev Chapter 50. Calculation of the road trace Next

Program control

You can control the program using the basic dialog window, as well as any other standard calculation windows of the GROMA system.

You can enter the values directly from the keyboard or drag them from the coordinate lists opened in the GROMA program using a mouse. All the values from the lists can be edited, added, or removed.

You can launch a check drawing module before the calculation in the GROMA system. Immediately after terminating the trace calculation, the trace, including the detailed points in the road axis, will be displayed here. There can be many points on the normal lines, therefore not all of them are automatically displayed; they are displayed gradually according to the relevant normal line which is selected by mouse clicking on the list of the similar points of the trace.

Prev | Home | Next
Chapter 50. Calculation of the road trace | Up | Trace definition


Trace definition
Prev Chapter 50. Calculation of the road trace Next

Trace definition

The road trace is determined by the list of the trace points and information on them. Each item is defined by this data :

  • Item type (direct, clothoid, circular arch).

  • Coordinates X, Y of the start point.

  • Stationing of the start point.

  • Additional data on the item (radius, parameter).

This item list is usually a result of processing the project by some of the specialized systems, e.g. ROADPAC.

You can add the individual points to the list by entering all the required data in the dialog window and pressing the button (Add). The new item will be placed before the item where the cursor is displayed.

After entering the trace, it is suitable to store it in the file by using the menu command File->Save.

Prev | Home | Next
Program control | Up | Calculation controls


Calculation controls
Prev Chapter 50. Calculation of the road trace Next

Calculation controls

Before calculation of the detailed points, the entered trace is subjected to detailed tests. If it doesn't pass some of the tests, an error message is displayed and the calculation is terminated.

The program performs these controls:

Item length control

The program controls whether the real item length, determined by the coordinates of its end points and other parameters, corresponds to the difference of the stationing between the end points. If the difference between these two points reaches the value 0.05m, an error message is displayed, and the calculation is terminated.

Radius of curvature control

The radius of curvature is controlled on the contact point of two adjoining items which should be, in these points, identical for both items. If the difference between these two items reaches the value 0.50m, an error message is displayed and the calculation is terminated.

Continuity control

The trace continuity control, using the tangent bearing, is controlled on the contact point of two adjoining items. At each contact point, the tangent bearings to the previous and next items are calculated. The tangents at these points should be identical. If the size of the angle between these two tangents overreaches the value 1c, an error message is displayed and the calculation is terminated.

Prev | Home | Next
Trace definition | Up | Calculation of the points in the trace axis


Calculation of the points in the trace axis
Prev Chapter 50. Calculation of the road trace Next

Calculation of the points in the trace axis

If you entered the entire trace, you can proceed to the calculation of detailed points. In the dialog window, enter the start stationing wherefrom you want to calculate the points and the stationing interval between the individual points. After pressing the button (Calculation) all the detail points are calculated and inserted onto the list of detailed points where you can view them. A calculation report is also created.

The points are numbered continuously from the number 1 in the direction of increasing stationing.

If you have launched the check drawing module in the GROMA system, it immediately displays the trace with the main points displayed in black and the detailed points in red.

If you want to store the calculated points on the coordinate list, drag them using the mouse from the calculation window, as in any other place in the GROMA system. The program will ask you whether you want to store the points in the road communication and on the normal lines.

Prev | Home | Next
Calculation controls | Up | Calculation of points on normal lines


Calculation of points on normal lines
Prev Chapter 50. Calculation of the road trace Next

Calculation of points on normal lines

If you want to calculate the coordinates of the similar points on the normal lines to the road, enter the individual lengths of the normal lines one by one, separated with comas, in the dialog window. If you enter for example -5,-2,0,2,5, the program calculates the points on the normal lines to the trace at distances -5m, -2m, 0m, 2m and 5m.

After pressing the button (Calculation) the calculated coordinates of the detailed points are stored in the calculation report. If you want to display the points in the dialog window or in the check drawing, select the point at which you want to calculate the normal line on the list of the similar points and point at it with the mouse. The relevant points will be immediately displayed on the list of points on the normal lines, in the bottom part of the dialog window.

If you have launched the check drawing module in the GROMA system, the points on the normal lines will be displayed in green.

The points are numbered continuously from the number 1 in the direction of the increasing stationing. The point number of the point on the road axis where the normal line is erected is in the prefix of the points on the normal line.

If you want to store the calculated points on the coordinate list, drag them using the mouse from the calculation window as in any other place in the GROMA system. The program will ask you whether you want to store the points in the road communication or on the normal lines.

Prev | Home | Next
Calculation of the points in the trace axis | Up | Calculation of the stake-out items


Calculation of the stake-out items
Prev Chapter 50. Calculation of the road trace Next

Calculation of the stake-out items

You can use the GROMA system to calculate the stake-out items of the detailed points. Drag the calculated points onto the coordinate list and use the Polar stake out points or Orthogonal stake-out points job.

Prev | Home | Next
Calculation of points on normal lines | Up | Chapter 51. Network adjustment


Chapter 51. Network adjustment
Prev Part IV. Plug-ins Next

Chapter 51. Network adjustment

Introduction

This program serves to adjust the position and height of the geodetic nets. The adjustment is performed based on the least squares method. The position and vertical adjustments are performed separately. Besides the adjusted coordinates, the program provides many characteristics of accuracy and control data for the calculation control as well as for searching rough errors in the measured data.

Prev | Home | Next
Calculation of the stake-out items | Up | Program control


Program control
Prev Chapter 51. Network adjustment Next

Program control

You can control the program using the basic dialog window, just as with any other standard calculation windows of the GROMA system. Therefore, you should have no problem with the operation.

You can enter the values directly from the keyboard or drag them from the coordinate lists opened in the GROMA program using a mouse. All the values from the list can be edited, added, or removed.

If you want to change a value from the list, follow these steps:

  • Point at the item on the list. The measured data or coordinates will be written in the editing lines.

  • Change the data to the required values.

  • Press the button (Add).

The program doesn't allow storing multiple pieces of data on the list with the same point numbers. If the data already exists on the list, it is only updated according to the entered values. If it is not on the list, the program will add it. Therefore, when editing the data from the list, you do not have to use the button (Remove), the program will perform the update automatically.

Prev | Home | Next
Chapter 51. Network adjustment | Up | Options of adjusting and connecting the net


Options of adjusting and connecting the net
Prev Chapter 51. Network adjustment Next

Options of adjusting and connecting the net

The program allows a few options for connecting the adjusted network into the reference system.

Helmert transformation

If all the points of the adjusted network have the feature Free, the adjustment will be performed under the condition for adjustments of the approximate configuration.

[(dx2 + dy2)] = min

for all the points of the net. The adjusted network is placed at all the points of the network by the Helmert transformation.

Selective Helmert transformation

In this option, at least two points have to have the feature Helmert and others Free. The network adjustment will be performed under the same condition as for the previous option. Only the points with the feature Helmert are used for placing the adjusted network into the reference system.

Permanently marked point and permanently marked bearing

In this option, during the adjustment, the coordinates of the permanently marked point and the bearing from the permanently marked point to the point with the permanently marked bearing are maintained. Exactly one point in the network has to have the feature Permanently marked point, one Permanently marked bearing, and the other points on the network must have the feature Free.

Bounded net

The bounded network contains two or more points with the feature Permanently marked. The coordinates of these points will not be changed by this adjustment. The measurements between the permanently marked points do not affect the adjustment results; they only affect the result accuracy features. Other points have the feature Free.

Prev | Home | Next
Program control | Up | Point's features


Point's features
Prev Chapter 51. Network adjustment Next

Point's features

The points entering the network adjustment can have different features, depending on the way they will participate in the adjustment. The features are to be set independently for the position and vertical adjustments.

Features for position adjustment

  • Permanently marked points

    The permanently marked points have fixed coordinates which won't be changed by the adjustment. After the network adjustment, the resulting permanently marked points will have the same coordinates as they had at the input.

    Important

    Neither the distances nor directions should be measured between the permanently marked points. The measurements between the permanently marked points do not affect the resulting coordinates, but they do negatively affect the mean errors.

  • Permanently marked X, Permanently marked Y

    For the points with this feature, the X and Y coordinates are not changed by the adjustment.

  • Free points

    Free points are all the common points of the net, whose coordinates should be adjusted. The coordinates of all the free points will be changed by the adjustment. If the network contains only this type of points, the network will be placed at the same time using the Helmert transformation on all the network points.

  • Permanently marked bearing

    This feature is used in connection with the permanently marked points. If one of the points has the feature Permanently marked point and one Permanently marked bearing, then after adjustment the coordinates of the permanently marked point and the bearing from the permanently marked point to the point with the feature Permanently marked bearing will be maintained.

  • Helmert

    If, after the adjustment, you want to place the network using the Helmert transformation only on selected points from the net, mark the selected points with the feature Helmert and the others with the feature Free.

Features for vertical adjustment

  • Permanently marked points

    The permanently marked points have a fixed height which won't be changed by the adjustment. After the network adjustment, the resulting permanently marked points will have the same height as they had at the input.

  • Free points

    Free points are all the common points of the network whose heights should be adjusted. The height of all the free points will be changed after the adjustment. If the network contains only this type of points, the network will be vertically placed using the Helmert transformation on all the network points at the same time.

  • Helmert

    If, after the adjustment, you want to vertically place the network using the Helmert transformation only on selected points of the net, mark the heights of the selected points with the feature Helmert and the heights of the other points with the feature Free.

If you want to change the adjustment features for some points, follow the steps below:

  1. Select the point on the approximate coordinate list.

  2. Change the point feature for the position and/or vertical adjustment. You can also change any other data.

  3. Press the button (Add). If the added point has the same number as a point existing on the approximate coordinate list, it won't be added to the list, but only adjusted according to the entered data.

If you want to change the characteristics of more points at once, follow the steps below:

  1. Choose the required points from the approximate coordinate list. You can use the keys <Shift> and <Ctrl> for the selection, as usual in Windows.

  2. If more points on the list are selected, only the adjustment features will be displayed in the input boxes (other features cant be batch changed). Change the point feature for the position and/or vertical adjustment. If you don't want to change one of the features, leave it undetermined ([-]).

  3. Press the button (Add). The features for adjusting will be changed on the list.

Prev | Home | Next
Options of adjusting and connecting the net | Up | Network parameters


Network parameters
Prev Chapter 51. Network adjustment Next

Network parameters

You can set some of the parameters in the dialog window Settings->Network parameters. Some of the parameters only serve for documentary purposes (control data) while some are necessary for the adjustment itself (mean errors, statistic tests). These parameters are described in detail in the Reference Manual.

Prev | Home | Next
Point's features | Up | Input data


Input data
Prev Chapter 51. Network adjustment Next

Input data

The approximate coordinates on the network points, measured horizontal directions, measured horizontal distances and their mean errors (hereinafter only geometric quantities) serve As input data in the adjustment. We suppose that the geometric quantities are converted to the connecting line between the stabilization marks. This conversion can be done using the GROMA system tools.

Switching on/off the items

In front of each item on the list, a check box is displayed which can be used to temporarily turn on/off the data without the need to remove it from the list and eventually add it back on.

In some cases, the program can automatically turn off the useless items. Particularly in these cases:

  • Points where no measurement was performed.

  • Measurements which were performed on the points which are not listed on the point list.

  • Measured directions on the station which contain only one measurement.

Approximate coordinates of the entry points

For all the points included in the net, the approximate coordinates must be entered. You can enter the approximate coordinates manually, drag them from the coordinate list from the GROMA program (e.g. from the previous adjustment, from the previous phase), or you can let the system batch calculate the approximate coordinates on the basis of the measured data list.

Dragging the coordinates from the GROMA program

Of you want to use the coordinates which you already have on some coordinate list in the GROMA program as the approximate coordinates, you can simply select and drag them as a block to the part of the dialog window for network adjusting, where you enter the approximate coordinates (see the manual for the GROMA program: Dragging items). All the points are automatically dragged on the coordinate list.

Important

In this way, added points will have all the features set in the feature list before dragging the block. If you want to change the features for some points, you can either perform the change later, or you can drag the points in parts and set the required features before dragging the pertinent point.

Batch calculation of the approximate coordinates

If the approximate coordinates of the network points are not available, you can allow the program to batch calculate them. You have to follow certain steps to perform the batch calculation correctly:

  1. Open all the coordinate lists in the GROMA program which you need for the batch calculation.

  2. Open the measured data list wherefrom you want to calculate the approximate coordinates.

  3. On the measured data list, mark all the measurements which shall enter in the adjustment as orientations. The measurement to the points marked as detailed are ignored.

  4. In Settings->Environment, turn on the option Sear in all opened files.

  5. Drag the name of the entrance measurement file into the dialog window for network adjusting (in the part for entering the approximate coordinates of the points). The filename will be in the item Input measurement file.

  6. In the list of point features, (Type) set the feature which will have the majority of the points in the net.

  7. In Settings->Network parameters set the mean error of the measured direction and the measured distance.

  8. Press the button (Load data).

The program will batch calculate the coordinates of all the stations from the measured data lists, add them to the list of the approximate coordinates, and at the same time, the program will add all the measurements which could be used for the network adjustment to the list of the measured directions and distances. The detail points on the measured data list will be skipped. If the program adds some measurement which shouldn't be used for the calculation to the measured data list, or if you want to add some more measurements, you have to perform the changes manually by adding or removing the individual item.

After uploading the batches, change the point features (permanently marked points, free points, etc.). The batch editing of the point features is described in the chapter on Points features.

The program uses the batch polar method from the GROMA program for the calculation of the point coordinates. During the calculation, it can process the polar method, free station and intersection from the oriented directions. Before starting the calculation, the coordinates of at least the most necessary points, from which can be induced the other points according to the measured data, must be available. The batch calculation can fail for some configurations (e.g. only the distance-measured triangle strings, or if there was no measurement between the known points). In such case, you can use the individual calculation jobs of the GROMA system for the calculation of the approximate coordinates.

Important

If some distances in the network were measured in both directions, you have to first process the measurement list to contain only one average value. No geometric quantity can appear in the input data for the network adjustment more than once. You can use the command Measurement->Field book processing of the GROMA system to process the measured data list.

Measured directions list

Enter all the directions you want to use for network adjusting to the measured directions list. Just as for the approximate coordinates, the directions can be entered either from a keyboard or dragged form the measurement list; you can also let the program batch add them (see Approximate coordinates of the entry points). A mean error estimate must be entered for each measured direction. When dragging or batch calculating, the program will add the direction mean error set in Settings->Network parameters.

Measured distances list

Enter all the distances you want to use for the network adjustment to the measured distances list. Just as for the approximate coordinates, you can enter the distances from the keyboard, drag them form the measurement list, or let the program batch add them (see Approximate coordinates of the entry points). A mean error estimate must be entered for each measured distance. When dragging or batch calculating, the program will add the distance mean error set in Settings->Network parameters.

The program presumes that the entered distances are horizontal and have already undergone the required mathematical and physical reductions.

Measured vertical elevations list

Enter all the vertical elevations between the network points which you want to use for the network adjustment on the measured vertical elevations list. Just as for the other data, you can enter the vertical elevation from the keyboard, drag them from the measurement list, or let the program to batch add tem (see Approximate coordinates of the entry point). An approximate length must be entered for each measured vertical elevation wherefrom the weight for the adjustment is derived. If you don't enter the length, the program will determine it before the calculation from the approximate coordinates. You must set the unit mean error of the vertical elevation in the network parameters settings, and choose how the weight of the individual elevations shall be calculated. The weight can be calculated from the formula

pi = 1/si,

or

pi = m0/si2

where pi is the weight of the vertical elevation, m0 is the unit mean error, and si is the distance in kilometers.

Warning

The program presumes that the input elevation is recalculated to the connection of the stabilization marks (i.e. adjusted by the instrument height and signal). This adjustment can be performed during the field book processing directly in the GROMA system.

Prev | Home | Next
Network parameters | Up | Network adjustment


Network adjustment
Prev Chapter 51. Network adjustment Next

Network adjustment

If you have entered all the input values correctly, you can adjust the network by pressing the button (Calculation). The program displays the calculation process on the screen and, after its termination, displays the adjusted coordinates and their mean errors in the result part of the dialog window. The detailed calculation record can be displayed after pressing the button (Record).

Warning

To correctly interpret the adjustment results, especially the accuracy features, you have to have at least the basic knowledge of adjustment calculation theory and statistics. Also, you have to realize that for a small number of redundant observations, the accuracy features are rather unreliable and only have a little weight.

Prev | Home | Next
Input data | Up | Store adjusted coordinates


Store adjusted coordinates
Prev Chapter 51. Network adjustment Next

Store adjusted coordinates

If you are satisfied with the adjusted coordinates, you can store them in any coordinate list in the GROMA system simply by dragging them with the mouse.

Note

When dragging, point anywhere in the part of the dialog window where the adjusted coordinates are displayed, but not the coordinate list itself. When pointing directly to the result coordinate list, the cursor is displayed on the pertinent item, but the item can't be dragged to the coordinate list of the GROMA program.

Prev | Home | Next
Network adjustment | Up | Compare stages


Compare stages
Prev Chapter 51. Network adjustment Next

Compare stages

The program allows comparison of the individual stages of the network adjustment. If the network has been already adjusted, the program will ask for the name of the file with the reference network (file type .net), and if the adjusted coordinates are stored there, the program will organize the folders, sizes and beams of the transfers between both stages in a table.

Prev | Home | Next
Store adjusted coordinates | Up | Adjustment mathematic model


Adjustment mathematic model
Prev Chapter 51. Network adjustment Next

Adjustment mathematic model

The network is being adjusted using the method of adjusting the measurements intermediately with the conditions. The horizontal distances and the horizontal angles are used as the intermediating quantities. The linearized model of the adjustment is determined by the formula

D v = A h - l,

where D is the matrix of the linear operator of the transformation of the measured quantities to the intermediating quantities, v is the vector of the corrections of the geometric quantities, A is the matrix of the linear operator of the network design h is the vector of the configuration correction and l is the vector of the right sides of the linearized network module

under the condition

vT* P v = min

The model is solved under the additional conditions for the approximate configuration condition, which can be written in the form

G h = 0

The configuration correction solution is then determined by the formula

h = (AT P A + GT G)-1 AT P l = N-1 AT P l

During the calculation, the program performs various controls, and stores the results in a record.

Among the controls belong:

  • Inversion control (two standards for the residual matrix),

  • Control of the condition G h = 0,

  • Vector A standardT P w = 0,

  • Double calculation of the geometric quantity corrections,

  • Double calculation of the intermediating quantity corrections,

  • Double calculation [pvv],

  • Control calculation wT P w.

Besides this, the program performs various internal controls of input data consistency.

The calculated geometric quantity corrections are tested for remoteness according to the set risks alpha and beta. When skipping the test, the program calculates the estimate of the error in the geometric quantity. Such an estimate is quite reliable under the condition of the oneness of an error in the measurement file.

Prev | Home | Next
Compare stages | Up | Menu FILE


Menu FILE
Prev Chapter 51. Network adjustment Next

Menu FILE

The commands of the menu File serve for manipulation with files and for program termination.

Open

This command uploads data for the network adjustment from a file. The program can work with two file types:

  • Groma: The format of the GROMA system

  • CTU: Text format used at CTU Prague

Save

This command serves for saving the network in a file. If the network has already been named (if already saved or if uploaded from a file), the program will save the network under the old name without any further questions; but if the name hasn't been entered yet, the program will ask for the name before the saving.

Save as

This command serves to save the network in a file. Unlike the previous command, it will always ask for the file name.

End

This command terminates the work with the program. If the network has been changed after the last saving, the program will ask if you want to save it.

Prev | Home | Next
Adjustment mathematic model | Up | Menu NET


Menu NET
Prev Chapter 51. Network adjustment Next

Menu NET

Network parameters

In this dialog window, you have to set some of the network adjustment parameters.

Location

Name of the location which is being saved in the record.

Date

Network measurement date.

Stage

Name of the stage which is being saved in the record.

Unit mean error - position calculation

A priori unit error m0, which will be used for the adjustment. If the distances are not measured, enter the unit mean direction error here; if the distances are measured, enter the unit mean distance error. After the adjustment is tested, the ratio of this a priori unit mean and the a posteriori unit mean errors will be determined based on the adjustment. This ratio should converge to 1.

Unit mean error - vertical calculation

A priori unit error m0, which will be used for the adjustment. After the adjustment is tested the ratio of this a priori unit mean and the a posteriori unit mean errors, determined based on the adjustment. This ratio should verge to 1.

Prev | Home | Next
Menu FILE | Up | Direction mean error


Direction mean error
Prev Chapter 51. Network adjustment Next

Direction mean error

The estimate of the mean error of the measured direction [cc].

Prev | Home | Next
Menu NET | Up | Weight of the vertical elevation


Weight of the vertical elevation
Prev Chapter 51. Network adjustment Next

Weight of the vertical elevation

The weight of the vertical elevations are calculated pursuant to the relations listed in the User Manual.

Prev | Home | Next
Direction mean error | Up | Distance mean error


Distance mean error
Prev Chapter 51. Network adjustment Next

Distance mean error

Measured distance mean error estimate. The mean error should be entered in the form A + Bppm, where A is the sum part and B is the multiplying part of the mean error, similarly as is defined the accuracy of the electronic distance meters. For example, for the setting 3+2ppm, the mean error 3mm + 2*2 mm = 7 mm will be offered for the distance 2000 m.

Prev | Home | Next
Weight of the vertical elevation | Up | Alfa, Beta


Alfa, Beta
Prev Chapter 51. Network adjustment Next

Alfa, Beta

The parameters Alfa and Beta (in percents) for testing the statistic hypothesis on maintaining the measurement accuracy.

Prev | Home | Next
Distance mean error | Up | Delete net


Delete net
Prev Chapter 51. Network adjustment Next

Delete net

This command deletes the entire net. If the network has been changed after the last saving, the program will ask if you want to save it.

Prev | Home | Next
Alfa, Beta | Up | Remove point


Remove point
Prev Chapter 51. Network adjustment Next

Remove point

If you want to remove a point form the net, select it with the cursor on the list of the approximate coordinates, and choose this command. After calling this command, a dialog window is displayed where you can confirm or change the number of the point you want to delete. The difference from pressing the button (Remove) is that this command will remove not only the approximate coordinates of the selected point from the net, but also all the measurements where the point appears.

Prev | Home | Next
Delete net | Up | Adjust the mean errors of the directions


Adjust the mean errors of the directions
Prev Chapter 51. Network adjustment Next

Adjust the mean errors of the directions

After entering this command, the a priori mean direction error for all the measured directions is set in the network parameters. Use this command to (e.g. based on the record from the previous calculation) batch adjust the mean errors of all the directions.

Prev | Home | Next
Remove point | Up | Adjust the mean errors of the distances


Adjust the mean errors of the distances
Prev Chapter 51. Network adjustment Next

Adjust the mean errors of the distances

After entering this command, the a priori mean direction error for all the measured distances is set according to the settings in the network parameters. Use this command to (e.g. based on the record from the previous calculation) batch adjust the mean errors of all the distances.

Prev | Home | Next
Adjust the mean errors of the directions | Up | Display the check drawing


Display the check drawing
Prev Chapter 51. Network adjustment Next

Display the check drawing

Using this command, you can display the network check drawing in the GROMA system, without calculating the net. You can print this check drawing out. After the calculation, the check drawing is displayed automatically.

Prev | Home | Next
Adjust the mean errors of the distances | Up | Compare stages


Compare stages
Prev Chapter 51. Network adjustment Next

Compare stages

If the network has already been adjusted, the program will ask the name of the file with the reference network (file type .net), and if the adjusted coordinates are stored there, the program will organize the folders, sizes and beams of the transfers between both stages in a table.

Prev | Home | Next
Display the check drawing | Up | Chapter 52. Conclusion


Chapter 52. Conclusion
Prev Part IV. Plug-ins

Chapter 52. Conclusion

We wish you easy and pleasant work with the GROMA program. In case of any questions or defects, you can contact us at the address

GEOLINE, spol. s r.o.
Na Mokrine 6
130 00 Prague 3
284 862 557
284 863 188
<http://www.groma.cz>
<info@groma.cz>

We will gladly provide you with any information on the GROMA program, what is new in the latest release of the program, and conditions for eventual update.

Prev | Home
Compare stages | Up